<?php
if( ! class_exists('WP_Customize_Control') ){
  return NULL;
}


class Hasten_checkbox_Customize_Controls extends WP_Customize_Control
{
    public function render_content()
    {
        ?>
        <h2><?php echo esc_html($this->label); ?></h2>
        <label class="switch">
            <input type="checkbox" value="<?php echo esc_attr($this->value()); ?>" <?php $this->link();
            checked($this->value()); ?> />

            <span class="slider"></span>
        </label>
        <p><?php echo esc_html($this->description)  ; ?></p>

        <?php
    }
}

class Hasten_Lite_Info_Customize_Controls extends WP_Customize_Control
{
    public function render_content()
    {
        ?>
        <h2><?php echo esc_html($this->label); ?></h2>
        <p><?php echo esc_html($this->description)  ; ?></p>

        <?php
    }
}

if(!function_exists('city_store_video_select')):
    function city_store_video_select($control){
        $social_header_footer_radio = $control->manager->get_setting('hasten_lite_theme_options[cta_video_radio]')->value();
        $control_id = $control->id;
        if ($control_id == 'hasten_lite_theme_options[cta_upload_video]' &&  ($social_header_footer_radio == 'video_upload' )){
            return true;
        }
        if ( $social_header_footer_radio == 'video_link' && ($control_id == 'hasten_lite_theme_options[youtube_vemeo_link]' )){
            return true;
        }
        return false;
    }
endif;
class Hasten_Section_Info extends WP_Customize_Control {
    public $type = 'info';
    public $label = '';
    public function render_content() {
        ?>
        <h3><?php echo '<strong>'. esc_html( $this->label ) . '</strong>'; ?></h3>
        <?php
    }
}

class Hasten_Top_Dropdown_Customize_Control extends WP_Customize_Control
{
    public $type = 'select';

    public function render_content()
    {
        $terms = get_terms('jetpack-portfolio-type');
        ?>
        <label>
            <span class="customize-control-title"><?php echo esc_html($this->label); ?></span>
            <p class="customize-control-description"><?php esc_html_e('You may add the portfolio category from backend','hasten-lite') ?></p>
            <?php if (in_array('jetpack/jetpack.php', apply_filters('active_plugins', get_option('active_plugins')))){?>
                <select <?php $this->link(); ?>>
                    <option value="none"><?php esc_html_e('None','hasten-lite') ?></option>
                    <?php
                    foreach ($terms as $t)
                        echo '<option value="' . esc_attr($t->slug) . '"' . selected($this->value(), esc_attr($t->name), false) . '>' . esc_attr($t->name) . '</option>';
                    ?>
                </select>
            <?php }
            else{
                ?>
                <p class="customize-control-description"><?php esc_html_e('Please Install Jetpack Plugin and Assign Posts To Portfolio Category','hasten-lite') ?></p>
            <?php }
            ?>
        </label>

        <?php
    }
}
/**
 * Adds textarea support to the theme customizer
 */
class Hasten_Woo_Dropdown_Customize_Control extends WP_Customize_Control
{
    public $type = 'select';

    public function render_content()
    {
        $terms = get_terms('product_cat');
        ?>
        <label>
            <span class="customize-control-title city-product-cat"><?php echo esc_html($this->label); ?></span>
            <?php if (in_array('woocommerce/woocommerce.php', apply_filters('active_plugins', get_option('active_plugins')))) { ?>
                <select <?php $this->link(); ?> class="city-product-cat">
                    <?php
                    echo '<option value="' . esc_attr('none') . '"' . selected($this->value(), esc_attr('none'), false) . '>' . esc_attr('None') . '</option>';

                    foreach ($terms as $t)
                        echo '<option value="' . esc_attr($t->slug) . '"' . selected($this->value(), esc_attr($t->name), false) . '>' . esc_attr($t->name) . '</option>';
                    ?>
                </select>
            <?php } else {
                ?>
                <p class="customize-control-description city-product-cat"><?php echo esc_html__('Please Install Woocommerce Plugin and Assign Product To Woocommerce Category', 'hasten-lite') ?></p>
            <?php }
            ?>
        </label>

        <?php
    }
}

class Hasten_Callout_Dropdown_Customize_Control extends WP_Customize_Control
{
    public $type = 'select';

    public function render_content()
    {
        $terms = get_terms('callout_category');
        ?>
        <label>
            <span class="customize-control-title"><?php echo esc_html($this->label); ?></span>
            <p class="customize-control-description"><?php esc_html_e('You may add the callout category from backend','hasten-lite') ?></p>
            <?php if (in_array('hasten-base-camp/hasten-base-camp.php', apply_filters('active_plugins', get_option('active_plugins')))){?>
                <select <?php $this->link(); ?>>
                    <option value="none">None</option>
                    <?php
                    foreach ($terms as $t)
                        echo '<option value="' . esc_attr($t->slug) . '"' . selected($this->value(), esc_attr($t->name), false) . '>' . esc_attr($t->name) . '</option>';
                    ?>
                </select>
            <?php }
            else{
                ?>
                <p class="customize-control-description"><?php esc_html_e('Please Install Hasten Base Camp Plugin and Assign Posts To Portfolio Category','hasten-lite') ?></p>
            <?php }
            ?>
        </label>

        <?php
    }
}

class Hasten_Google_Font_Dropdown_Custom_Control extends WP_Customize_Control {
    private $fonts = false;
    public function __construct( $manager, $id, $args = array(), $options = array() ) {
        $this->fonts = $this->get_fonts('all');
        parent::__construct( $manager, $id, $args );
    }

    /**
     * Render the content of the category dropdown
     *
     * @return HTML
     */
    public function render_content() {
        if ( ! empty( $this->fonts ) ) {
            sort($this->fonts);
            ?>
            <label>
                <span class="customize-category-select-control"><?php echo esc_html( $this->label ); ?></span>
                <select <?php $this->link(); ?> id="font-select">
                    <?php echo '<option value="">'.esc_html__('Default', 'hasten-lite').'</option>'; ?>
                    <?php
                    foreach ( $this->fonts as $k => $v ) {
                        printf('<option value="%s" %s>%s</option>', esc_html($v->family), selected($this->value(), $k, false), esc_html($v->family));
                    }
                    ?>
                </select>
            </label>
            <?php
        }
    }

    /**
     * Get the google fonts from the API or in the cache
     *
     * @param  integer $amount
     *
     * @return String
     */
    public function get_fonts( $amount = 40 ) {
        $font_serialized='O:8:"stdClass":2:{s:4:"kind";s:20:"webfonts#webfontList";s:5:"items";a:732:{i:0;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Open Sans";s:8:"category";s:10:"sans-serif";s:8:"variants";a:10:{i:0;s:3:"300";i:1;s:9:"300italic";i:2;s:7:"regular";i:3;s:6:"italic";i:4;s:3:"600";i:5;s:9:"600italic";i:6;s:3:"700";i:7;s:9:"700italic";i:8;s:3:"800";i:9;s:9:"800italic";}s:7:"subsets";a:7:{i:0;s:5:"latin";i:1;s:5:"greek";i:2;s:9:"latin-ext";i:3;s:9:"greek-ext";i:4;s:10:"vietnamese";i:5;s:12:"cyrillic-ext";i:6;s:8:"cyrillic";}s:7:"version";s:3:"v13";s:12:"lastModified";s:10:"2015-05-18";s:5:"files";O:8:"stdClass":10:{s:3:"300";s:87:"http://fonts.gstatic.com/s/opensans/v13/DXI1ORHCpsQm3Vp6mXoaTS3USBnSvpkopQaUR-2r7iU.ttf";s:9:"300italic";s:87:"http://fonts.gstatic.com/s/opensans/v13/PRmiXeptR36kaC0GEAetxi9-WlPSxbfiI49GsXo3q0g.ttf";s:7:"regular";s:66:"http://fonts.gstatic.com/s/opensans/v13/IgZJs4-7SA1XX_edsoXWog.ttf";s:6:"italic";s:87:"http://fonts.gstatic.com/s/opensans/v13/O4NhV7_qs9r9seTo7fnsVKCWcynf_cDxXwCLxiixG1c.ttf";s:3:"600";s:87:"http://fonts.gstatic.com/s/opensans/v13/MTP_ySUJH_bn48VBG8sNSi3USBnSvpkopQaUR-2r7iU.ttf";s:9:"600italic";s:87:"http://fonts.gstatic.com/s/opensans/v13/PRmiXeptR36kaC0GEAetxpZ7xm-Bj30Bj2KNdXDzSZg.ttf";s:3:"700";s:87:"http://fonts.gstatic.com/s/opensans/v13/k3k702ZOKiLJc3WVjuplzC3USBnSvpkopQaUR-2r7iU.ttf";s:9:"700italic";s:87:"http://fonts.gstatic.com/s/opensans/v13/PRmiXeptR36kaC0GEAetxne1Pd76Vl7zRpE7NLJQ7XU.ttf";s:3:"800";s:87:"http://fonts.gstatic.com/s/opensans/v13/EInbV5DfGHOiMmvb1Xr-hi3USBnSvpkopQaUR-2r7iU.ttf";s:9:"800italic";s:87:"http://fonts.gstatic.com/s/opensans/v13/PRmiXeptR36kaC0GEAetxg89PwPrYLaRFJ-HNCU9NbA.ttf";}}i:1;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Roboto";s:8:"category";s:10:"sans-serif";s:8:"variants";a:12:{i:0;s:3:"100";i:1;s:9:"100italic";i:2;s:3:"300";i:3;s:9:"300italic";i:4;s:7:"regular";i:5;s:6:"italic";i:6;s:3:"500";i:7;s:9:"500italic";i:8;s:3:"700";i:9;s:9:"700italic";i:10;s:3:"900";i:11;s:9:"900italic";}s:7:"subsets";a:7:{i:0;s:5:"latin";i:1;s:5:"greek";i:2;s:9:"latin-ext";i:3;s:9:"greek-ext";i:4;s:10:"vietnamese";i:5;s:12:"cyrillic-ext";i:6;s:8:"cyrillic";}s:7:"version";s:3:"v15";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":12:{s:3:"100";s:64:"http://fonts.gstatic.com/s/roboto/v15/7MygqTe2zs9YkP0adA9QQQ.ttf";s:9:"100italic";s:85:"http://fonts.gstatic.com/s/roboto/v15/T1xnudodhcgwXCmZQ490TPesZW2xOQ-xsNqO47m55DA.ttf";s:3:"300";s:64:"http://fonts.gstatic.com/s/roboto/v15/dtpHsbgPEm2lVWciJZ0P-A.ttf";s:9:"300italic";s:85:"http://fonts.gstatic.com/s/roboto/v15/iE8HhaRzdhPxC93dOdA056CWcynf_cDxXwCLxiixG1c.ttf";s:7:"regular";s:64:"http://fonts.gstatic.com/s/roboto/v15/W5F8_SL0XFawnjxHGsZjJA.ttf";s:6:"italic";s:64:"http://fonts.gstatic.com/s/roboto/v15/hcKoSgxdnKlbH5dlTwKbow.ttf";s:3:"500";s:64:"http://fonts.gstatic.com/s/roboto/v15/Uxzkqj-MIMWle-XP2pDNAA.ttf";s:9:"500italic";s:85:"http://fonts.gstatic.com/s/roboto/v15/daIfzbEw-lbjMyv4rMUUTqCWcynf_cDxXwCLxiixG1c.ttf";s:3:"700";s:64:"http://fonts.gstatic.com/s/roboto/v15/bdHGHleUa-ndQCOrdpfxfw.ttf";s:9:"700italic";s:85:"http://fonts.gstatic.com/s/roboto/v15/owYYXKukxFDFjr0ZO8NXh6CWcynf_cDxXwCLxiixG1c.ttf";s:3:"900";s:64:"http://fonts.gstatic.com/s/roboto/v15/H1vB34nOKWXqzKotq25pcg.ttf";s:9:"900italic";s:85:"http://fonts.gstatic.com/s/roboto/v15/b9PWBSMHrT2zM5FgUdtu0aCWcynf_cDxXwCLxiixG1c.ttf";}}i:2;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:4:"Lato";s:8:"category";s:10:"sans-serif";s:8:"variants";a:10:{i:0;s:3:"100";i:1;s:9:"100italic";i:2;s:3:"300";i:3;s:9:"300italic";i:4;s:7:"regular";i:5;s:6:"italic";i:6;s:3:"700";i:7;s:9:"700italic";i:8;s:3:"900";i:9;s:9:"900italic";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:3:"v11";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":10:{s:3:"100";s:62:"http://fonts.gstatic.com/s/lato/v11/Upp-ka9rLQmHYCsFgwL-eg.ttf";s:9:"100italic";s:62:"http://fonts.gstatic.com/s/lato/v11/zLegi10uS_9-fnUDISl0KA.ttf";s:3:"300";s:62:"http://fonts.gstatic.com/s/lato/v11/Ja02qOppOVq9jeRjWekbHg.ttf";s:9:"300italic";s:62:"http://fonts.gstatic.com/s/lato/v11/dVebFcn7EV7wAKwgYestUg.ttf";s:7:"regular";s:62:"http://fonts.gstatic.com/s/lato/v11/h7rISIcQapZBpei-sXwIwg.ttf";s:6:"italic";s:62:"http://fonts.gstatic.com/s/lato/v11/P_dJOFJylV3A870UIOtr0w.ttf";s:3:"700";s:62:"http://fonts.gstatic.com/s/lato/v11/iX_QxBBZLhNj5JHlTzHQzg.ttf";s:9:"700italic";s:62:"http://fonts.gstatic.com/s/lato/v11/WFcZakHrrCKeUJxHA4T_gw.ttf";s:3:"900";s:62:"http://fonts.gstatic.com/s/lato/v11/8TPEV6NbYWZlNsXjbYVv7w.ttf";s:9:"900italic";s:62:"http://fonts.gstatic.com/s/lato/v11/draWperrI7n2xi35Cl08fA.ttf";}}i:3;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Slabo 27px";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v3";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:87:"http://fonts.gstatic.com/s/slabo27px/v3/gC0o8B9eU21EafNkXlRAfPesZW2xOQ-xsNqO47m55DA.ttf";}}i:4;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Oswald";s:8:"category";s:10:"sans-serif";s:8:"variants";a:3:{i:0;s:3:"300";i:1;s:7:"regular";i:2;s:3:"700";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:3:"v10";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":3:{s:3:"300";s:64:"http://fonts.gstatic.com/s/oswald/v10/y3tZpCdiRD4oNRRYFcAR5Q.ttf";s:7:"regular";s:64:"http://fonts.gstatic.com/s/oswald/v10/uLEd2g2vJglLPfsBF91DCg.ttf";s:3:"700";s:64:"http://fonts.gstatic.com/s/oswald/v10/7wj8ldV_5Ti37rHa0m1DDw.ttf";}}i:5;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:16:"Roboto Condensed";s:8:"category";s:10:"sans-serif";s:8:"variants";a:6:{i:0;s:3:"300";i:1;s:9:"300italic";i:2;s:7:"regular";i:3;s:6:"italic";i:4;s:3:"700";i:5;s:9:"700italic";}s:7:"subsets";a:7:{i:0;s:5:"latin";i:1;s:5:"greek";i:2;s:9:"latin-ext";i:3;s:9:"greek-ext";i:4;s:10:"vietnamese";i:5;s:12:"cyrillic-ext";i:6;s:8:"cyrillic";}s:7:"version";s:3:"v13";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":6:{s:3:"300";s:94:"http://fonts.gstatic.com/s/robotocondensed/v13/b9QBgL0iMZfDSpmcXcE8nJRhFVcex_hajThhFkHyhYk.ttf";s:9:"300italic";s:94:"http://fonts.gstatic.com/s/robotocondensed/v13/mg0cGfGRUERshzBlvqxeAPYa9bgCHecWXGgisnodcS0.ttf";s:7:"regular";s:94:"http://fonts.gstatic.com/s/robotocondensed/v13/Zd2E9abXLFGSr9G3YK2MsKDbm6fPDOZJsR8PmdG62gY.ttf";s:6:"italic";s:94:"http://fonts.gstatic.com/s/robotocondensed/v13/BP5K8ZAJv9qEbmuFp8RpJY_eiqgTfYGaH0bJiUDZ5GA.ttf";s:3:"700";s:94:"http://fonts.gstatic.com/s/robotocondensed/v13/b9QBgL0iMZfDSpmcXcE8nPOYkGiSOYDq_T7HbIOV1hA.ttf";s:9:"700italic";s:94:"http://fonts.gstatic.com/s/robotocondensed/v13/mg0cGfGRUERshzBlvqxeAE2zk2RGRC3SlyyLLQfjS_8.ttf";}}i:6;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Montserrat";s:8:"category";s:10:"sans-serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/montserrat/v6/Kqy6-utIpx_30Xzecmeo8_esZW2xOQ-xsNqO47m55DA.ttf";s:3:"700";s:88:"http://fonts.gstatic.com/s/montserrat/v6/IQHow_FEYlDC4Gzy_m8fcgJKKGfqHaYFsRG-T3ceEVo.ttf";}}i:7;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:15:"Source Sans Pro";s:8:"category";s:10:"sans-serif";s:8:"variants";a:12:{i:0;s:3:"200";i:1;s:9:"200italic";i:2;s:3:"300";i:3;s:9:"300italic";i:4;s:7:"regular";i:5;s:6:"italic";i:6;s:3:"600";i:7;s:9:"600italic";i:8;s:3:"700";i:9;s:9:"700italic";i:10;s:3:"900";i:11;s:9:"900italic";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"vietnamese";}s:7:"version";s:2:"v9";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":12:{s:3:"200";s:91:"http://fonts.gstatic.com/s/sourcesanspro/v9/toadOcfmlt9b38dHJxOBGKXvKVW_haheDNrHjziJZVk.ttf";s:9:"200italic";s:91:"http://fonts.gstatic.com/s/sourcesanspro/v9/fpTVHK8qsXbIeTHTrnQH6OptKU7UIBg2hLM7eMTU8bI.ttf";s:3:"300";s:91:"http://fonts.gstatic.com/s/sourcesanspro/v9/toadOcfmlt9b38dHJxOBGFP7R5lD_au4SZC6Ks_vyWs.ttf";s:9:"300italic";s:91:"http://fonts.gstatic.com/s/sourcesanspro/v9/fpTVHK8qsXbIeTHTrnQH6DUpNKoQAsDux-Todp8f29w.ttf";s:7:"regular";s:91:"http://fonts.gstatic.com/s/sourcesanspro/v9/ODelI1aHBYDBqgeIAH2zlNRl0pGnog23EMYRrBmUzJQ.ttf";s:6:"italic";s:91:"http://fonts.gstatic.com/s/sourcesanspro/v9/M2Jd71oPJhLKp0zdtTvoMwRX4TIfMQQEXLu74GftruE.ttf";s:3:"600";s:91:"http://fonts.gstatic.com/s/sourcesanspro/v9/toadOcfmlt9b38dHJxOBGOiMeWyi5E_-XkTgB5psiDg.ttf";s:9:"600italic";s:91:"http://fonts.gstatic.com/s/sourcesanspro/v9/fpTVHK8qsXbIeTHTrnQH6Pp6lGoTTgjlW0sC4r900Co.ttf";s:3:"700";s:91:"http://fonts.gstatic.com/s/sourcesanspro/v9/toadOcfmlt9b38dHJxOBGPgXsetDviZcdR5OzC1KPcw.ttf";s:9:"700italic";s:91:"http://fonts.gstatic.com/s/sourcesanspro/v9/fpTVHK8qsXbIeTHTrnQH6LVT4locI09aamSzFGQlDMY.ttf";s:3:"900";s:91:"http://fonts.gstatic.com/s/sourcesanspro/v9/toadOcfmlt9b38dHJxOBGBA_awHl7mXRjE_LQVochcU.ttf";s:9:"900italic";s:91:"http://fonts.gstatic.com/s/sourcesanspro/v9/fpTVHK8qsXbIeTHTrnQH6A0NcF6HPGWR298uWIdxWv0.ttf";}}i:8;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:4:"Lora";s:8:"category";s:5:"serif";s:8:"variants";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:8:"cyrillic";}s:7:"version";s:2:"v9";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":4:{s:7:"regular";s:61:"http://fonts.gstatic.com/s/lora/v9/aXJ7KVIGcejEy1abawZazg.ttf";s:6:"italic";s:61:"http://fonts.gstatic.com/s/lora/v9/AN2EZaj2tFRpyveuNn9BOg.ttf";s:3:"700";s:61:"http://fonts.gstatic.com/s/lora/v9/enKND5SfzQKkggBA_VnT1A.ttf";s:9:"700italic";s:61:"http://fonts.gstatic.com/s/lora/v9/ivs9j3kYU65pR9QD9YFdzQ.ttf";}}i:9;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Raleway";s:8:"category";s:10:"sans-serif";s:8:"variants";a:9:{i:0;s:3:"100";i:1;s:3:"200";i:2;s:3:"300";i:3;s:7:"regular";i:4;s:3:"500";i:5;s:3:"600";i:6;s:3:"700";i:7;s:3:"800";i:8;s:3:"900";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v9";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":9:{s:3:"100";s:64:"http://fonts.gstatic.com/s/raleway/v9/UDfD6oxBaBnmFJwQ7XAFNw.ttf";s:3:"200";s:85:"http://fonts.gstatic.com/s/raleway/v9/LAQwev4hdCtYkOYX4Oc7nPesZW2xOQ-xsNqO47m55DA.ttf";s:3:"300";s:85:"http://fonts.gstatic.com/s/raleway/v9/2VvSZU2kb4DZwFfRM4fLQPesZW2xOQ-xsNqO47m55DA.ttf";s:7:"regular";s:64:"http://fonts.gstatic.com/s/raleway/v9/_dCzxpXzIS3sL-gdJWAP8A.ttf";s:3:"500";s:85:"http://fonts.gstatic.com/s/raleway/v9/348gn6PEmbLDWlHbbV15d_esZW2xOQ-xsNqO47m55DA.ttf";s:3:"600";s:85:"http://fonts.gstatic.com/s/raleway/v9/M7no6oPkwKYJkedjB1wqEvesZW2xOQ-xsNqO47m55DA.ttf";s:3:"700";s:85:"http://fonts.gstatic.com/s/raleway/v9/VGEV9-DrblisWOWLbK-1XPesZW2xOQ-xsNqO47m55DA.ttf";s:3:"800";s:85:"http://fonts.gstatic.com/s/raleway/v9/mMh0JrsYMXcLO69jgJwpUvesZW2xOQ-xsNqO47m55DA.ttf";s:3:"900";s:85:"http://fonts.gstatic.com/s/raleway/v9/ajQQGcDBLcyLpaUfD76UuPesZW2xOQ-xsNqO47m55DA.ttf";}}i:10;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"PT Sans";s:8:"category";s:10:"sans-serif";s:8:"variants";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}s:7:"subsets";a:4:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:12:"cyrillic-ext";i:3;s:8:"cyrillic";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":4:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/ptsans/v8/UFoEz2uiuMypUGZL1NKoeg.ttf";s:6:"italic";s:63:"http://fonts.gstatic.com/s/ptsans/v8/yls9EYWOd496wiu7qzfgNg.ttf";s:3:"700";s:84:"http://fonts.gstatic.com/s/ptsans/v8/F51BEgHuR0tYHxF0bD4vwvesZW2xOQ-xsNqO47m55DA.ttf";s:9:"700italic";s:84:"http://fonts.gstatic.com/s/ptsans/v8/lILlYDvubYemzYzN7GbLkC3USBnSvpkopQaUR-2r7iU.ttf";}}i:11;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:19:"Open Sans Condensed";s:8:"category";s:10:"sans-serif";s:8:"variants";a:3:{i:0;s:3:"300";i:1;s:9:"300italic";i:2;s:3:"700";}s:7:"subsets";a:7:{i:0;s:5:"latin";i:1;s:5:"greek";i:2;s:9:"latin-ext";i:3;s:9:"greek-ext";i:4;s:10:"vietnamese";i:5;s:12:"cyrillic-ext";i:6;s:8:"cyrillic";}s:7:"version";s:3:"v10";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":3:{s:3:"300";s:96:"http://fonts.gstatic.com/s/opensanscondensed/v10/gk5FxslNkTTHtojXrkp-xEMwSSh38KQVJx4ABtsZTnA.ttf";s:9:"300italic";s:96:"http://fonts.gstatic.com/s/opensanscondensed/v10/jIXlqT1WKafUSwj6s9AzV4_LkTZ_uhAwfmGJ084hlvM.ttf";s:3:"700";s:96:"http://fonts.gstatic.com/s/opensanscondensed/v10/gk5FxslNkTTHtojXrkp-xBEM87DM3yorPOrvA-vB930.ttf";}}i:12;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Droid Sans";s:8:"category";s:10:"sans-serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:87:"http://fonts.gstatic.com/s/droidsans/v6/rS9BT6-asrfjpkcV3DXf__esZW2xOQ-xsNqO47m55DA.ttf";s:3:"700";s:87:"http://fonts.gstatic.com/s/droidsans/v6/EFpQQyG9GqCrobXxL-KRMQJKKGfqHaYFsRG-T3ceEVo.ttf";}}i:13;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Ubuntu";s:8:"category";s:10:"sans-serif";s:8:"variants";a:8:{i:0;s:3:"300";i:1;s:9:"300italic";i:2;s:7:"regular";i:3;s:6:"italic";i:4;s:3:"500";i:5;s:9:"500italic";i:6;s:3:"700";i:7;s:9:"700italic";}s:7:"subsets";a:6:{i:0;s:5:"latin";i:1;s:5:"greek";i:2;s:9:"latin-ext";i:3;s:9:"greek-ext";i:4;s:12:"cyrillic-ext";i:5;s:8:"cyrillic";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-08-26";s:5:"files";O:8:"stdClass":8:{s:3:"300";s:63:"http://fonts.gstatic.com/s/ubuntu/v8/7-wH0j2QCTHKgp7vLh9-sQ.ttf";s:9:"300italic";s:84:"http://fonts.gstatic.com/s/ubuntu/v8/j-TYDdXcC_eQzhhp386SjaCWcynf_cDxXwCLxiixG1c.ttf";s:7:"regular";s:63:"http://fonts.gstatic.com/s/ubuntu/v8/lhhB5ZCwEkBRbHMSnYuKyA.ttf";s:6:"italic";s:63:"http://fonts.gstatic.com/s/ubuntu/v8/b9hP8wd30SygxZjGGk4DCQ.ttf";s:3:"500";s:63:"http://fonts.gstatic.com/s/ubuntu/v8/bMbHEMwSUmkzcK2x_74QbA.ttf";s:9:"500italic";s:84:"http://fonts.gstatic.com/s/ubuntu/v8/NWdMogIO7U6AtEM4dDdf_aCWcynf_cDxXwCLxiixG1c.ttf";s:3:"700";s:63:"http://fonts.gstatic.com/s/ubuntu/v8/B7BtHjNYwAp3HgLNagENOQ.ttf";s:9:"700italic";s:84:"http://fonts.gstatic.com/s/ubuntu/v8/pqisLQoeO9YTDCNnlQ9bf6CWcynf_cDxXwCLxiixG1c.ttf";}}i:14;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Roboto Slab";s:8:"category";s:5:"serif";s:8:"variants";a:4:{i:0;s:3:"100";i:1;s:3:"300";i:2;s:7:"regular";i:3;s:3:"700";}s:7:"subsets";a:7:{i:0;s:5:"latin";i:1;s:5:"greek";i:2;s:9:"latin-ext";i:3;s:9:"greek-ext";i:4;s:10:"vietnamese";i:5;s:12:"cyrillic-ext";i:6;s:8:"cyrillic";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":4:{s:3:"100";s:88:"http://fonts.gstatic.com/s/robotoslab/v6/MEz38VLIFL-t46JUtkIEgIAWxXGWZ3yJw6KhWS7MxOk.ttf";s:3:"300";s:88:"http://fonts.gstatic.com/s/robotoslab/v6/dazS1PrQQuCxC3iOAJFEJS9-WlPSxbfiI49GsXo3q0g.ttf";s:7:"regular";s:88:"http://fonts.gstatic.com/s/robotoslab/v6/3__ulTNA7unv0UtplybPiqCWcynf_cDxXwCLxiixG1c.ttf";s:3:"700";s:88:"http://fonts.gstatic.com/s/robotoslab/v6/dazS1PrQQuCxC3iOAJFEJXe1Pd76Vl7zRpE7NLJQ7XU.ttf";}}i:15;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Droid Serif";s:8:"category";s:5:"serif";s:8:"variants";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":4:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/droidserif/v6/DgAtPy6rIVa2Zx3Xh9KaNaCWcynf_cDxXwCLxiixG1c.ttf";s:6:"italic";s:88:"http://fonts.gstatic.com/s/droidserif/v6/cj2hUnSRBhwmSPr9kS5890eOrDcLawS7-ssYqLr2Xp4.ttf";s:3:"700";s:88:"http://fonts.gstatic.com/s/droidserif/v6/QQt14e8dY39u-eYBZmppwXe1Pd76Vl7zRpE7NLJQ7XU.ttf";s:9:"700italic";s:88:"http://fonts.gstatic.com/s/droidserif/v6/c92rD_x0V1LslSFt3-QEps_zJjSACmk0BRPxQqhnNLU.ttf";}}i:16;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:12:"Merriweather";s:8:"category";s:5:"serif";s:8:"variants";a:8:{i:0;s:3:"300";i:1;s:9:"300italic";i:2;s:7:"regular";i:3;s:6:"italic";i:4;s:3:"700";i:5;s:9:"700italic";i:6;s:3:"900";i:7;s:9:"900italic";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":8:{s:3:"300";s:90:"http://fonts.gstatic.com/s/merriweather/v8/ZvcMqxEwPfh2qDWBPxn6nqcQoVhARpoaILP7amxE_8g.ttf";s:9:"300italic";s:90:"http://fonts.gstatic.com/s/merriweather/v8/EYh7Vl4ywhowqULgRdYwICna0FLWfcB-J_SAYmcAXaI.ttf";s:7:"regular";s:90:"http://fonts.gstatic.com/s/merriweather/v8/RFda8w1V0eDZheqfcyQ4EC3USBnSvpkopQaUR-2r7iU.ttf";s:6:"italic";s:90:"http://fonts.gstatic.com/s/merriweather/v8/So5lHxHT37p2SS4-t60SlPMZXuCXbOrAvx5R0IT5Oyo.ttf";s:3:"700";s:90:"http://fonts.gstatic.com/s/merriweather/v8/ZvcMqxEwPfh2qDWBPxn6nkD2ttfZwueP-QU272T9-k4.ttf";s:9:"700italic";s:90:"http://fonts.gstatic.com/s/merriweather/v8/EYh7Vl4ywhowqULgRdYwIPAs9-1nE9qOqhChW0m4nDE.ttf";s:3:"900";s:90:"http://fonts.gstatic.com/s/merriweather/v8/ZvcMqxEwPfh2qDWBPxn6nqObDOjC3UL77puoeHsE3fw.ttf";s:9:"900italic";s:90:"http://fonts.gstatic.com/s/merriweather/v8/EYh7Vl4ywhowqULgRdYwIBd0_s6jQr9r5s5OZYvtzBY.ttf";}}i:17;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Arimo";s:8:"category";s:10:"sans-serif";s:8:"variants";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}s:7:"subsets";a:8:{i:0;s:5:"latin";i:1;s:5:"greek";i:2;s:9:"latin-ext";i:3;s:9:"greek-ext";i:4;s:10:"vietnamese";i:5;s:12:"cyrillic-ext";i:6;s:8:"cyrillic";i:7;s:6:"hebrew";}s:7:"version";s:2:"v9";s:12:"lastModified";s:10:"2015-04-28";s:5:"files";O:8:"stdClass":4:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/arimo/v9/Gpeo80g-5ji2CcyXWnzh7g.ttf";s:6:"italic";s:62:"http://fonts.gstatic.com/s/arimo/v9/_OdGbnX2-qQ96C4OjhyuPw.ttf";s:3:"700";s:62:"http://fonts.gstatic.com/s/arimo/v9/ZItXugREyvV9LnbY_gxAmw.ttf";s:9:"700italic";s:83:"http://fonts.gstatic.com/s/arimo/v9/__nOLWqmeXdhfr0g7GaFePesZW2xOQ-xsNqO47m55DA.ttf";}}i:18;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:14:"PT Sans Narrow";s:8:"category";s:10:"sans-serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:4:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:12:"cyrillic-ext";i:3;s:8:"cyrillic";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:90:"http://fonts.gstatic.com/s/ptsansnarrow/v7/UyYrYy3ltEffJV9QueSi4ZTvAuddT2xDMbdz0mdLyZY.ttf";s:3:"700";s:90:"http://fonts.gstatic.com/s/ptsansnarrow/v7/Q_pTky3Sc3ubRibGToTAYsLtdzs3iyjn_YuT226ZsLU.ttf";}}i:19;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Noto Sans";s:8:"category";s:10:"sans-serif";s:8:"variants";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}s:7:"subsets";a:8:{i:0;s:5:"latin";i:1;s:5:"greek";i:2;s:9:"latin-ext";i:3;s:9:"greek-ext";i:4;s:10:"devanagari";i:5;s:10:"vietnamese";i:6;s:12:"cyrillic-ext";i:7;s:8:"cyrillic";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":4:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/notosans/v6/0Ue9FiUJwVhi4NGfHJS5uA.ttf";s:6:"italic";s:86:"http://fonts.gstatic.com/s/notosans/v6/dLcNKMgJ1H5RVoZFraDz0qCWcynf_cDxXwCLxiixG1c.ttf";s:3:"700";s:86:"http://fonts.gstatic.com/s/notosans/v6/PIbvSEyHEdL91QLOQRnZ1y3USBnSvpkopQaUR-2r7iU.ttf";s:9:"700italic";s:86:"http://fonts.gstatic.com/s/notosans/v6/9Z3uUWMRR7crzm1TjRicDne1Pd76Vl7zRpE7NLJQ7XU.ttf";}}i:20;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:13:"Titillium Web";s:8:"category";s:10:"sans-serif";s:8:"variants";a:11:{i:0;s:3:"200";i:1;s:9:"200italic";i:2;s:3:"300";i:3;s:9:"300italic";i:4;s:7:"regular";i:5;s:6:"italic";i:6;s:3:"600";i:7;s:9:"600italic";i:8;s:3:"700";i:9;s:9:"700italic";i:10;s:3:"900";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":11:{s:3:"200";s:90:"http://fonts.gstatic.com/s/titilliumweb/v4/anMUvcNT0H1YN4FII8wprzOdCrLccoxq42eaxM802O0.ttf";s:9:"200italic";s:90:"http://fonts.gstatic.com/s/titilliumweb/v4/RZunN20OBmkvrU7sA4GPPj4N98U-66ThNJvtgddRfBE.ttf";s:3:"300";s:90:"http://fonts.gstatic.com/s/titilliumweb/v4/anMUvcNT0H1YN4FII8wpr9ZAkYT8DuUZELiKLwMGWAo.ttf";s:9:"300italic";s:90:"http://fonts.gstatic.com/s/titilliumweb/v4/RZunN20OBmkvrU7sA4GPPrfzCkqg7ORZlRf2cc4mXu8.ttf";s:7:"regular";s:90:"http://fonts.gstatic.com/s/titilliumweb/v4/7XUFZ5tgS-tD6QamInJTcTyagQBwYgYywpS70xNq8SQ.ttf";s:6:"italic";s:90:"http://fonts.gstatic.com/s/titilliumweb/v4/r9OmwyQxrgzUAhaLET_KO-ixohbIP6lHkU-1Mgq95cY.ttf";s:3:"600";s:90:"http://fonts.gstatic.com/s/titilliumweb/v4/anMUvcNT0H1YN4FII8wpr28K9dEd5Ue-HTQrlA7E2xQ.ttf";s:9:"600italic";s:90:"http://fonts.gstatic.com/s/titilliumweb/v4/RZunN20OBmkvrU7sA4GPPgOhzTSndyK8UWja2yJjKLc.ttf";s:3:"700";s:90:"http://fonts.gstatic.com/s/titilliumweb/v4/anMUvcNT0H1YN4FII8wpr2-6tpSbB9YhmWtmd1_gi_U.ttf";s:9:"700italic";s:90:"http://fonts.gstatic.com/s/titilliumweb/v4/RZunN20OBmkvrU7sA4GPPio3LEw-4MM8Ao2j9wPOfpw.ttf";s:3:"900";s:90:"http://fonts.gstatic.com/s/titilliumweb/v4/anMUvcNT0H1YN4FII8wpr7L0GmZLri-m-nfoo0Vul4Y.ttf";}}i:21;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"PT Serif";s:8:"category";s:5:"serif";s:8:"variants";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}s:7:"subsets";a:4:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:12:"cyrillic-ext";i:3;s:8:"cyrillic";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":4:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/ptserif/v8/sAo427rn3-QL9sWCbMZXhA.ttf";s:6:"italic";s:85:"http://fonts.gstatic.com/s/ptserif/v8/9khWhKzhpkH0OkNnBKS3n_esZW2xOQ-xsNqO47m55DA.ttf";s:3:"700";s:85:"http://fonts.gstatic.com/s/ptserif/v8/kyZw18tqQ5if-_wpmxxOeKCWcynf_cDxXwCLxiixG1c.ttf";s:9:"700italic";s:85:"http://fonts.gstatic.com/s/ptserif/v8/Foydq9xJp--nfYIx2TBz9QJKKGfqHaYFsRG-T3ceEVo.ttf";}}i:22;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Poiret One";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:8:"cyrillic";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:87:"http://fonts.gstatic.com/s/poiretone/v4/dWcYed048E5gHGDIt8i1CPesZW2xOQ-xsNqO47m55DA.ttf";}}i:23;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Dosis";s:8:"category";s:10:"sans-serif";s:8:"variants";a:7:{i:0;s:3:"200";i:1;s:3:"300";i:2;s:7:"regular";i:3;s:3:"500";i:4;s:3:"600";i:5;s:3:"700";i:6;s:3:"800";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":7:{s:3:"200";s:62:"http://fonts.gstatic.com/s/dosis/v4/ztftab0r6hcd7AeurUGrSQ.ttf";s:3:"300";s:62:"http://fonts.gstatic.com/s/dosis/v4/awIB6L0h5mb0plIKorXmuA.ttf";s:7:"regular";s:62:"http://fonts.gstatic.com/s/dosis/v4/rJRlixu-w0JZ1MyhJpao_Q.ttf";s:3:"500";s:62:"http://fonts.gstatic.com/s/dosis/v4/ruEXDOFMxDPGnjCBKRqdAQ.ttf";s:3:"600";s:62:"http://fonts.gstatic.com/s/dosis/v4/KNAswRNwm3tfONddYyidxg.ttf";s:3:"700";s:62:"http://fonts.gstatic.com/s/dosis/v4/AEEAj0ONidK8NQQMBBlSig.ttf";s:3:"800";s:62:"http://fonts.gstatic.com/s/dosis/v4/nlrKd8E69vvUU39XGsvR7Q.ttf";}}i:24;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Bitter";s:8:"category";s:5:"serif";s:8:"variants";a:3:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":3:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/bitter/v7/w_BNdJvVZDRmqy5aSfB2kQ.ttf";s:6:"italic";s:63:"http://fonts.gstatic.com/s/bitter/v7/TC0FZEVzXQIGgzmRfKPZbA.ttf";s:3:"700";s:63:"http://fonts.gstatic.com/s/bitter/v7/4dUtr_4BvHuoRU35suyOAg.ttf";}}i:25;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:12:"Indie Flower";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-08-14";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:89:"http://fonts.gstatic.com/s/indieflower/v8/10JVD_humAd5zP2yrFqw6i3USBnSvpkopQaUR-2r7iU.ttf";}}i:26;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:17:"Yanone Kaffeesatz";s:8:"category";s:10:"sans-serif";s:8:"variants";a:4:{i:0;s:3:"200";i:1;s:3:"300";i:2;s:7:"regular";i:3;s:3:"700";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":4:{s:3:"200";s:94:"http://fonts.gstatic.com/s/yanonekaffeesatz/v7/We_iSDqttE3etzfdfhuPRbq92v6XxU4pSv06GI0NsGc.ttf";s:3:"300";s:94:"http://fonts.gstatic.com/s/yanonekaffeesatz/v7/We_iSDqttE3etzfdfhuPRZlIwXPiNoNT_wxzJ2t3mTE.ttf";s:7:"regular";s:94:"http://fonts.gstatic.com/s/yanonekaffeesatz/v7/YDAoLskQQ5MOAgvHUQCcLdXn3cHbFGWU4T2HrSN6JF4.ttf";s:3:"700";s:94:"http://fonts.gstatic.com/s/yanonekaffeesatz/v7/We_iSDqttE3etzfdfhuPRf2R4S6PlKaGXWPfWpHpcl0.ttf";}}i:27;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Lobster";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:4:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"vietnamese";i:3;s:8:"cyrillic";}s:7:"version";s:3:"v15";s:12:"lastModified";s:10:"2015-07-21";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/lobster/v15/9LpJGtNuM1D8FAZ2BkJH2Q.ttf";}}i:28;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:16:"Playfair Display";s:8:"category";s:5:"serif";s:8:"variants";a:6:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";i:4;s:3:"900";i:5;s:9:"900italic";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:8:"cyrillic";}s:7:"version";s:3:"v10";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":6:{s:7:"regular";s:94:"http://fonts.gstatic.com/s/playfairdisplay/v10/2NBgzUtEeyB-Xtpr9bm1CV6uyC_qD11hrFQ6EGgTJWI.ttf";s:6:"italic";s:94:"http://fonts.gstatic.com/s/playfairdisplay/v10/9MkijrV-dEJ0-_NWV7E6NzMsbnvDNEBX25F5HWk9AhI.ttf";s:3:"700";s:94:"http://fonts.gstatic.com/s/playfairdisplay/v10/UC3ZEjagJi85gF9qFaBgICsv6SrURqJprbhH_C1Mw8w.ttf";s:9:"700italic";s:94:"http://fonts.gstatic.com/s/playfairdisplay/v10/n7G4PqJvFP2Kubl0VBLDECsYW3XoOVcYyYdp9NzzS9E.ttf";s:3:"900";s:94:"http://fonts.gstatic.com/s/playfairdisplay/v10/UC3ZEjagJi85gF9qFaBgIKqwMe2wjvZrAR44M0BJZ48.ttf";s:9:"900italic";s:94:"http://fonts.gstatic.com/s/playfairdisplay/v10/n7G4PqJvFP2Kubl0VBLDEC0JfJ4xmm7j1kL6D7mPxrA.ttf";}}i:29;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Fjalla One";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:87:"http://fonts.gstatic.com/s/fjallaone/v4/3b7vWCfOZsU53vMa8LWsf_esZW2xOQ-xsNqO47m55DA.ttf";}}i:30;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Oxygen";s:8:"category";s:10:"sans-serif";s:8:"variants";a:3:{i:0;s:3:"300";i:1;s:7:"regular";i:2;s:3:"700";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-08-26";s:5:"files";O:8:"stdClass":3:{s:3:"300";s:63:"http://fonts.gstatic.com/s/oxygen/v5/lZ31r0bR1Bzt_DfGZu1S8A.ttf";s:7:"regular";s:63:"http://fonts.gstatic.com/s/oxygen/v5/uhoyAE7XlQL22abzQieHjw.ttf";s:3:"700";s:63:"http://fonts.gstatic.com/s/oxygen/v5/yLqkmDwuNtt5pSqsJmhyrg.ttf";}}i:31;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Cabin";s:8:"category";s:10:"sans-serif";s:8:"variants";a:8:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"500";i:3;s:9:"500italic";i:4;s:3:"600";i:5;s:9:"600italic";i:6;s:3:"700";i:7;s:9:"700italic";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":8:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/cabin/v7/XeuAFYo2xAPHxZGBbQtHhA.ttf";s:6:"italic";s:62:"http://fonts.gstatic.com/s/cabin/v7/0tJ9k3DI5xC4GBgs1E_Jxw.ttf";s:3:"500";s:62:"http://fonts.gstatic.com/s/cabin/v7/HgsCQ-k3_Z_uQ86aFolNBg.ttf";s:9:"500italic";s:83:"http://fonts.gstatic.com/s/cabin/v7/50sjhrGE0njyO-7mGDhGP_esZW2xOQ-xsNqO47m55DA.ttf";s:3:"600";s:62:"http://fonts.gstatic.com/s/cabin/v7/eUDAvKhBtmTCkeVBsFk34A.ttf";s:9:"600italic";s:83:"http://fonts.gstatic.com/s/cabin/v7/sFQpQDBd3G2om0Nl5dD2CvesZW2xOQ-xsNqO47m55DA.ttf";s:3:"700";s:62:"http://fonts.gstatic.com/s/cabin/v7/4EKhProuY1hq_WCAomq9Dg.ttf";s:9:"700italic";s:83:"http://fonts.gstatic.com/s/cabin/v7/K83QKi8MOKLEqj6bgZ7LrfesZW2xOQ-xsNqO47m55DA.ttf";}}i:32;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:4:"Arvo";s:8:"category";s:5:"serif";s:8:"variants";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v9";s:12:"lastModified";s:10:"2015-08-26";s:5:"files";O:8:"stdClass":4:{s:7:"regular";s:61:"http://fonts.gstatic.com/s/arvo/v9/vvWPwz-PlZEwjOOIKqoZzA.ttf";s:6:"italic";s:61:"http://fonts.gstatic.com/s/arvo/v9/id5a4BCjbenl5Gkqonw_Rw.ttf";s:3:"700";s:61:"http://fonts.gstatic.com/s/arvo/v9/OB3FDST7U38u3OjPK_vvRQ.ttf";s:9:"700italic";s:61:"http://fonts.gstatic.com/s/arvo/v9/Hvl2MuWoXLaCy2v6MD4Yvw.ttf";}}i:33;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Noto Serif";s:8:"category";s:5:"serif";s:8:"variants";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}s:7:"subsets";a:7:{i:0;s:5:"latin";i:1;s:5:"greek";i:2;s:9:"latin-ext";i:3;s:9:"greek-ext";i:4;s:10:"vietnamese";i:5;s:12:"cyrillic-ext";i:6;s:8:"cyrillic";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-09-16";s:5:"files";O:8:"stdClass":4:{s:7:"regular";s:87:"http://fonts.gstatic.com/s/notoserif/v4/zW6mc7bC1CWw8dH0yxY8JfesZW2xOQ-xsNqO47m55DA.ttf";s:6:"italic";s:87:"http://fonts.gstatic.com/s/notoserif/v4/HQXBIwLHsOJCNEQeX9kNzy3USBnSvpkopQaUR-2r7iU.ttf";s:3:"700";s:87:"http://fonts.gstatic.com/s/notoserif/v4/lJAvZoKA5NttpPc9yc6lPQJKKGfqHaYFsRG-T3ceEVo.ttf";s:9:"700italic";s:87:"http://fonts.gstatic.com/s/notoserif/v4/Wreg0Be4tcFGM2t6VWytvED2ttfZwueP-QU272T9-k4.ttf";}}i:34;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:4:"Hind";s:8:"category";s:10:"sans-serif";s:8:"variants";a:5:{i:0;s:3:"300";i:1;s:7:"regular";i:2;s:3:"500";i:3;s:3:"600";i:4;s:3:"700";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"devanagari";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":5:{s:3:"300";s:61:"http://fonts.gstatic.com/s/hind/v5/qa346Adgv9kPDXoD1my4kA.ttf";s:7:"regular";s:61:"http://fonts.gstatic.com/s/hind/v5/mktFHh5Z5P9YjGKSslSUtA.ttf";s:3:"500";s:61:"http://fonts.gstatic.com/s/hind/v5/2cs8RCVcYtiv4iNDH1UsQQ.ttf";s:3:"600";s:61:"http://fonts.gstatic.com/s/hind/v5/TUKUmFMXSoxloBP1ni08oA.ttf";s:3:"700";s:61:"http://fonts.gstatic.com/s/hind/v5/cXJJavLdUbCfjxlsA6DqTw.ttf";}}i:35;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Nunito";s:8:"category";s:10:"sans-serif";s:8:"variants";a:3:{i:0;s:3:"300";i:1;s:7:"regular";i:2;s:3:"700";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":3:{s:3:"300";s:63:"http://fonts.gstatic.com/s/nunito/v7/zXQvrWBJqUooM7Xv98MrQw.ttf";s:7:"regular";s:63:"http://fonts.gstatic.com/s/nunito/v7/ySZTeT3IuzJj0GK6uGpbBg.ttf";s:3:"700";s:63:"http://fonts.gstatic.com/s/nunito/v7/aEdlqgMuYbpe4U3TnqOQMA.ttf";}}i:36;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Bree Serif";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:87:"http://fonts.gstatic.com/s/breeserif/v5/5h9crBVIrvZqgf34FHcnEfesZW2xOQ-xsNqO47m55DA.ttf";}}i:37;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:4:"Abel";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:61:"http://fonts.gstatic.com/s/abel/v6/RpUKfqNxoyNe_ka23bzQ2A.ttf";}}i:38;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:14:"Archivo Narrow";s:8:"category";s:10:"sans-serif";s:8:"variants";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":4:{s:7:"regular";s:91:"http://fonts.gstatic.com/s/archivonarrow/v5/DsLzC9scoPnrGiwYYMQXppTvAuddT2xDMbdz0mdLyZY.ttf";s:6:"italic";s:91:"http://fonts.gstatic.com/s/archivonarrow/v5/vqsrtPCpTU3tJlKfuXP5zUpmlyBQEFfdE6dERLXdQGQ.ttf";s:3:"700";s:91:"http://fonts.gstatic.com/s/archivonarrow/v5/M__Wu4PAmHf4YZvQM8tWsMLtdzs3iyjn_YuT226ZsLU.ttf";s:9:"700italic";s:91:"http://fonts.gstatic.com/s/archivonarrow/v5/wG6O733y5zHl4EKCOh8rSTg5KB8MNJ4uPAETq9naQO8.ttf";}}i:39;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Anton";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-08-14";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/anton/v7/XIbCenm-W0IRHWYIh7CGUQ.ttf";}}i:40;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:4:"Muli";s:8:"category";s:10:"sans-serif";s:8:"variants";a:4:{i:0;s:3:"300";i:1;s:9:"300italic";i:2;s:7:"regular";i:3;s:6:"italic";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":4:{s:3:"300";s:61:"http://fonts.gstatic.com/s/muli/v7/VJw4F3ZHRAZ7Hmg3nQu5YQ.ttf";s:9:"300italic";s:61:"http://fonts.gstatic.com/s/muli/v7/s-NKMCru8HiyjEt0ZDoBoA.ttf";s:7:"regular";s:61:"http://fonts.gstatic.com/s/muli/v7/KJiP6KznxbALQgfJcDdPAw.ttf";s:6:"italic";s:61:"http://fonts.gstatic.com/s/muli/v7/Cg0K_IWANs9xkNoxV7H1_w.ttf";}}i:41;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Inconsolata";s:8:"category";s:9:"monospace";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:3:"v12";s:12:"lastModified";s:10:"2015-09-24";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:90:"http://fonts.gstatic.com/s/inconsolata/v12/7bMKuoy6Nh0ft0SHnIGMuaCWcynf_cDxXwCLxiixG1c.ttf";s:3:"700";s:90:"http://fonts.gstatic.com/s/inconsolata/v12/AIed271kqQlcIRSOnQH0yXe1Pd76Vl7zRpE7NLJQ7XU.ttf";}}i:42;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:4:"Play";s:8:"category";s:10:"sans-serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:5:{i:0;s:5:"latin";i:1;s:5:"greek";i:2;s:9:"latin-ext";i:3;s:12:"cyrillic-ext";i:4;s:8:"cyrillic";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:61:"http://fonts.gstatic.com/s/play/v6/GWvfObW8LhtsOX333MCpBg.ttf";s:3:"700";s:61:"http://fonts.gstatic.com/s/play/v6/crPhg6I0alLI-MpB3vW-zw.ttf";}}i:43;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:17:"Libre Baskerville";s:8:"category";s:5:"serif";s:8:"variants";a:3:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":3:{s:7:"regular";s:94:"http://fonts.gstatic.com/s/librebaskerville/v4/pR0sBQVcY0JZc_ciXjFsKyyZRYCSvpCzQKuMWnP5NDY.ttf";s:6:"italic";s:94:"http://fonts.gstatic.com/s/librebaskerville/v4/QHIOz1iKF3bIEzRdDFaf5QnhapNS5Oi8FPrBRDLbsW4.ttf";s:3:"700";s:94:"http://fonts.gstatic.com/s/librebaskerville/v4/kH7K4InNTm7mmOXXjrA5v-xuswJKUVpBRfYFpz0W3Iw.ttf";}}i:44;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Vollkorn";s:8:"category";s:5:"serif";s:8:"variants";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":4:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/vollkorn/v6/IiexqYAeh8uII223thYx3w.ttf";s:6:"italic";s:86:"http://fonts.gstatic.com/s/vollkorn/v6/UuIzosgR1ovBhJFdwVp3fvesZW2xOQ-xsNqO47m55DA.ttf";s:3:"700";s:86:"http://fonts.gstatic.com/s/vollkorn/v6/gOwQjJVGXlDOONC12hVoBqCWcynf_cDxXwCLxiixG1c.ttf";s:9:"700italic";s:86:"http://fonts.gstatic.com/s/vollkorn/v6/KNiAlx6phRqXCwnZZG51JAJKKGfqHaYFsRG-T3ceEVo.ttf";}}i:45;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Alegreya";s:8:"category";s:5:"serif";s:8:"variants";a:6:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";i:4;s:3:"900";i:5;s:9:"900italic";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":6:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/alegreya/v7/62J3atXd6bvMU4qO_ca-eA.ttf";s:6:"italic";s:86:"http://fonts.gstatic.com/s/alegreya/v7/cbshnQGxwmlHBjUil7DaIfesZW2xOQ-xsNqO47m55DA.ttf";s:3:"700";s:86:"http://fonts.gstatic.com/s/alegreya/v7/5oZtdI5-wQwgAFrd9erCsaCWcynf_cDxXwCLxiixG1c.ttf";s:9:"700italic";s:86:"http://fonts.gstatic.com/s/alegreya/v7/IWi8e5bpnqhMRsZKTcTUWgJKKGfqHaYFsRG-T3ceEVo.ttf";s:3:"900";s:86:"http://fonts.gstatic.com/s/alegreya/v7/oQeMxX-vxGImzDgX6nxA7KCWcynf_cDxXwCLxiixG1c.ttf";s:9:"900italic";s:86:"http://fonts.gstatic.com/s/alegreya/v7/-L71QLH_XqgYWaI1GbOVhp0EAVxt0G0biEntp43Qt6E.ttf";}}i:46;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:12:"Josefin Sans";s:8:"category";s:10:"sans-serif";s:8:"variants";a:10:{i:0;s:3:"100";i:1;s:9:"100italic";i:2;s:3:"300";i:3;s:9:"300italic";i:4;s:7:"regular";i:5;s:6:"italic";i:6;s:3:"600";i:7;s:9:"600italic";i:8;s:3:"700";i:9;s:9:"700italic";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v9";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":10:{s:3:"100";s:89:"http://fonts.gstatic.com/s/josefinsans/v9/q9w3H4aeBxj0hZ8Osfi3d8SVQ0giZ-l_NELu3lgGyYw.ttf";s:9:"100italic";s:89:"http://fonts.gstatic.com/s/josefinsans/v9/s7-P1gqRNRNn-YWdOYnAOXXcj1rQwlNLIS625o-SrL0.ttf";s:3:"300";s:89:"http://fonts.gstatic.com/s/josefinsans/v9/C6HYlRF50SGJq1XyXj04z6cQoVhARpoaILP7amxE_8g.ttf";s:9:"300italic";s:89:"http://fonts.gstatic.com/s/josefinsans/v9/ppse0J9fKSaoxCIIJb33Gyna0FLWfcB-J_SAYmcAXaI.ttf";s:7:"regular";s:89:"http://fonts.gstatic.com/s/josefinsans/v9/xgzbb53t8j-Mo-vYa23n5i3USBnSvpkopQaUR-2r7iU.ttf";s:6:"italic";s:89:"http://fonts.gstatic.com/s/josefinsans/v9/q9w3H4aeBxj0hZ8Osfi3d_MZXuCXbOrAvx5R0IT5Oyo.ttf";s:3:"600";s:89:"http://fonts.gstatic.com/s/josefinsans/v9/C6HYlRF50SGJq1XyXj04z2v8CylhIUtwUiYO7Z2wXbE.ttf";s:9:"600italic";s:89:"http://fonts.gstatic.com/s/josefinsans/v9/ppse0J9fKSaoxCIIJb33G4R-5-urNOGAobhAyctHvW8.ttf";s:3:"700";s:89:"http://fonts.gstatic.com/s/josefinsans/v9/C6HYlRF50SGJq1XyXj04z0D2ttfZwueP-QU272T9-k4.ttf";s:9:"700italic";s:89:"http://fonts.gstatic.com/s/josefinsans/v9/ppse0J9fKSaoxCIIJb33G_As9-1nE9qOqhChW0m4nDE.ttf";}}i:47;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:4:"Asap";s:8:"category";s:10:"sans-serif";s:8:"variants";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":4:{s:7:"regular";s:61:"http://fonts.gstatic.com/s/asap/v4/2lf-1MDR8tsTpEtvJmr2hA.ttf";s:6:"italic";s:61:"http://fonts.gstatic.com/s/asap/v4/mwxNHf8QS8gNWCAMwkJNIg.ttf";s:3:"700";s:61:"http://fonts.gstatic.com/s/asap/v4/o5RUA7SsJ80M8oDFBnrDbg.ttf";s:9:"700italic";s:61:"http://fonts.gstatic.com/s/asap/v4/_rZz9y2oXc09jT5T6BexLQ.ttf";}}i:48;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Signika";s:8:"category";s:10:"sans-serif";s:8:"variants";a:4:{i:0;s:3:"300";i:1;s:7:"regular";i:2;s:3:"600";i:3;s:3:"700";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":4:{s:3:"300";s:85:"http://fonts.gstatic.com/s/signika/v6/0wDPonOzsYeEo-1KO78w4fesZW2xOQ-xsNqO47m55DA.ttf";s:7:"regular";s:64:"http://fonts.gstatic.com/s/signika/v6/WvDswbww0oAtvBg2l1L-9w.ttf";s:3:"600";s:85:"http://fonts.gstatic.com/s/signika/v6/lQMOF6NUN2ooR7WvB7tADvesZW2xOQ-xsNqO47m55DA.ttf";s:3:"700";s:85:"http://fonts.gstatic.com/s/signika/v6/lEcnfPBICWJPv5BbVNnFJPesZW2xOQ-xsNqO47m55DA.ttf";}}i:49;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Exo 2";s:8:"category";s:10:"sans-serif";s:8:"variants";a:18:{i:0;s:3:"100";i:1;s:9:"100italic";i:2;s:3:"200";i:3;s:9:"200italic";i:4;s:3:"300";i:5;s:9:"300italic";i:6;s:7:"regular";i:7;s:6:"italic";i:8;s:3:"500";i:9;s:9:"500italic";i:10;s:3:"600";i:11;s:9:"600italic";i:12;s:3:"700";i:13;s:9:"700italic";i:14;s:3:"800";i:15;s:9:"800italic";i:16;s:3:"900";i:17;s:9:"900italic";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:8:"cyrillic";}s:7:"version";s:2:"v3";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":18:{s:3:"100";s:61:"http://fonts.gstatic.com/s/exo2/v3/oVOtQy53isv97g4UhBUDqg.ttf";s:9:"100italic";s:61:"http://fonts.gstatic.com/s/exo2/v3/LNYVgsJcaCxoKFHmd4AZcg.ttf";s:3:"200";s:61:"http://fonts.gstatic.com/s/exo2/v3/qa-Ci2pBwJdCxciE1ErifQ.ttf";s:9:"200italic";s:82:"http://fonts.gstatic.com/s/exo2/v3/DCrVxDVvS69n50O-5erZVvesZW2xOQ-xsNqO47m55DA.ttf";s:3:"300";s:61:"http://fonts.gstatic.com/s/exo2/v3/nLUBdz_lHHoVIPor05Byhw.ttf";s:9:"300italic";s:82:"http://fonts.gstatic.com/s/exo2/v3/iSy9VTeUTiqiurQg2ywtu_esZW2xOQ-xsNqO47m55DA.ttf";s:7:"regular";s:61:"http://fonts.gstatic.com/s/exo2/v3/Pf_kZuIH5c5WKVkQUaeSWQ.ttf";s:6:"italic";s:61:"http://fonts.gstatic.com/s/exo2/v3/xxA5ZscX9sTU6U0lZJUlYA.ttf";s:3:"500";s:61:"http://fonts.gstatic.com/s/exo2/v3/oM0rzUuPqVJpW-VEIpuW5w.ttf";s:9:"500italic";s:82:"http://fonts.gstatic.com/s/exo2/v3/amzRVCB-gipwdihZZ2LtT_esZW2xOQ-xsNqO47m55DA.ttf";s:3:"600";s:61:"http://fonts.gstatic.com/s/exo2/v3/YnSn3HsyvyI1feGSdRMYqA.ttf";s:9:"600italic";s:82:"http://fonts.gstatic.com/s/exo2/v3/Vmo58BiptGwfVFb0teU5gPesZW2xOQ-xsNqO47m55DA.ttf";s:3:"700";s:61:"http://fonts.gstatic.com/s/exo2/v3/2DiK4XkdTckfTk6we73-bQ.ttf";s:9:"700italic";s:82:"http://fonts.gstatic.com/s/exo2/v3/Sdo-zW-4_--pDkTg6bYrY_esZW2xOQ-xsNqO47m55DA.ttf";s:3:"800";s:61:"http://fonts.gstatic.com/s/exo2/v3/IVYl_7dJruOg8zKRpC8Hrw.ttf";s:9:"800italic";s:82:"http://fonts.gstatic.com/s/exo2/v3/p0TA6KeOz1o4rySEbvUxI_esZW2xOQ-xsNqO47m55DA.ttf";s:3:"900";s:61:"http://fonts.gstatic.com/s/exo2/v3/e8csG8Wnu87AF6uCndkFRQ.ttf";s:9:"900italic";s:82:"http://fonts.gstatic.com/s/exo2/v3/KPhsGCoT2-7Uj6pMlRscH_esZW2xOQ-xsNqO47m55DA.ttf";}}i:50;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:16:"Ubuntu Condensed";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:6:{i:0;s:5:"latin";i:1;s:5:"greek";i:2;s:9:"latin-ext";i:3;s:9:"greek-ext";i:4;s:12:"cyrillic-ext";i:5;s:8:"cyrillic";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-08-26";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:93:"http://fonts.gstatic.com/s/ubuntucondensed/v7/DBCt-NXN57MTAFjitYxdrKDbm6fPDOZJsR8PmdG62gY.ttf";}}i:51;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Fira Sans";s:8:"category";s:10:"sans-serif";s:8:"variants";a:8:{i:0;s:3:"300";i:1;s:9:"300italic";i:2;s:7:"regular";i:3;s:6:"italic";i:4;s:3:"500";i:5;s:9:"500italic";i:6;s:3:"700";i:7;s:9:"700italic";}s:7:"subsets";a:5:{i:0;s:5:"latin";i:1;s:5:"greek";i:2;s:9:"latin-ext";i:3;s:12:"cyrillic-ext";i:4;s:8:"cyrillic";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":8:{s:3:"300";s:86:"http://fonts.gstatic.com/s/firasans/v5/VTBnrK42EiOBncVyQXZ7jy3USBnSvpkopQaUR-2r7iU.ttf";s:9:"300italic";s:86:"http://fonts.gstatic.com/s/firasans/v5/6s0YCA9oCTF6hM60YM-qTS9-WlPSxbfiI49GsXo3q0g.ttf";s:7:"regular";s:65:"http://fonts.gstatic.com/s/firasans/v5/nsT0isDy56OkSX99sFQbXw.ttf";s:6:"italic";s:86:"http://fonts.gstatic.com/s/firasans/v5/cPT_2ddmoxsUuMtQqa8zGqCWcynf_cDxXwCLxiixG1c.ttf";s:3:"500";s:86:"http://fonts.gstatic.com/s/firasans/v5/zM2u8V3CuPVwAAXFQcDi4C3USBnSvpkopQaUR-2r7iU.ttf";s:9:"500italic";s:86:"http://fonts.gstatic.com/s/firasans/v5/6s0YCA9oCTF6hM60YM-qTcCNfqCYlB_eIx7H1TVXe60.ttf";s:3:"700";s:86:"http://fonts.gstatic.com/s/firasans/v5/DugPdSljmOTocZOR2CItOi3USBnSvpkopQaUR-2r7iU.ttf";s:9:"700italic";s:86:"http://fonts.gstatic.com/s/firasans/v5/6s0YCA9oCTF6hM60YM-qTXe1Pd76Vl7zRpE7NLJQ7XU.ttf";}}i:52;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:12:"Francois One";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v9";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:89:"http://fonts.gstatic.com/s/francoisone/v9/bYbkq2nU2TSx4SwFbz5sCC3USBnSvpkopQaUR-2r7iU.ttf";}}i:53;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:18:"Shadows Into Light";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:94:"http://fonts.gstatic.com/s/shadowsintolight/v6/clhLqOv7MXn459PTh0gXYAW_5bEze-iLRNvGrRpJsfM.ttf";}}i:54;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Sigmar One";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:87:"http://fonts.gstatic.com/s/sigmarone/v6/oh_5NxD5JBZksdo2EntKefesZW2xOQ-xsNqO47m55DA.ttf";}}i:55;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Cuprum";s:8:"category";s:10:"sans-serif";s:8:"variants";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:8:"cyrillic";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":4:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/cuprum/v7/JgXs0F_UiaEdAS74msmFNg.ttf";s:6:"italic";s:63:"http://fonts.gstatic.com/s/cuprum/v7/cLEz0KV6OxInnktSzpk58g.ttf";s:3:"700";s:63:"http://fonts.gstatic.com/s/cuprum/v7/6tl3_FkDeXSD72oEHuJh4w.ttf";s:9:"700italic";s:84:"http://fonts.gstatic.com/s/cuprum/v7/bnkXaBfoYvaJ75axRPSwVKCWcynf_cDxXwCLxiixG1c.ttf";}}i:56;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Pacifico";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/pacifico/v7/GIrpeRY1r5CzbfL8r182lw.ttf";}}i:57;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Maven Pro";s:8:"category";s:10:"sans-serif";s:8:"variants";a:4:{i:0;s:7:"regular";i:1;s:3:"500";i:2;s:3:"700";i:3;s:3:"900";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":4:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/mavenpro/v7/sqPJIFG4gqsjl-0q_46Gbw.ttf";s:3:"500";s:86:"http://fonts.gstatic.com/s/mavenpro/v7/SQVfzoJBbj9t3aVcmbspRi3USBnSvpkopQaUR-2r7iU.ttf";s:3:"700";s:86:"http://fonts.gstatic.com/s/mavenpro/v7/uDssvmXgp7Nj3i336k_dSi3USBnSvpkopQaUR-2r7iU.ttf";s:3:"900";s:86:"http://fonts.gstatic.com/s/mavenpro/v7/-91TwiFzqeL1F7Kh91APwS3USBnSvpkopQaUR-2r7iU.ttf";}}i:58;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:12:"Crimson Text";s:8:"category";s:5:"serif";s:8:"variants";a:6:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"600";i:3;s:9:"600italic";i:4;s:3:"700";i:5;s:9:"700italic";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":6:{s:7:"regular";s:89:"http://fonts.gstatic.com/s/crimsontext/v6/3IFMwfRa07i-auYR-B-zNS3USBnSvpkopQaUR-2r7iU.ttf";s:6:"italic";s:89:"http://fonts.gstatic.com/s/crimsontext/v6/a5QZnvmn5amyNI-t2BMkWPMZXuCXbOrAvx5R0IT5Oyo.ttf";s:3:"600";s:89:"http://fonts.gstatic.com/s/crimsontext/v6/rEy5tGc5HdXy56Xvd4f3I2v8CylhIUtwUiYO7Z2wXbE.ttf";s:9:"600italic";s:89:"http://fonts.gstatic.com/s/crimsontext/v6/4j4TR-EfnvCt43InYpUNDIR-5-urNOGAobhAyctHvW8.ttf";s:3:"700";s:89:"http://fonts.gstatic.com/s/crimsontext/v6/rEy5tGc5HdXy56Xvd4f3I0D2ttfZwueP-QU272T9-k4.ttf";s:9:"700italic";s:89:"http://fonts.gstatic.com/s/crimsontext/v6/4j4TR-EfnvCt43InYpUNDPAs9-1nE9qOqhChW0m4nDE.ttf";}}i:59;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:12:"Varela Round";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:89:"http://fonts.gstatic.com/s/varelaround/v6/APH4jr0uSos5wiut5cpjri3USBnSvpkopQaUR-2r7iU.ttf";}}i:60;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:17:"Merriweather Sans";s:8:"category";s:10:"sans-serif";s:8:"variants";a:8:{i:0;s:3:"300";i:1;s:9:"300italic";i:2;s:7:"regular";i:3;s:6:"italic";i:4;s:3:"700";i:5;s:9:"700italic";i:6;s:3:"800";i:7;s:9:"800italic";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":8:{s:3:"300";s:94:"http://fonts.gstatic.com/s/merriweathersans/v5/6LmGj5dOJopQKEkt88Gowan5N8K-_DP0e9e_v51obXQ.ttf";s:9:"300italic";s:94:"http://fonts.gstatic.com/s/merriweathersans/v5/nAqt4hiqwq3tzCecpgPmVdytE4nGXk2hYD5nJ740tBw.ttf";s:7:"regular";s:94:"http://fonts.gstatic.com/s/merriweathersans/v5/AKu1CjQ4qnV8MUltkAX3sOAj_ty82iuwwDTNEYXGiyQ.ttf";s:6:"italic";s:94:"http://fonts.gstatic.com/s/merriweathersans/v5/3Mz4hOHzs2npRMG3B1ascZ32VBCoA_HLsn85tSWZmdo.ttf";s:3:"700";s:94:"http://fonts.gstatic.com/s/merriweathersans/v5/6LmGj5dOJopQKEkt88GowbqxG25nQNOioCZSK4sU-CA.ttf";s:9:"700italic";s:94:"http://fonts.gstatic.com/s/merriweathersans/v5/nAqt4hiqwq3tzCecpgPmVbuqAJxizi8Dk_SK5et7kMg.ttf";s:3:"800";s:94:"http://fonts.gstatic.com/s/merriweathersans/v5/6LmGj5dOJopQKEkt88GowYufzO2zUYSj5LqoJ3UGkco.ttf";s:9:"800italic";s:94:"http://fonts.gstatic.com/s/merriweathersans/v5/nAqt4hiqwq3tzCecpgPmVdDmPrYMy3aZO4LmnZsxTQw.ttf";}}i:61;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:19:"Architects Daughter";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:96:"http://fonts.gstatic.com/s/architectsdaughter/v6/RXTgOOQ9AAtaVOHxx0IUBMCy0EhZjHzu-y0e6uLf4Fg.ttf";}}i:62;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Righteous";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:66:"http://fonts.gstatic.com/s/righteous/v5/0nRRWM_gCGCt2S-BCfN8WQ.ttf";}}i:63;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Karla";s:8:"category";s:10:"sans-serif";s:8:"variants";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":4:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/karla/v5/78UgGRwJFkhqaoFimqoKpQ.ttf";s:6:"italic";s:62:"http://fonts.gstatic.com/s/karla/v5/51UBKly9RQOnOkj95ZwEFw.ttf";s:3:"700";s:62:"http://fonts.gstatic.com/s/karla/v5/JS501sZLxZ4zraLQdncOUA.ttf";s:9:"700italic";s:83:"http://fonts.gstatic.com/s/karla/v5/3YDyi09gQjCRh-5-SVhTTvesZW2xOQ-xsNqO47m55DA.ttf";}}i:64;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Quicksand";s:8:"category";s:10:"sans-serif";s:8:"variants";a:3:{i:0;s:3:"300";i:1;s:7:"regular";i:2;s:3:"700";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":3:{s:3:"300";s:87:"http://fonts.gstatic.com/s/quicksand/v5/qhfoJiLu10kFjChCCTvGlC3USBnSvpkopQaUR-2r7iU.ttf";s:7:"regular";s:66:"http://fonts.gstatic.com/s/quicksand/v5/Ngv3fIJjKB7sD-bTUGIFCA.ttf";s:3:"700";s:87:"http://fonts.gstatic.com/s/quicksand/v5/32nyIRHyCu6iqEka_hbKsi3USBnSvpkopQaUR-2r7iU.ttf";}}i:65;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:14:"Dancing Script";s:8:"category";s:11:"handwriting";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:91:"http://fonts.gstatic.com/s/dancingscript/v6/DK0eTGXiZjN6yA8zAEyM2RnpV0hQCek3EmWnCPrvGRM.ttf";s:3:"700";s:91:"http://fonts.gstatic.com/s/dancingscript/v6/KGBfwabt0ZRLA5W1ywjowb_dAmXiKjTPGCuO6G2MbfA.ttf";}}i:66;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Orbitron";s:8:"category";s:10:"sans-serif";s:8:"variants";a:4:{i:0;s:7:"regular";i:1;s:3:"500";i:2;s:3:"700";i:3;s:3:"900";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-08-14";s:5:"files";O:8:"stdClass":4:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/orbitron/v7/DY8swouAZjR3RaUPRf0HDQ.ttf";s:3:"500";s:86:"http://fonts.gstatic.com/s/orbitron/v7/p-y_ffzMdo5JN_7ia0vYEqCWcynf_cDxXwCLxiixG1c.ttf";s:3:"700";s:86:"http://fonts.gstatic.com/s/orbitron/v7/PS9_6SLkY1Y6OgPO3APr6qCWcynf_cDxXwCLxiixG1c.ttf";s:3:"900";s:86:"http://fonts.gstatic.com/s/orbitron/v7/2I3-8i9hT294TE_pyjy9SaCWcynf_cDxXwCLxiixG1c.ttf";}}i:67;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Rokkitt";s:8:"category";s:5:"serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v9";s:12:"lastModified";s:10:"2015-08-26";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/rokkitt/v9/GMA7Z_ToF8uSvpZAgnp_VQ.ttf";s:3:"700";s:85:"http://fonts.gstatic.com/s/rokkitt/v9/gxlo-sr3rPmvgSixYog_ofesZW2xOQ-xsNqO47m55DA.ttf";}}i:68;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:15:"PT Sans Caption";s:8:"category";s:10:"sans-serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:4:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:12:"cyrillic-ext";i:3;s:8:"cyrillic";}s:7:"version";s:2:"v9";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:91:"http://fonts.gstatic.com/s/ptsanscaption/v9/OXYTDOzBcXU8MTNBvBHeSW8by34Z3mUMtM-o4y-SHCY.ttf";s:3:"700";s:91:"http://fonts.gstatic.com/s/ptsanscaption/v9/Q-gJrFokeE7JydPpxASt25tc0eyfI4QDEsobEEpk_hA.ttf";}}i:69;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Bangers";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-08-14";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/bangers/v8/WAffdge5w99Xif-DLeqmcA.ttf";}}i:70;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:3:"Exo";s:8:"category";s:10:"sans-serif";s:8:"variants";a:18:{i:0;s:3:"100";i:1;s:9:"100italic";i:2;s:3:"200";i:3;s:9:"200italic";i:4;s:3:"300";i:5;s:9:"300italic";i:6;s:7:"regular";i:7;s:6:"italic";i:8;s:3:"500";i:9;s:9:"500italic";i:10;s:3:"600";i:11;s:9:"600italic";i:12;s:3:"700";i:13;s:9:"700italic";i:14;s:3:"800";i:15;s:9:"800italic";i:16;s:3:"900";i:17;s:9:"900italic";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":18:{s:3:"100";s:60:"http://fonts.gstatic.com/s/exo/v4/RI7A9uwjRmPbVp0n8e-Jvg.ttf";s:9:"100italic";s:60:"http://fonts.gstatic.com/s/exo/v4/qtGyZZlWb2EEvby3ZPosxw.ttf";s:3:"200";s:60:"http://fonts.gstatic.com/s/exo/v4/F8OfC_swrRRxpFt-tlXZQg.ttf";s:9:"200italic";s:60:"http://fonts.gstatic.com/s/exo/v4/fr4HBfXHYiIngW2_bhlgRw.ttf";s:3:"300";s:60:"http://fonts.gstatic.com/s/exo/v4/SBrN7TKUqgGUvfxqHqsnNw.ttf";s:9:"300italic";s:60:"http://fonts.gstatic.com/s/exo/v4/3gmiLjBegIfcDLISjTGA1g.ttf";s:7:"regular";s:60:"http://fonts.gstatic.com/s/exo/v4/eUEzTFueNXRVhbt4PEB8kQ.ttf";s:6:"italic";s:60:"http://fonts.gstatic.com/s/exo/v4/cfgolWisMSURhpQeVHl_NA.ttf";s:3:"500";s:60:"http://fonts.gstatic.com/s/exo/v4/jCg6DmGGXt_OVyp5ofQHPw.ttf";s:9:"500italic";s:60:"http://fonts.gstatic.com/s/exo/v4/lo5eTdCNJZQVN08p8RnzAQ.ttf";s:3:"600";s:60:"http://fonts.gstatic.com/s/exo/v4/q_SG5kXUmOcIvFpgtdZnlw.ttf";s:9:"600italic";s:60:"http://fonts.gstatic.com/s/exo/v4/0cExa8K_pxS2lTuMr68XUA.ttf";s:3:"700";s:60:"http://fonts.gstatic.com/s/exo/v4/3_jwsL4v9uHjl5Q37G57mw.ttf";s:9:"700italic";s:60:"http://fonts.gstatic.com/s/exo/v4/0me55yJIxd5vyQ9bF7SsiA.ttf";s:3:"800";s:60:"http://fonts.gstatic.com/s/exo/v4/yLPuxBuV0lzqibRJyooOJg.ttf";s:9:"800italic";s:60:"http://fonts.gstatic.com/s/exo/v4/n3LejeKVj_8gtZq5fIgNYw.ttf";s:3:"900";s:60:"http://fonts.gstatic.com/s/exo/v4/97d0nd6Yv4-SA_X92xAuZA.ttf";s:9:"900italic";s:60:"http://fonts.gstatic.com/s/exo/v4/JHTkQVhzyLtkY13Ye95TJQ.ttf";}}i:71;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Patua One";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/patuaone/v6/njZwotTYjswR4qdhsW-kJw.ttf";}}i:72;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Amatic SC";s:8:"category";s:11:"handwriting";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-09-09";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/amaticsc/v8/MldbRWLFytvqxU1y81xSVg.ttf";s:3:"700";s:86:"http://fonts.gstatic.com/s/amaticsc/v8/IDnkRTPGcrSVo50UyYNK7y3USBnSvpkopQaUR-2r7iU.ttf";}}i:73;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Doppio One";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:87:"http://fonts.gstatic.com/s/doppioone/v4/WHZ3HJQotpk_4aSMNBo_t_esZW2xOQ-xsNqO47m55DA.ttf";}}i:74;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Chewy";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/chewy/v7/hcDN5cvQdIu6Bx4mg_TSyw.ttf";}}i:75;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Questrial";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:66:"http://fonts.gstatic.com/s/questrial/v6/MoHHaw_WwNs_hd9ob1zTVw.ttf";}}i:76;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Monda";s:8:"category";s:10:"sans-serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/monda/v4/qFMHZ9zvR6B_gnoIgosPrw.ttf";s:3:"700";s:62:"http://fonts.gstatic.com/s/monda/v4/EVOzZUyc_j1w2GuTgTAW1g.ttf";}}i:77;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:13:"Abril Fatface";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:90:"http://fonts.gstatic.com/s/abrilfatface/v8/X1g_KwGeBV3ajZIXQ9VnDojjx0o0jr6fNXxPgYh_a8Q.ttf";}}i:78;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:18:"Pathway Gothic One";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:94:"http://fonts.gstatic.com/s/pathwaygothicone/v4/Lqv9ztoTUV8Q0FmQZzPqaA6A6xIYD7vYcYDop1i-K-c.ttf";}}i:79;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"BenchNine";s:8:"category";s:10:"sans-serif";s:8:"variants";a:3:{i:0;s:3:"300";i:1;s:7:"regular";i:2;s:3:"700";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":3:{s:3:"300";s:87:"http://fonts.gstatic.com/s/benchnine/v4/ah9xtUy9wLQ3qnWa2p-piS3USBnSvpkopQaUR-2r7iU.ttf";s:7:"regular";s:66:"http://fonts.gstatic.com/s/benchnine/v4/h3OAlYqU3aOeNkuXgH2Q2w.ttf";s:3:"700";s:87:"http://fonts.gstatic.com/s/benchnine/v4/qZpi6ZVZg3L2RL_xoBLxWS3USBnSvpkopQaUR-2r7iU.ttf";}}i:80;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:12:"Josefin Slab";s:8:"category";s:5:"serif";s:8:"variants";a:10:{i:0;s:3:"100";i:1;s:9:"100italic";i:2;s:3:"300";i:3;s:9:"300italic";i:4;s:7:"regular";i:5;s:6:"italic";i:6;s:3:"600";i:7;s:9:"600italic";i:8;s:3:"700";i:9;s:9:"700italic";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":10:{s:3:"100";s:89:"http://fonts.gstatic.com/s/josefinslab/v6/etsUjZYO8lTLU85lDhZwUsSVQ0giZ-l_NELu3lgGyYw.ttf";s:9:"100italic";s:89:"http://fonts.gstatic.com/s/josefinslab/v6/8BjDChqLgBF3RJKfwHIYh3Xcj1rQwlNLIS625o-SrL0.ttf";s:3:"300";s:89:"http://fonts.gstatic.com/s/josefinslab/v6/NbE6ykYuM2IyEwxQxOIi2KcQoVhARpoaILP7amxE_8g.ttf";s:9:"300italic";s:89:"http://fonts.gstatic.com/s/josefinslab/v6/af9sBoKGPbGO0r21xJulyyna0FLWfcB-J_SAYmcAXaI.ttf";s:7:"regular";s:89:"http://fonts.gstatic.com/s/josefinslab/v6/46aYWdgz-1oFX11flmyEfS3USBnSvpkopQaUR-2r7iU.ttf";s:6:"italic";s:89:"http://fonts.gstatic.com/s/josefinslab/v6/etsUjZYO8lTLU85lDhZwUvMZXuCXbOrAvx5R0IT5Oyo.ttf";s:3:"600";s:89:"http://fonts.gstatic.com/s/josefinslab/v6/NbE6ykYuM2IyEwxQxOIi2Gv8CylhIUtwUiYO7Z2wXbE.ttf";s:9:"600italic";s:89:"http://fonts.gstatic.com/s/josefinslab/v6/af9sBoKGPbGO0r21xJuly4R-5-urNOGAobhAyctHvW8.ttf";s:3:"700";s:89:"http://fonts.gstatic.com/s/josefinslab/v6/NbE6ykYuM2IyEwxQxOIi2ED2ttfZwueP-QU272T9-k4.ttf";s:9:"700italic";s:89:"http://fonts.gstatic.com/s/josefinslab/v6/af9sBoKGPbGO0r21xJuly_As9-1nE9qOqhChW0m4nDE.ttf";}}i:81;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:15:"Source Code Pro";s:8:"category";s:9:"monospace";s:8:"variants";a:7:{i:0;s:3:"200";i:1;s:3:"300";i:2;s:7:"regular";i:3;s:3:"500";i:4;s:3:"600";i:5;s:3:"700";i:6;s:3:"900";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":7:{s:3:"200";s:91:"http://fonts.gstatic.com/s/sourcecodepro/v6/leqv3v-yTsJNC7nFznSMqaXvKVW_haheDNrHjziJZVk.ttf";s:3:"300";s:91:"http://fonts.gstatic.com/s/sourcecodepro/v6/leqv3v-yTsJNC7nFznSMqVP7R5lD_au4SZC6Ks_vyWs.ttf";s:7:"regular";s:91:"http://fonts.gstatic.com/s/sourcecodepro/v6/mrl8jkM18OlOQN8JLgasD9Rl0pGnog23EMYRrBmUzJQ.ttf";s:3:"500";s:91:"http://fonts.gstatic.com/s/sourcecodepro/v6/leqv3v-yTsJNC7nFznSMqX63uKwMO11Of4rJWV582wg.ttf";s:3:"600";s:91:"http://fonts.gstatic.com/s/sourcecodepro/v6/leqv3v-yTsJNC7nFznSMqeiMeWyi5E_-XkTgB5psiDg.ttf";s:3:"700";s:91:"http://fonts.gstatic.com/s/sourcecodepro/v6/leqv3v-yTsJNC7nFznSMqfgXsetDviZcdR5OzC1KPcw.ttf";s:3:"900";s:91:"http://fonts.gstatic.com/s/sourcecodepro/v6/leqv3v-yTsJNC7nFznSMqRA_awHl7mXRjE_LQVochcU.ttf";}}i:82;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Russo One";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:8:"cyrillic";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-08-14";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/russoone/v5/zfwxZ--UhUc7FVfgT21PRQ.ttf";}}i:83;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:12:"Pontano Sans";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:89:"http://fonts.gstatic.com/s/pontanosans/v4/gTHiwyxi6S7iiHpqAoiE3C3USBnSvpkopQaUR-2r7iU.ttf";}}i:84;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Istok Web";s:8:"category";s:10:"sans-serif";s:8:"variants";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}s:7:"subsets";a:4:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:12:"cyrillic-ext";i:3;s:8:"cyrillic";}s:7:"version";s:3:"v10";s:12:"lastModified";s:10:"2015-06-11";s:5:"files";O:8:"stdClass":4:{s:7:"regular";s:66:"http://fonts.gstatic.com/s/istokweb/v10/RYLSjEXQ0nNtLLc4n7--dQ.ttf";s:6:"italic";s:87:"http://fonts.gstatic.com/s/istokweb/v10/kvcT2SlTjmGbC3YlZxmrl6CWcynf_cDxXwCLxiixG1c.ttf";s:3:"700";s:87:"http://fonts.gstatic.com/s/istokweb/v10/2koEo4AKFSvK4B52O_Mwai3USBnSvpkopQaUR-2r7iU.ttf";s:9:"700italic";s:87:"http://fonts.gstatic.com/s/istokweb/v10/ycQ3g52ELrh3o_HYCNNUw3e1Pd76Vl7zRpE7NLJQ7XU.ttf";}}i:85;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:12:"Noticia Text";s:8:"category";s:5:"serif";s:8:"variants";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"vietnamese";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":4:{s:7:"regular";s:89:"http://fonts.gstatic.com/s/noticiatext/v6/wdyV6x3eKpdeUPQ7BJ5uUC3USBnSvpkopQaUR-2r7iU.ttf";s:6:"italic";s:89:"http://fonts.gstatic.com/s/noticiatext/v6/dAuxVpkYE_Q_IwIm6elsKPMZXuCXbOrAvx5R0IT5Oyo.ttf";s:3:"700";s:89:"http://fonts.gstatic.com/s/noticiatext/v6/pEko-RqEtp45bE2P80AAKUD2ttfZwueP-QU272T9-k4.ttf";s:9:"700italic";s:89:"http://fonts.gstatic.com/s/noticiatext/v6/-rQ7V8ARjf28_b7kRa0JuvAs9-1nE9qOqhChW0m4nDE.ttf";}}i:86;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:17:"Gloria Hallelujah";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-08-14";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:94:"http://fonts.gstatic.com/s/gloriahallelujah/v8/CA1k7SlXcY5kvI81M_R28Q3RdPdyebSUyJECJouPsvA.ttf";}}i:87;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"News Cycle";s:8:"category";s:10:"sans-serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:3:"v13";s:12:"lastModified";s:10:"2015-04-16";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/newscycle/v13/xyMAr8VfiUzIOvS1abHJO_esZW2xOQ-xsNqO47m55DA.ttf";s:3:"700";s:88:"http://fonts.gstatic.com/s/newscycle/v13/G28Ny31cr5orMqEQy6ljtwJKKGfqHaYFsRG-T3ceEVo.ttf";}}i:88;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Gudea";s:8:"category";s:10:"sans-serif";s:8:"variants";a:3:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":3:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/gudea/v4/S-4QqBlkMPiiA3jNeCR5yw.ttf";s:6:"italic";s:62:"http://fonts.gstatic.com/s/gudea/v4/7mNgsGw_vfS-uUgRVXNDSw.ttf";s:3:"700";s:62:"http://fonts.gstatic.com/s/gudea/v4/lsip4aiWhJ9bx172Y9FN_w.ttf";}}i:89;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Ropa Sans";s:8:"category";s:10:"sans-serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:6:"italic";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-09-09";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/ropasans/v5/Gba7ZzVBuhg6nX_AoSwlkQ.ttf";s:6:"italic";s:86:"http://fonts.gstatic.com/s/ropasans/v5/V1zbhZQscNrh63dy5Jk2nqCWcynf_cDxXwCLxiixG1c.ttf";}}i:90;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Crete Round";s:8:"category";s:5:"serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:6:"italic";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/creteround/v5/B8EwN421qqOCCT8vOH4wJ6CWcynf_cDxXwCLxiixG1c.ttf";s:6:"italic";s:88:"http://fonts.gstatic.com/s/creteround/v5/5xAt7XK2vkUdjhGtt98unUeOrDcLawS7-ssYqLr2Xp4.ttf";}}i:91;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:17:"Quattrocento Sans";s:8:"category";s:10:"sans-serif";s:8:"variants";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":4:{s:7:"regular";s:94:"http://fonts.gstatic.com/s/quattrocentosans/v8/efd6FGWWGX5Z3ztwLBrG9eAj_ty82iuwwDTNEYXGiyQ.ttf";s:6:"italic";s:94:"http://fonts.gstatic.com/s/quattrocentosans/v8/8PXYbvM__bjl0rBnKiByg532VBCoA_HLsn85tSWZmdo.ttf";s:3:"700";s:94:"http://fonts.gstatic.com/s/quattrocentosans/v8/tXSgPxDl7Lk8Zr_5qX8FIbqxG25nQNOioCZSK4sU-CA.ttf";s:9:"700italic";s:94:"http://fonts.gstatic.com/s/quattrocentosans/v8/8N1PdXpbG6RtFvTjl-5E7buqAJxizi8Dk_SK5et7kMg.ttf";}}i:92;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"EB Garamond";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:5:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"vietnamese";i:3;s:12:"cyrillic-ext";i:4;s:8:"cyrillic";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/ebgaramond/v7/CDR0kuiFK7I1OZ2hSdR7G6CWcynf_cDxXwCLxiixG1c.ttf";}}i:93;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:14:"Kaushan Script";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:91:"http://fonts.gstatic.com/s/kaushanscript/v4/qx1LSqts-NtiKcLw4N03IBnpV0hQCek3EmWnCPrvGRM.ttf";}}i:94;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Lobster Two";s:8:"category";s:7:"display";s:8:"variants";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":4:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/lobstertwo/v7/xb9aY4w9ceh8JRzobID1naCWcynf_cDxXwCLxiixG1c.ttf";s:6:"italic";s:88:"http://fonts.gstatic.com/s/lobstertwo/v7/Ul_16MSbfayQv1I4QhLEoEeOrDcLawS7-ssYqLr2Xp4.ttf";s:3:"700";s:88:"http://fonts.gstatic.com/s/lobstertwo/v7/bmdxOflBqMqjEC0-kGsIiHe1Pd76Vl7zRpE7NLJQ7XU.ttf";s:9:"700italic";s:88:"http://fonts.gstatic.com/s/lobstertwo/v7/LEkN2_no_6kFvRfiBZ8xpM_zJjSACmk0BRPxQqhnNLU.ttf";}}i:95;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:13:"Archivo Black";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:90:"http://fonts.gstatic.com/s/archivoblack/v4/WoAoVT7K3k7hHfxKbvB6B51XQG8isOYYJhPIYAyrESQ.ttf";}}i:96;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Armata";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/armata/v6/1H8FwGgIRrbYtxSfXhOHlQ.ttf";}}i:97;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:13:"Didact Gothic";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:6:{i:0;s:5:"latin";i:1;s:5:"greek";i:2;s:9:"latin-ext";i:3;s:9:"greek-ext";i:4;s:12:"cyrillic-ext";i:5;s:8:"cyrillic";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:90:"http://fonts.gstatic.com/s/didactgothic/v7/v8_72sD3DYMKyM0dn3LtWotBLojGU5Qdl8-5NL4v70w.ttf";}}i:98;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Comfortaa";s:8:"category";s:7:"display";s:8:"variants";a:3:{i:0;s:3:"300";i:1;s:7:"regular";i:2;s:3:"700";}s:7:"subsets";a:5:{i:0;s:5:"latin";i:1;s:5:"greek";i:2;s:9:"latin-ext";i:3;s:12:"cyrillic-ext";i:4;s:8:"cyrillic";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":3:{s:3:"300";s:87:"http://fonts.gstatic.com/s/comfortaa/v7/r_tUZNl0G8xCoOmp_JkSCi3USBnSvpkopQaUR-2r7iU.ttf";s:7:"regular";s:66:"http://fonts.gstatic.com/s/comfortaa/v7/lZx6C1VViPgSOhCBUP7hXA.ttf";s:3:"700";s:87:"http://fonts.gstatic.com/s/comfortaa/v7/fND5XPYKrF2tQDwwfWZJIy3USBnSvpkopQaUR-2r7iU.ttf";}}i:99;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:15:"Old Standard TT";s:8:"category";s:5:"serif";s:8:"variants";a:3:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":3:{s:7:"regular";s:91:"http://fonts.gstatic.com/s/oldstandardtt/v7/n6RTCDcIPWSE8UNBa4k-DLcB5jyhm1VsHs65c3QNDr0.ttf";s:6:"italic";s:91:"http://fonts.gstatic.com/s/oldstandardtt/v7/QQT_AUSp4AV4dpJfIN7U5PWrQzeMtsHf8QsWQ2cZg3c.ttf";s:3:"700";s:91:"http://fonts.gstatic.com/s/oldstandardtt/v7/5Ywdce7XEbTSbxs__4X1_HJqbZqK7TdZ58X80Q_Lw8Y.ttf";}}i:100;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:18:"Gentium Book Basic";s:8:"category";s:5:"serif";s:8:"variants";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":4:{s:7:"regular";s:94:"http://fonts.gstatic.com/s/gentiumbookbasic/v6/IRFxB2matTxrjZt6a3FUnrWDjKAyldGEr6eEi2MBNeY.ttf";s:6:"italic";s:94:"http://fonts.gstatic.com/s/gentiumbookbasic/v6/qHqW2lwKO8-uTfIkh8FsUfXfjMwrYnmPVsQth2IcAPY.ttf";s:3:"700";s:94:"http://fonts.gstatic.com/s/gentiumbookbasic/v6/T2vUYmWzlqUtgLYdlemGnaWESMHIjnSjm9UUxYtEOko.ttf";s:9:"700italic";s:94:"http://fonts.gstatic.com/s/gentiumbookbasic/v6/632u7TMIoFDWQYUaHFUp5PA2A9KyRZEkn4TZVuhsWRM.ttf";}}i:101;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Chivo";s:8:"category";s:10:"sans-serif";s:8:"variants";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"900";i:3;s:9:"900italic";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":4:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/chivo/v7/L88PEuzS9eRfHRZhAPhZyw.ttf";s:6:"italic";s:62:"http://fonts.gstatic.com/s/chivo/v7/Oe3-Q-a2kBzPnhHck_baMg.ttf";s:3:"900";s:62:"http://fonts.gstatic.com/s/chivo/v7/JAdkiWd46QCW4vOsj3dzTA.ttf";s:9:"900italic";s:83:"http://fonts.gstatic.com/s/chivo/v7/LoszYnE86q2wJEOjCigBQ_esZW2xOQ-xsNqO47m55DA.ttf";}}i:102;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Courgette";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:66:"http://fonts.gstatic.com/s/courgette/v4/2YO0EYtyE9HUPLZprahpZA.ttf";}}i:103;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Rambla";s:8:"category";s:10:"sans-serif";s:8:"variants";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":4:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/rambla/v4/YaTmpvm5gFg_ShJKTQmdzg.ttf";s:6:"italic";s:63:"http://fonts.gstatic.com/s/rambla/v4/mhUgsKmp0qw3uATdDDAuwA.ttf";s:3:"700";s:63:"http://fonts.gstatic.com/s/rambla/v4/C5VZH8BxQKmnBuoC00UPpw.ttf";s:9:"700italic";s:84:"http://fonts.gstatic.com/s/rambla/v4/ziMzUZya6QahrKONSI1TzqCWcynf_cDxXwCLxiixG1c.ttf";}}i:104;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:21:"Covered By Your Grace";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:96:"http://fonts.gstatic.com/s/coveredbyyourgrace/v6/6ozZp4BPlrbDRWPe3EBGA6CVUMdvnk-GcAiZQrX9Gek.ttf";}}i:105;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Cantarell";s:8:"category";s:10:"sans-serif";s:8:"variants";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":4:{s:7:"regular";s:66:"http://fonts.gstatic.com/s/cantarell/v6/p5ydP_uWQ5lsFzcP_XVMEw.ttf";s:6:"italic";s:87:"http://fonts.gstatic.com/s/cantarell/v6/DTCLtOSqP-7dgM-V_xKUjqCWcynf_cDxXwCLxiixG1c.ttf";s:3:"700";s:87:"http://fonts.gstatic.com/s/cantarell/v6/Yir4ZDsCn4g1kWopdg-ehC3USBnSvpkopQaUR-2r7iU.ttf";s:9:"700italic";s:87:"http://fonts.gstatic.com/s/cantarell/v6/weehrwMeZBXb0QyrWnRwFXe1Pd76Vl7zRpE7NLJQ7XU.ttf";}}i:106;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Passion One";s:8:"category";s:7:"display";s:8:"variants";a:3:{i:0;s:7:"regular";i:1;s:3:"700";i:2;s:3:"900";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":3:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/passionone/v6/1UIK1tg3bKJ4J3o35M4heqCWcynf_cDxXwCLxiixG1c.ttf";s:3:"700";s:88:"http://fonts.gstatic.com/s/passionone/v6/feOcYDy2R-f3Ysy72PYJ2ne1Pd76Vl7zRpE7NLJQ7XU.ttf";s:3:"900";s:88:"http://fonts.gstatic.com/s/passionone/v6/feOcYDy2R-f3Ysy72PYJ2ienaqEuufTBk9XMKnKmgDA.ttf";}}i:107;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:4:"Ruda";s:8:"category";s:10:"sans-serif";s:8:"variants";a:3:{i:0;s:7:"regular";i:1;s:3:"700";i:2;s:3:"900";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":3:{s:7:"regular";s:61:"http://fonts.gstatic.com/s/ruda/v7/jPEIPB7DM2DNK_uBGv2HGw.ttf";s:3:"700";s:61:"http://fonts.gstatic.com/s/ruda/v7/JABOu1SYOHcGXVejUq4w6g.ttf";s:3:"900";s:61:"http://fonts.gstatic.com/s/ruda/v7/Uzusv-enCjoIrznlJJaBRw.ttf";}}i:108;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Philosopher";s:8:"category";s:10:"sans-serif";s:8:"variants";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:8:"cyrillic";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":4:{s:7:"regular";s:89:"http://fonts.gstatic.com/s/philosopher/v7/oZLTrB9jmJsyV0u_T0TKEaCWcynf_cDxXwCLxiixG1c.ttf";s:6:"italic";s:89:"http://fonts.gstatic.com/s/philosopher/v7/_9Hnc_gz9k7Qq6uKaeHKmUeOrDcLawS7-ssYqLr2Xp4.ttf";s:3:"700";s:89:"http://fonts.gstatic.com/s/philosopher/v7/napvkewXG9Gqby5vwGHICHe1Pd76Vl7zRpE7NLJQ7XU.ttf";s:9:"700italic";s:89:"http://fonts.gstatic.com/s/philosopher/v7/PuKlryTcvTj7-qZWfLCFIM_zJjSACmk0BRPxQqhnNLU.ttf";}}i:109;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Sanchez";s:8:"category";s:5:"serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:6:"italic";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/sanchez/v4/BEL8ao-E2LJ5eHPLB2UAiw.ttf";s:6:"italic";s:64:"http://fonts.gstatic.com/s/sanchez/v4/iSrhkWLexUZzDeNxNEHtzA.ttf";}}i:110;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Cinzel";s:8:"category";s:5:"serif";s:8:"variants";a:3:{i:0;s:7:"regular";i:1;s:3:"700";i:2;s:3:"900";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":3:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/cinzel/v4/GF7dy_Nc-a6EaHYSyGd-EA.ttf";s:3:"700";s:63:"http://fonts.gstatic.com/s/cinzel/v4/nYcFQ6_3pf_6YDrOFjBR8Q.ttf";s:3:"900";s:63:"http://fonts.gstatic.com/s/cinzel/v4/FTBj72ozM2cEOSxiVsRb3A.ttf";}}i:111;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Andada";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/andada/v7/rSFaDqNNQBRw3y19MB5Y4w.ttf";}}i:112;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Fredoka One";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/fredokaone/v4/QKfwXi-z-KtJAlnO2ethYqCWcynf_cDxXwCLxiixG1c.ttf";}}i:113;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Tinos";s:8:"category";s:5:"serif";s:8:"variants";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}s:7:"subsets";a:8:{i:0;s:5:"latin";i:1;s:5:"greek";i:2;s:9:"latin-ext";i:3;s:9:"greek-ext";i:4;s:10:"vietnamese";i:5;s:12:"cyrillic-ext";i:6;s:8:"cyrillic";i:7;s:6:"hebrew";}s:7:"version";s:2:"v9";s:12:"lastModified";s:10:"2015-04-28";s:5:"files";O:8:"stdClass":4:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/tinos/v9/EqpUbkVmutfwZ0PjpoGwCg.ttf";s:6:"italic";s:62:"http://fonts.gstatic.com/s/tinos/v9/slfyzlasCr9vTsaP4lUh9A.ttf";s:3:"700";s:62:"http://fonts.gstatic.com/s/tinos/v9/vHXfhX8jZuQruowfon93yQ.ttf";s:9:"700italic";s:83:"http://fonts.gstatic.com/s/tinos/v9/M6kfzvDMM0CdxdraoFpG6vesZW2xOQ-xsNqO47m55DA.ttf";}}i:114;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:15:"Hammersmith One";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:92:"http://fonts.gstatic.com/s/hammersmithone/v7/FWNn6ITYqL6or7ZTmBxRhjjVlsJB_M_Q_LtZxsoxvlw.ttf";}}i:115;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"ABeeZee";s:8:"category";s:10:"sans-serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:6:"italic";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/abeezee/v4/mE5BOuZKGln_Ex0uYKpIaw.ttf";s:6:"italic";s:64:"http://fonts.gstatic.com/s/abeezee/v4/kpplLynmYgP0YtlJA3atRw.ttf";}}i:116;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:22:"Mountains of Christmas";s:8:"category";s:7:"display";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:98:"http://fonts.gstatic.com/s/mountainsofchristmas/v8/dVGBFPwd6G44IWDbQtPew2Auds3jz1Fxb61CgfaGDr4.ttf";s:3:"700";s:98:"http://fonts.gstatic.com/s/mountainsofchristmas/v8/PymufKtHszoLrY0uiAYKNM9cPTbSBTrQyTa5TWAe3vE.ttf";}}i:117;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:15:"Cabin Condensed";s:8:"category";s:10:"sans-serif";s:8:"variants";a:4:{i:0;s:7:"regular";i:1;s:3:"500";i:2;s:3:"600";i:3;s:3:"700";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":4:{s:7:"regular";s:92:"http://fonts.gstatic.com/s/cabincondensed/v7/B0txb0blf2N29WdYPJjMSiQPsWWoiv__AzYJ9Zzn9II.ttf";s:3:"500";s:92:"http://fonts.gstatic.com/s/cabincondensed/v7/Ez4zJbsGr2BgXcNUWBVgEARL_-ABKXdjsJSPT0lc2Bk.ttf";s:3:"600";s:92:"http://fonts.gstatic.com/s/cabincondensed/v7/Ez4zJbsGr2BgXcNUWBVgELS5sSASxc8z4EQTQj7DCAI.ttf";s:3:"700";s:92:"http://fonts.gstatic.com/s/cabincondensed/v7/Ez4zJbsGr2BgXcNUWBVgEMAWgzcA047xWLixhLCofl8.ttf";}}i:118;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:16:"Permanent Marker";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:93:"http://fonts.gstatic.com/s/permanentmarker/v5/9vYsg5VgPHKK8SXYbf3sMol14xj5tdg9OHF8w4E7StQ.ttf";}}i:119;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Satisfy";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/satisfy/v6/PRlyepkd-JCGHiN8e9WV2w.ttf";}}i:120;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Voltaire";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/voltaire/v6/WvqBzaGEBbRV-hrahwO2cA.ttf";}}i:121;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Coming Soon";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/comingsoon/v6/Yz2z3IAe2HSQAOWsSG8COKCWcynf_cDxXwCLxiixG1c.ttf";}}i:122;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:13:"Alegreya Sans";s:8:"category";s:10:"sans-serif";s:8:"variants";a:14:{i:0;s:3:"100";i:1;s:9:"100italic";i:2;s:3:"300";i:3;s:9:"300italic";i:4;s:7:"regular";i:5;s:6:"italic";i:6;s:3:"500";i:7;s:9:"500italic";i:8;s:3:"700";i:9;s:9:"700italic";i:10;s:3:"800";i:11;s:9:"800italic";i:12;s:3:"900";i:13;s:9:"900italic";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"vietnamese";}s:7:"version";s:2:"v3";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":14:{s:3:"100";s:90:"http://fonts.gstatic.com/s/alegreyasans/v3/TKyx_-JJ6MdpQruNk-t-PJFGFO4uyVFMfB6LZsii7kI.ttf";s:9:"100italic";s:90:"http://fonts.gstatic.com/s/alegreyasans/v3/gRkSP2lBpqoMTVxg7DmVn2cDnjsrnI9_xJ-5gnBaHsE.ttf";s:3:"300";s:90:"http://fonts.gstatic.com/s/alegreyasans/v3/11EDm-lum6tskJMBbdy9acB1LjARzAvdqa1uQC32v70.ttf";s:9:"300italic";s:90:"http://fonts.gstatic.com/s/alegreyasans/v3/WfiXipsmjqRqsDBQ1bA9CnfqlVoxTUFFx1C8tBqmbcg.ttf";s:7:"regular";s:90:"http://fonts.gstatic.com/s/alegreyasans/v3/KYNzioYhDai7mTMnx_gDgn8f0n03UdmQgF_CLvNR2vg.ttf";s:6:"italic";s:90:"http://fonts.gstatic.com/s/alegreyasans/v3/TKyx_-JJ6MdpQruNk-t-PD4G9C9ttb0Oz5Cvf0qOitE.ttf";s:3:"500";s:90:"http://fonts.gstatic.com/s/alegreyasans/v3/11EDm-lum6tskJMBbdy9aQqQmZ7VjhwksfpNVG0pqGc.ttf";s:9:"500italic";s:90:"http://fonts.gstatic.com/s/alegreyasans/v3/WfiXipsmjqRqsDBQ1bA9Cs7DCVO6wo6i5LKIyZDzK40.ttf";s:3:"700";s:90:"http://fonts.gstatic.com/s/alegreyasans/v3/11EDm-lum6tskJMBbdy9aVCbmAUID8LN-q3pJpOk3Ys.ttf";s:9:"700italic";s:90:"http://fonts.gstatic.com/s/alegreyasans/v3/WfiXipsmjqRqsDBQ1bA9CpF66r9C4AnxxlBlGd7xY4g.ttf";s:3:"800";s:90:"http://fonts.gstatic.com/s/alegreyasans/v3/11EDm-lum6tskJMBbdy9acxnD5BewVtRRHHljCwR2bM.ttf";s:9:"800italic";s:90:"http://fonts.gstatic.com/s/alegreyasans/v3/WfiXipsmjqRqsDBQ1bA9CicOAJ_9MkLPbDmrtXDPbIU.ttf";s:3:"900";s:90:"http://fonts.gstatic.com/s/alegreyasans/v3/11EDm-lum6tskJMBbdy9aW42xlVP-j5dagE7-AU2zwg.ttf";s:9:"900italic";s:90:"http://fonts.gstatic.com/s/alegreyasans/v3/WfiXipsmjqRqsDBQ1bA9ChRaDUI9aE8-k7PrIG2iiuo.ttf";}}i:123;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:13:"Alfa Slab One";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:89:"http://fonts.gstatic.com/s/alfaslabone/v5/Qx6FPcitRwTC_k88tLPc-Yjjx0o0jr6fNXxPgYh_a8Q.ttf";}}i:124;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Cookie";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/cookie/v7/HxeUC62y_YdDbiFlze357A.ttf";}}i:125;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:12:"Luckiest Guy";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:89:"http://fonts.gstatic.com/s/luckiestguy/v6/5718gH8nDy3hFVihOpkY5C3USBnSvpkopQaUR-2r7iU.ttf";}}i:126;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Varela";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/varela/v7/ON7qs0cKUUixhhDFXlZUjw.ttf";}}i:127;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Economica";s:8:"category";s:10:"sans-serif";s:8:"variants";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":4:{s:7:"regular";s:66:"http://fonts.gstatic.com/s/economica/v4/G4rJRujzZbq9Nxngu9l3hg.ttf";s:6:"italic";s:87:"http://fonts.gstatic.com/s/economica/v4/p5O9AVeUqx_n35xQRinNYaCWcynf_cDxXwCLxiixG1c.ttf";s:3:"700";s:87:"http://fonts.gstatic.com/s/economica/v4/UK4l2VEpwjv3gdcwbwXE9C3USBnSvpkopQaUR-2r7iU.ttf";s:9:"700italic";s:87:"http://fonts.gstatic.com/s/economica/v4/ac5dlUsedQ03RqGOeay-3Xe1Pd76Vl7zRpE7NLJQ7XU.ttf";}}i:128;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Kreon";s:8:"category";s:5:"serif";s:8:"variants";a:3:{i:0;s:3:"300";i:1;s:7:"regular";i:2;s:3:"700";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v9";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":3:{s:3:"300";s:62:"http://fonts.gstatic.com/s/kreon/v9/HKtJRiq5C2zbq5N1IX32sA.ttf";s:7:"regular";s:62:"http://fonts.gstatic.com/s/kreon/v9/zA_IZt0u0S3cvHJu-n1oEg.ttf";s:3:"700";s:62:"http://fonts.gstatic.com/s/kreon/v9/jh0dSmaPodjxISiblIUTkw.ttf";}}i:129;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Vidaloka";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/vidaloka/v8/C6Nul0ogKUWkx356rrt9RA.ttf";}}i:130;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:12:"Quattrocento";s:8:"category";s:5:"serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:90:"http://fonts.gstatic.com/s/quattrocento/v7/WZDISdyil4HsmirlOdBRFC3USBnSvpkopQaUR-2r7iU.ttf";s:3:"700";s:90:"http://fonts.gstatic.com/s/quattrocento/v7/Uvi-cRwyvqFpl9j3oT2mqkD2ttfZwueP-QU272T9-k4.ttf";}}i:131;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:13:"Pinyon Script";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:90:"http://fonts.gstatic.com/s/pinyonscript/v6/TzghnhfCn7TuE73f-CBQ0CeUSrabuTpOsMEiRLtKwk0.ttf";}}i:132;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Fauna One";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/faunaone/v4/8kL-wpAPofcAMELI_5NRnQ.ttf";}}i:133;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Boogaloo";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/boogaloo/v6/4Wu1tvFMoB80fSu8qLgQfQ.ttf";}}i:134;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Playball";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/playball/v6/3hOFiQm_EUzycTpcN9uz4w.ttf";}}i:135;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Handlee";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/handlee/v5/6OfkXkyC0E5NZN80ED8u3A.ttf";}}i:136;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Rock Salt";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/rocksalt/v6/Zy7JF9h9WbhD9V3SFMQ1UQ.ttf";}}i:137;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Domine";s:8:"category";s:5:"serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/domine/v4/wfVIgamVFjMNQAEWurCiHA.ttf";s:3:"700";s:63:"http://fonts.gstatic.com/s/domine/v4/phBcG1ZbQFxUIt18hPVxnw.ttf";}}i:138;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Tangerine";s:8:"category";s:11:"handwriting";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-08-14";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:66:"http://fonts.gstatic.com/s/tangerine/v7/DTPeM3IROhnkz7aYG2a9sA.ttf";s:3:"700";s:87:"http://fonts.gstatic.com/s/tangerine/v7/UkFsr-RwJB_d2l9fIWsx3i3USBnSvpkopQaUR-2r7iU.ttf";}}i:139;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:22:"Shadows Into Light Two";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:97:"http://fonts.gstatic.com/s/shadowsintolighttwo/v4/gDxHeefcXIo-lOuZFCn2xVQrZk-Pga5KeEE_oZjkQjQ.ttf";}}i:140;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Bevan";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/bevan/v7/Rtg3zDsCeQiaJ_Qno22OJA.ttf";}}i:141;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Changa One";s:8:"category";s:7:"display";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:6:"italic";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v9";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:87:"http://fonts.gstatic.com/s/changaone/v9/dr4qjce4W3kxFrZRkVD87fesZW2xOQ-xsNqO47m55DA.ttf";s:6:"italic";s:87:"http://fonts.gstatic.com/s/changaone/v9/wJVQlUs1lAZel-WdTo2U9y3USBnSvpkopQaUR-2r7iU.ttf";}}i:142;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Sintony";s:8:"category";s:10:"sans-serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/sintony/v4/IDhCijoIMev2L6Lg5QsduQ.ttf";s:3:"700";s:85:"http://fonts.gstatic.com/s/sintony/v4/zVXQB1wqJn6PE4dWXoYpvPesZW2xOQ-xsNqO47m55DA.ttf";}}i:143;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Paytone One";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/paytoneone/v8/3WCxC7JAJjQHQVoIE0ZwvqCWcynf_cDxXwCLxiixG1c.ttf";}}i:144;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Cardo";s:8:"category";s:5:"serif";s:8:"variants";a:3:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";}s:7:"subsets";a:4:{i:0;s:5:"latin";i:1;s:5:"greek";i:2;s:9:"latin-ext";i:3;s:9:"greek-ext";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":3:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/cardo/v8/jbkF2_R0FKUEZTq5dwSknQ.ttf";s:6:"italic";s:62:"http://fonts.gstatic.com/s/cardo/v8/pcv4Np9tUkq0YREYUcEEJQ.ttf";s:3:"700";s:62:"http://fonts.gstatic.com/s/cardo/v8/lQN30weILimrKvp8rZhF1w.ttf";}}i:145;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Actor";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/actor/v6/ugMf40CrRK6Jf6Yz_xNSmQ.ttf";}}i:146;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Fugaz One";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/fugazone/v6/5tteVDCwxsr8-5RuSiRWOw.ttf";}}i:147;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Arapey";s:8:"category";s:5:"serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:6:"italic";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/arapey/v5/dqu823lrSYn8T2gApTdslA.ttf";s:6:"italic";s:63:"http://fonts.gstatic.com/s/arapey/v5/pY-Xi5JNBpaWxy2tZhEm5A.ttf";}}i:148;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:19:"Playfair Display SC";s:8:"category";s:5:"serif";s:8:"variants";a:6:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";i:4;s:3:"900";i:5;s:9:"900italic";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:8:"cyrillic";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-08-14";s:5:"files";O:8:"stdClass":6:{s:7:"regular";s:95:"http://fonts.gstatic.com/s/playfairdisplaysc/v5/G0-tvBxd4eQRdwFKB8dRkcpjYTDWIvcAwAccqeW9uNM.ttf";s:6:"italic";s:95:"http://fonts.gstatic.com/s/playfairdisplaysc/v5/myuYiFR-4NTrUT4w6TKls2klJsJYggW8rlNoTOTuau0.ttf";s:3:"700";s:95:"http://fonts.gstatic.com/s/playfairdisplaysc/v5/5ggqGkvWJU_TtW2W8cEubA-Amcyomnuy4WsCiPxGHjw.ttf";s:9:"700italic";s:95:"http://fonts.gstatic.com/s/playfairdisplaysc/v5/6X0OQrQhEEnPo56RalREX4krgPi80XvBcbTwmz-rgmU.ttf";s:3:"900";s:95:"http://fonts.gstatic.com/s/playfairdisplaysc/v5/5ggqGkvWJU_TtW2W8cEubKXL3C32k275YmX_AcBPZ7w.ttf";s:9:"900italic";s:95:"http://fonts.gstatic.com/s/playfairdisplaysc/v5/6X0OQrQhEEnPo56RalREX8Zag2q3ssKz8uH1RU4a9gs.ttf";}}i:149;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:4:"Jura";s:8:"category";s:10:"sans-serif";s:8:"variants";a:4:{i:0;s:3:"300";i:1;s:7:"regular";i:2;s:3:"500";i:3;s:3:"600";}s:7:"subsets";a:5:{i:0;s:5:"latin";i:1;s:5:"greek";i:2;s:9:"latin-ext";i:3;s:12:"cyrillic-ext";i:4;s:8:"cyrillic";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":4:{s:3:"300";s:61:"http://fonts.gstatic.com/s/jura/v7/Rqx_xy1UnN0C7wD3FUSyPQ.ttf";s:7:"regular";s:61:"http://fonts.gstatic.com/s/jura/v7/YAWMwF3sN0KCbynMq-Yr_Q.ttf";s:3:"500";s:61:"http://fonts.gstatic.com/s/jura/v7/16xhfjHCiaLj3tsqqgmtGg.ttf";s:3:"600";s:61:"http://fonts.gstatic.com/s/jura/v7/iwseduOwJSdY8wQ1Y6CJdA.ttf";}}i:150;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Great Vibes";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/greatvibes/v4/4Mi5RG_9LjQYrTU55GN_L6CWcynf_cDxXwCLxiixG1c.ttf";}}i:151;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Molengo";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/molengo/v7/jcjgeGuzv83I55AzOTpXNQ.ttf";}}i:152;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Antic Slab";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:87:"http://fonts.gstatic.com/s/anticslab/v4/PSbJCTKkAS7skPdkd7AKEvesZW2xOQ-xsNqO47m55DA.ttf";}}i:153;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Nobile";s:8:"category";s:10:"sans-serif";s:8:"variants";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":4:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/nobile/v7/lC_lPi1ddtN38iXTCRh6ow.ttf";s:6:"italic";s:63:"http://fonts.gstatic.com/s/nobile/v7/vGmrpKzWQQSrb-PR6FWBIA.ttf";s:3:"700";s:63:"http://fonts.gstatic.com/s/nobile/v7/9p6M-Yrg_r_QPmSD1skrOg.ttf";s:9:"700italic";s:84:"http://fonts.gstatic.com/s/nobile/v7/oQ1eYPaXV638N03KvsNvyKCWcynf_cDxXwCLxiixG1c.ttf";}}i:154;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:16:"Signika Negative";s:8:"category";s:10:"sans-serif";s:8:"variants";a:4:{i:0;s:3:"300";i:1;s:7:"regular";i:2;s:3:"600";i:3;s:3:"700";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":4:{s:3:"300";s:93:"http://fonts.gstatic.com/s/signikanegative/v5/q5TOjIw4CenPw6C-TW06FjYFXpUPtCmIEFDvjUnLLaI.ttf";s:7:"regular";s:93:"http://fonts.gstatic.com/s/signikanegative/v5/Z-Q1hzbY8uAo3TpTyPFMXVM1lnCWMnren5_v6047e5A.ttf";s:3:"600";s:93:"http://fonts.gstatic.com/s/signikanegative/v5/q5TOjIw4CenPw6C-TW06FrKLaDJM01OezSVA2R_O3qI.ttf";s:3:"700";s:93:"http://fonts.gstatic.com/s/signikanegative/v5/q5TOjIw4CenPw6C-TW06FpYzPxtVvobH1w3hEppR8WI.ttf";}}i:155;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:13:"Special Elite";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:90:"http://fonts.gstatic.com/s/specialelite/v6/9-wW4zu3WNoD5Fjka35Jm4jjx0o0jr6fNXxPgYh_a8Q.ttf";}}i:156;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Damion";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/damion/v6/13XtECwKxhD_VrOqXL4SiA.ttf";}}i:157;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Amaranth";s:8:"category";s:10:"sans-serif";s:8:"variants";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":4:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/amaranth/v6/7VcBog22JBHsHXHdnnycTA.ttf";s:6:"italic";s:86:"http://fonts.gstatic.com/s/amaranth/v6/UrJlRY9LcVERJSvggsdBqPesZW2xOQ-xsNqO47m55DA.ttf";s:3:"700";s:86:"http://fonts.gstatic.com/s/amaranth/v6/j5OFHqadfxyLnQRxFeox6qCWcynf_cDxXwCLxiixG1c.ttf";s:9:"700italic";s:86:"http://fonts.gstatic.com/s/amaranth/v6/BHyuYFj9nqLFNvOvGh0xTwJKKGfqHaYFsRG-T3ceEVo.ttf";}}i:158;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:12:"Marck Script";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:8:"cyrillic";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:89:"http://fonts.gstatic.com/s/marckscript/v7/O_D1NAZVOFOobLbVtW3bci3USBnSvpkopQaUR-2r7iU.ttf";}}i:159;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:17:"Just Another Hand";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:93:"http://fonts.gstatic.com/s/justanotherhand/v7/fKV8XYuRNNagXr38eqbRf99BnJIEGrvoojniP57E51c.ttf";}}i:160;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Audiowide";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:66:"http://fonts.gstatic.com/s/audiowide/v4/yGcwRZB6VmoYhPUYT-mEow.ttf";}}i:161;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Roboto Mono";s:8:"category";s:9:"monospace";s:8:"variants";a:10:{i:0;s:3:"100";i:1;s:9:"100italic";i:2;s:3:"300";i:3;s:9:"300italic";i:4;s:7:"regular";i:5;s:6:"italic";i:6;s:3:"500";i:7;s:9:"500italic";i:8;s:3:"700";i:9;s:9:"700italic";}s:7:"subsets";a:7:{i:0;s:5:"latin";i:1;s:5:"greek";i:2;s:9:"latin-ext";i:3;s:9:"greek-ext";i:4;s:10:"vietnamese";i:5;s:12:"cyrillic-ext";i:6;s:8:"cyrillic";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-05-28";s:5:"files";O:8:"stdClass":10:{s:3:"100";s:88:"http://fonts.gstatic.com/s/robotomono/v4/aOIeRp72J9_Hp_8KwQ9M-YAWxXGWZ3yJw6KhWS7MxOk.ttf";s:9:"100italic";s:88:"http://fonts.gstatic.com/s/robotomono/v4/rqQ1zSE-ZGCKVZgew-A9dgyDtfpXZi-8rXUZYR4dumU.ttf";s:3:"300";s:88:"http://fonts.gstatic.com/s/robotomono/v4/N4duVc9C58uwPiY8_59Fzy9-WlPSxbfiI49GsXo3q0g.ttf";s:9:"300italic";s:88:"http://fonts.gstatic.com/s/robotomono/v4/1OsMuiiO6FCF2x67vzDKA2o9eWDfYYxG3A176Zl7aIg.ttf";s:7:"regular";s:88:"http://fonts.gstatic.com/s/robotomono/v4/eJ4cxQe85Lo39t-LVoKa26CWcynf_cDxXwCLxiixG1c.ttf";s:6:"italic";s:88:"http://fonts.gstatic.com/s/robotomono/v4/mE0EPT_93c7f86_WQexR3EeOrDcLawS7-ssYqLr2Xp4.ttf";s:3:"500";s:88:"http://fonts.gstatic.com/s/robotomono/v4/N4duVc9C58uwPiY8_59Fz8CNfqCYlB_eIx7H1TVXe60.ttf";s:9:"500italic";s:88:"http://fonts.gstatic.com/s/robotomono/v4/1OsMuiiO6FCF2x67vzDKA2nWRcJAYo5PSCx8UfGMHCI.ttf";s:3:"700";s:88:"http://fonts.gstatic.com/s/robotomono/v4/N4duVc9C58uwPiY8_59Fz3e1Pd76Vl7zRpE7NLJQ7XU.ttf";s:9:"700italic";s:88:"http://fonts.gstatic.com/s/robotomono/v4/1OsMuiiO6FCF2x67vzDKA8_zJjSACmk0BRPxQqhnNLU.ttf";}}i:162;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Oleo Script";s:8:"category";s:7:"display";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/oleoscript/v5/21stZcmPyzbQVXtmGegyqKCWcynf_cDxXwCLxiixG1c.ttf";s:3:"700";s:88:"http://fonts.gstatic.com/s/oleoscript/v5/hudNQFKFl98JdNnlo363fne1Pd76Vl7zRpE7NLJQ7XU.ttf";}}i:163;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:13:"Black Ops One";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:89:"http://fonts.gstatic.com/s/blackopsone/v7/2XW-DmDsGbDLE372KrMW1Yjjx0o0jr6fNXxPgYh_a8Q.ttf";}}i:164;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Squada One";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:87:"http://fonts.gstatic.com/s/squadaone/v5/3tzGuaJdD65cZVgfQzN8uvesZW2xOQ-xsNqO47m55DA.ttf";}}i:165;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Days One";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/daysone/v6/kzwZjNhc1iabMsrc_hKBIA.ttf";}}i:166;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Bad Script";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:8:"cyrillic";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:87:"http://fonts.gstatic.com/s/badscript/v5/cRyUs0nJ2eMQFHwBsZNRXfesZW2xOQ-xsNqO47m55DA.ttf";}}i:167;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:16:"Sorts Mill Goudy";s:8:"category";s:5:"serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:6:"italic";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:92:"http://fonts.gstatic.com/s/sortsmillgoudy/v6/JzRrPKdwEnE8F1TDmDLMUlIL2Qjg-Xlsg_fhGbe2P5U.ttf";s:6:"italic";s:92:"http://fonts.gstatic.com/s/sortsmillgoudy/v6/UUu1lKiy4hRmBWk599VL1TYNkCNSzLyoucKmbTguvr0.ttf";}}i:168;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Amiri";s:8:"category";s:5:"serif";s:8:"variants";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}s:7:"subsets";a:2:{i:0;s:6:"arabic";i:1;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-07";s:5:"files";O:8:"stdClass":4:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/amiri/v7/ATARrPmSew75SlpOw2YABQ.ttf";s:6:"italic";s:62:"http://fonts.gstatic.com/s/amiri/v7/3t1yTQlLUXBw8htrqlXBrw.ttf";s:3:"700";s:62:"http://fonts.gstatic.com/s/amiri/v7/WQsR_moz-FNqVwGYgptqiA.ttf";s:9:"700italic";s:83:"http://fonts.gstatic.com/s/amiri/v7/uF8aNEyD0bxMeTBg9bFDSPesZW2xOQ-xsNqO47m55DA.ttf";}}i:169;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Enriqueta";s:8:"category";s:5:"serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:66:"http://fonts.gstatic.com/s/enriqueta/v5/_p90TrIwR1SC-vDKtmrv6A.ttf";s:3:"700";s:87:"http://fonts.gstatic.com/s/enriqueta/v5/I27Pb-wEGH2ajLYP0QrtSC3USBnSvpkopQaUR-2r7iU.ttf";}}i:170;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Nixie One";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/nixieone/v7/h6kQfmzm0Shdnp3eswRaqQ.ttf";}}i:171;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Scada";s:8:"category";s:10:"sans-serif";s:8:"variants";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:8:"cyrillic";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":4:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/scada/v4/iZNC3ZEYwe3je6H-28d5Ug.ttf";s:6:"italic";s:62:"http://fonts.gstatic.com/s/scada/v4/PCGyLT1qNawkOUQ3uHFhBw.ttf";s:3:"700";s:62:"http://fonts.gstatic.com/s/scada/v4/t6XNWdMdVWUz93EuRVmifQ.ttf";s:9:"700italic";s:83:"http://fonts.gstatic.com/s/scada/v4/kLrBIf7V4mDMwcd_Yw7-D_esZW2xOQ-xsNqO47m55DA.ttf";}}i:172;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Antic";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/antic/v7/hEa8XCNM7tXGzD0Uk0AipA.ttf";}}i:173;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:15:"Droid Sans Mono";s:8:"category";s:9:"monospace";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:91:"http://fonts.gstatic.com/s/droidsansmono/v7/ns-m2xQYezAtqh7ai59hJcwD6PD0c3_abh9zHKQtbGU.ttf";}}i:174;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Glegoo";s:8:"category";s:5:"serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"devanagari";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/glegoo/v5/2tf-h3n2A_SNYXEO0C8bKw.ttf";s:3:"700";s:63:"http://fonts.gstatic.com/s/glegoo/v5/TlLolbauH0-0Aiz1LUH5og.ttf";}}i:175;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Basic";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/basic/v6/hNII2mS5Dxw5C0u_m3mXgA.ttf";}}i:176;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:4:"Viga";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:61:"http://fonts.gstatic.com/s/viga/v5/uD87gDbhS7frHLX4uL6agg.ttf";}}i:177;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:14:"Bubblegum Sans";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:91:"http://fonts.gstatic.com/s/bubblegumsans/v5/Y9iTUUNz6lbl6TrvV4iwsytnKWgpfO2iSkLzTz-AABg.ttf";}}i:178;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Marmelad";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:8:"cyrillic";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/marmelad/v6/jI0_FBlSOIRLL0ePWOhOwQ.ttf";}}i:179;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Cantata One";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/cantataone/v5/-a5FDvnBqaBMDaGgZYnEfqCWcynf_cDxXwCLxiixG1c.ttf";}}i:180;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:12:"Contrail One";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:89:"http://fonts.gstatic.com/s/contrailone/v6/b41KxjgiyqX-hkggANDU6C3USBnSvpkopQaUR-2r7iU.ttf";}}i:181;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Niconne";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/niconne/v6/ZA-mFw2QNXodx5y7kfELBg.ttf";}}i:182;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Allerta";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/allerta/v7/s9FOEuiJFTNbMe06ifzV8g.ttf";}}i:183;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Limelight";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:66:"http://fonts.gstatic.com/s/limelight/v7/5dTfN6igsXjLjOy8QQShcg.ttf";}}i:184;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Marvel";s:8:"category";s:10:"sans-serif";s:8:"variants";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":4:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/marvel/v6/Fg1dO8tWVb-MlyqhsbXEkg.ttf";s:6:"italic";s:63:"http://fonts.gstatic.com/s/marvel/v6/HzyjFB-oR5usrc7Lxz9g8w.ttf";s:3:"700";s:63:"http://fonts.gstatic.com/s/marvel/v6/WrHDBL1RupWGo2UcdgxB3Q.ttf";s:9:"700italic";s:84:"http://fonts.gstatic.com/s/marvel/v6/Gzf5NT09Y6xskdQRj2kz1qCWcynf_cDxXwCLxiixG1c.ttf";}}i:185;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Gochi Hand";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:87:"http://fonts.gstatic.com/s/gochihand/v7/KT1-WxgHsittJ34_20IfAPesZW2xOQ-xsNqO47m55DA.ttf";}}i:186;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:23:"Waiting for the Sunrise";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:98:"http://fonts.gstatic.com/s/waitingforthesunrise/v7/eNfH7kLpF1PZWpsetF-ha9TChrNgrDiT3Zy6yGf3FnM.ttf";}}i:187;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:12:"Patrick Hand";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"vietnamese";}s:7:"version";s:3:"v10";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:90:"http://fonts.gstatic.com/s/patrickhand/v10/9BG3JJgt_HlF3NpEUehL0C3USBnSvpkopQaUR-2r7iU.ttf";}}i:188;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Volkhov";s:8:"category";s:5:"serif";s:8:"variants";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":4:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/volkhov/v8/MDIZAofe1T_J3un5Kgo8zg.ttf";s:6:"italic";s:64:"http://fonts.gstatic.com/s/volkhov/v8/1rTjmztKEpbkKH06JwF8Yw.ttf";s:3:"700";s:85:"http://fonts.gstatic.com/s/volkhov/v8/L8PbKS-kEoLHm7nP--NCzPesZW2xOQ-xsNqO47m55DA.ttf";s:9:"700italic";s:85:"http://fonts.gstatic.com/s/volkhov/v8/W6oG0QDDjCgj0gmsHE520C3USBnSvpkopQaUR-2r7iU.ttf";}}i:189;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:14:"Calligraffitti";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:92:"http://fonts.gstatic.com/s/calligraffitti/v7/vLVN2Y-z65rVu1R7lWdvyDXz_orj3gX0_NzfmYulrko.ttf";}}i:190;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Jockey One";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:87:"http://fonts.gstatic.com/s/jockeyone/v6/cAucnOZLvFo07w2AbufBCfesZW2xOQ-xsNqO47m55DA.ttf";}}i:191;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Copse";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/copse/v6/wikLrtPGjZDvZ5w2i5HLWg.ttf";}}i:192;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:14:"Homemade Apple";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:91:"http://fonts.gstatic.com/s/homemadeapple/v6/yg3UMEsefgZ8IHz_ryz86BiPOmFWYV1WlrJkRafc4c0.ttf";}}i:193;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:13:"Reenie Beanie";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-08-14";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:90:"http://fonts.gstatic.com/s/reeniebeanie/v7/ljpKc6CdXusL1cnGUSamX4jjx0o0jr6fNXxPgYh_a8Q.ttf";}}i:194;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:15:"Julius Sans One";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-22";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:91:"http://fonts.gstatic.com/s/juliussansone/v5/iU65JP9acQHPDLkdalCF7jjVlsJB_M_Q_LtZxsoxvlw.ttf";}}i:195;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Quantico";s:8:"category";s:10:"sans-serif";s:8:"variants";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":4:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/quantico/v5/pwSnP8Xpaix2rIz99HrSlQ.ttf";s:6:"italic";s:86:"http://fonts.gstatic.com/s/quantico/v5/KQhDd2OsZi6HiITUeFQ2U_esZW2xOQ-xsNqO47m55DA.ttf";s:3:"700";s:86:"http://fonts.gstatic.com/s/quantico/v5/OVZZzjcZ3Hkq2ojVcUtDjaCWcynf_cDxXwCLxiixG1c.ttf";s:9:"700italic";s:86:"http://fonts.gstatic.com/s/quantico/v5/HeCYRcZbdRso3ZUu01ELbQJKKGfqHaYFsRG-T3ceEVo.ttf";}}i:196;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Lusitana";s:8:"category";s:5:"serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/lusitana/v4/l1h9VDomkwbdzbPdmLcUIw.ttf";s:3:"700";s:86:"http://fonts.gstatic.com/s/lusitana/v4/GWtZyUsONxgkdl3Mc1P7FKCWcynf_cDxXwCLxiixG1c.ttf";}}i:197;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:16:"Alegreya Sans SC";s:8:"category";s:10:"sans-serif";s:8:"variants";a:14:{i:0;s:3:"100";i:1;s:9:"100italic";i:2;s:3:"300";i:3;s:9:"300italic";i:4;s:7:"regular";i:5;s:6:"italic";i:6;s:3:"500";i:7;s:9:"500italic";i:8;s:3:"700";i:9;s:9:"700italic";i:10;s:3:"800";i:11;s:9:"800italic";i:12;s:3:"900";i:13;s:9:"900italic";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"vietnamese";}s:7:"version";s:2:"v3";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":14:{s:3:"100";s:92:"http://fonts.gstatic.com/s/alegreyasanssc/v3/trwFkDJLOJf6hqM93944kVnzStfdnFU-MXbO84aBs_M.ttf";s:9:"100italic";s:92:"http://fonts.gstatic.com/s/alegreyasanssc/v3/qG3gA9iy5RpXMH4crZboqqakMVR0XlJhO7VdJ8yYvA4.ttf";s:3:"300";s:92:"http://fonts.gstatic.com/s/alegreyasanssc/v3/AjAmkoP1y0Vaad0UPPR46-1IqtfxJspFjzJp0SaQRcI.ttf";s:9:"300italic";s:92:"http://fonts.gstatic.com/s/alegreyasanssc/v3/0VweK-TO3aQgazdxg8fs0CnTKaH808trtzttbEg4yVA.ttf";s:7:"regular";s:92:"http://fonts.gstatic.com/s/alegreyasanssc/v3/6kgb6ZvOagoVIRZyl8XV-EklWX-XdLVn1WTiuGuvKIU.ttf";s:6:"italic";s:92:"http://fonts.gstatic.com/s/alegreyasanssc/v3/trwFkDJLOJf6hqM93944kTfqo69HNOlCNZvbwAmUtiA.ttf";s:3:"500";s:92:"http://fonts.gstatic.com/s/alegreyasanssc/v3/AjAmkoP1y0Vaad0UPPR46_hHTluI57wqxl55RvSYo3s.ttf";s:9:"500italic";s:92:"http://fonts.gstatic.com/s/alegreyasanssc/v3/0VweK-TO3aQgazdxg8fs0NqVvxKdFVwqwzilqfVd39U.ttf";s:3:"700";s:92:"http://fonts.gstatic.com/s/alegreyasanssc/v3/AjAmkoP1y0Vaad0UPPR4600aId5t1FC-xZ8nmpa_XLk.ttf";s:9:"700italic";s:92:"http://fonts.gstatic.com/s/alegreyasanssc/v3/0VweK-TO3aQgazdxg8fs0IBYn3VD6xMEnodOh8pnFw4.ttf";s:3:"800";s:92:"http://fonts.gstatic.com/s/alegreyasanssc/v3/AjAmkoP1y0Vaad0UPPR46wQgSHD3Lo1Mif2Wkk5swWA.ttf";s:9:"800italic";s:92:"http://fonts.gstatic.com/s/alegreyasanssc/v3/0VweK-TO3aQgazdxg8fs0HStmCm6Rs90XeztCALm0H8.ttf";s:3:"900";s:92:"http://fonts.gstatic.com/s/alegreyasanssc/v3/AjAmkoP1y0Vaad0UPPR461Rf9EWUSEX_PR1d_gLKfpM.ttf";s:9:"900italic";s:92:"http://fonts.gstatic.com/s/alegreyasanssc/v3/0VweK-TO3aQgazdxg8fs0IvtwEfTCJoOJugANj-jWDI.ttf";}}i:198;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Ultra";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/ultra/v8/OW8uXkOstRADuhEmGOFQLA.ttf";}}i:199;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:4:"Coda";s:8:"category";s:7:"display";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"800";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:3:"v11";s:12:"lastModified";s:10:"2015-08-14";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/coda/v11/yHDvulhg-P-p2KRgRrnUYw.ttf";s:3:"800";s:62:"http://fonts.gstatic.com/s/coda/v11/6ZIw0sbALY0KTMWllZB3hQ.ttf";}}i:200;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:20:"Nothing You Could Do";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:95:"http://fonts.gstatic.com/s/nothingyoucoulddo/v6/jpk1K3jbJoyoK0XKaSyQAf-TpkXjXYGWiJZAEtBRjPU.ttf";}}i:201;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Overlock";s:8:"category";s:7:"display";s:8:"variants";a:6:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";i:4;s:3:"900";i:5;s:9:"900italic";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":6:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/overlock/v5/Z8oYsGi88-E1cUB8YBFMAg.ttf";s:6:"italic";s:86:"http://fonts.gstatic.com/s/overlock/v5/rq6EacukHROOBrFrK_zF6_esZW2xOQ-xsNqO47m55DA.ttf";s:3:"700";s:86:"http://fonts.gstatic.com/s/overlock/v5/Fexr8SqXM8Bm_gEVUA7AKaCWcynf_cDxXwCLxiixG1c.ttf";s:9:"700italic";s:86:"http://fonts.gstatic.com/s/overlock/v5/wFWnYgeXKYBks6gEUwYnfAJKKGfqHaYFsRG-T3ceEVo.ttf";s:3:"900";s:86:"http://fonts.gstatic.com/s/overlock/v5/YPJCVTT8ZbG3899l_-KIGqCWcynf_cDxXwCLxiixG1c.ttf";s:9:"900italic";s:86:"http://fonts.gstatic.com/s/overlock/v5/iOZhxT2zlg7W5ij_lb-oDp0EAVxt0G0biEntp43Qt6E.ttf";}}i:202;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Carme";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/carme/v7/08E0NP1eRBEyFRUadmMfgA.ttf";}}i:203;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Michroma";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/michroma/v7/0c2XrW81_QsiKV8T9thumA.ttf";}}i:204;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Neuton";s:8:"category";s:5:"serif";s:8:"variants";a:6:{i:0;s:3:"200";i:1;s:3:"300";i:2;s:7:"regular";i:3;s:6:"italic";i:4;s:3:"700";i:5;s:3:"800";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":6:{s:3:"200";s:63:"http://fonts.gstatic.com/s/neuton/v8/DA3Mkew3XqSkPpi1f4tJow.ttf";s:3:"300";s:63:"http://fonts.gstatic.com/s/neuton/v8/xrc_aZ2hx-gdeV0mlY8Vww.ttf";s:7:"regular";s:63:"http://fonts.gstatic.com/s/neuton/v8/9R-MGIOQUdjAVeB6nE6PcQ.ttf";s:6:"italic";s:63:"http://fonts.gstatic.com/s/neuton/v8/uVMT3JOB5BNFi3lgPp6kEg.ttf";s:3:"700";s:63:"http://fonts.gstatic.com/s/neuton/v8/gnWpkWY7DirkKiovncYrfg.ttf";s:3:"800";s:63:"http://fonts.gstatic.com/s/neuton/v8/XPzBQV4lY6enLxQG9cF1jw.ttf";}}i:205;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Syncopate";s:8:"category";s:10:"sans-serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-08-14";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:66:"http://fonts.gstatic.com/s/syncopate/v7/RQVwO52fAH6MI764EcaYtw.ttf";s:3:"700";s:87:"http://fonts.gstatic.com/s/syncopate/v7/S5z8ixiOoC4WJ1im6jAlYC3USBnSvpkopQaUR-2r7iU.ttf";}}i:206;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Sacramento";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/sacramento/v4/_kv-qycSHMNdhjiv0Kj7BvesZW2xOQ-xsNqO47m55DA.ttf";}}i:207;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:12:"Fanwood Text";s:8:"category";s:5:"serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:6:"italic";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:89:"http://fonts.gstatic.com/s/fanwoodtext/v6/hDNDHUlsSb8bgnEmDp4T_i3USBnSvpkopQaUR-2r7iU.ttf";s:6:"italic";s:89:"http://fonts.gstatic.com/s/fanwoodtext/v6/0J3SBbkMZqBV-3iGxs5E9_MZXuCXbOrAvx5R0IT5Oyo.ttf";}}i:208;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Khula";s:8:"category";s:10:"sans-serif";s:8:"variants";a:5:{i:0;s:3:"300";i:1;s:7:"regular";i:2;s:3:"600";i:3;s:3:"700";i:4;s:3:"800";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"devanagari";}s:7:"version";s:2:"v1";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":5:{s:3:"300";s:62:"http://fonts.gstatic.com/s/khula/v1/_1LySU5Upq-sc4OZ1b_GIw.ttf";s:7:"regular";s:62:"http://fonts.gstatic.com/s/khula/v1/izcPIFyCSd16XI1Ak_Wk7Q.ttf";s:3:"600";s:62:"http://fonts.gstatic.com/s/khula/v1/4ZH86Hce-aeFDaedTnbkbg.ttf";s:3:"700";s:62:"http://fonts.gstatic.com/s/khula/v1/UGVExGl-Jjs-YPpGv-MZ6w.ttf";s:3:"800";s:62:"http://fonts.gstatic.com/s/khula/v1/Sccp_oOo8FWgbx5smie7xQ.ttf";}}i:209;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Electrolize";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:89:"http://fonts.gstatic.com/s/electrolize/v5/yFVu5iokC-nt4B1Cyfxb9aCWcynf_cDxXwCLxiixG1c.ttf";}}i:210;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Alice";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/alice/v7/wZTAfivekBqIg-rk63nFvQ.ttf";}}i:211;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Rubik";s:8:"category";s:10:"sans-serif";s:8:"variants";a:10:{i:0;s:3:"300";i:1;s:9:"300italic";i:2;s:7:"regular";i:3;s:6:"italic";i:4;s:3:"500";i:5;s:9:"500italic";i:6;s:3:"700";i:7;s:9:"700italic";i:8;s:3:"900";i:9;s:9:"900italic";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:8:"cyrillic";}s:7:"version";s:2:"v1";s:12:"lastModified";s:10:"2015-07-22";s:5:"files";O:8:"stdClass":10:{s:3:"300";s:62:"http://fonts.gstatic.com/s/rubik/v1/o1vXYO8YwDpErHEAPAxpOg.ttf";s:9:"300italic";s:83:"http://fonts.gstatic.com/s/rubik/v1/NyXDvUhvZLSWiVfGa5KM-vesZW2xOQ-xsNqO47m55DA.ttf";s:7:"regular";s:62:"http://fonts.gstatic.com/s/rubik/v1/4sMyW_teKWHB3K8Hm-Il6A.ttf";s:6:"italic";s:62:"http://fonts.gstatic.com/s/rubik/v1/elD65ddI0qvNcCh42b1Iqg.ttf";s:3:"500";s:62:"http://fonts.gstatic.com/s/rubik/v1/D4HihERG27s-BJrQ4dvkbw.ttf";s:9:"500italic";s:83:"http://fonts.gstatic.com/s/rubik/v1/0hcxMdoMbXtHiEM1ebdN6PesZW2xOQ-xsNqO47m55DA.ttf";s:3:"700";s:62:"http://fonts.gstatic.com/s/rubik/v1/m1GGHcpLe6Mb0_sAyjXE4g.ttf";s:9:"700italic";s:83:"http://fonts.gstatic.com/s/rubik/v1/R4g_rs714cUXVZcdnRdHw_esZW2xOQ-xsNqO47m55DA.ttf";s:3:"900";s:62:"http://fonts.gstatic.com/s/rubik/v1/mOHfPRl5uP4vw7-5-dbnng.ttf";s:9:"900italic";s:83:"http://fonts.gstatic.com/s/rubik/v1/HH1b7kBbwInqlw8OQxRE5vesZW2xOQ-xsNqO47m55DA.ttf";}}i:212;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:15:"Allerta Stencil";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:92:"http://fonts.gstatic.com/s/allertastencil/v7/CdSZfRtHbQrBohqmzSdDYFf2eT4jUldwg_9fgfY_tHc.ttf";}}i:213;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Average";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/average/v4/aHUibBqdDbVYl5FM48pxyQ.ttf";}}i:214;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Homenaje";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/homenaje/v5/v0YBU0iBRrGdVjDNQILxtA.ttf";}}i:215;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Six Caps";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/sixcaps/v7/_XeDnO0HOV8Er9u97If1tQ.ttf";}}i:216;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:15:"Walter Turncoat";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:92:"http://fonts.gstatic.com/s/walterturncoat/v6/sG9su5g4GXy1KP73cU3hvQplL2YwNeota48DxFlGDUo.ttf";}}i:217;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Ceviche One";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/cevicheone/v6/WOaXIMBD4VYMy39MsobJhKCWcynf_cDxXwCLxiixG1c.ttf";}}i:218;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Share";s:8:"category";s:7:"display";s:8:"variants";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":4:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/share/v5/1ytD7zSb_-g9I2GG67vmVw.ttf";s:6:"italic";s:62:"http://fonts.gstatic.com/s/share/v5/a9YGdQWFRlNJ0zClJVaY3Q.ttf";s:3:"700";s:62:"http://fonts.gstatic.com/s/share/v5/XrU8e7a1YKurguyY2azk1Q.ttf";s:9:"700italic";s:83:"http://fonts.gstatic.com/s/share/v5/A992-bLVYwAflKu6iaznufesZW2xOQ-xsNqO47m55DA.ttf";}}i:219;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Kameron";s:8:"category";s:5:"serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/kameron/v7/9r8HYhqDSwcq9WMjupL82A.ttf";s:3:"700";s:85:"http://fonts.gstatic.com/s/kameron/v7/rabVVbzlflqvmXJUFlKnu_esZW2xOQ-xsNqO47m55DA.ttf";}}i:220;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Adamina";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/adamina/v7/RUQfOodOMiVVYqFZcSlT9w.ttf";}}i:221;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:4:"Acme";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:61:"http://fonts.gstatic.com/s/acme/v5/-J6XNtAHPZBEbsifCdBt-g.ttf";}}i:222;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:15:"Berkshire Swash";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:92:"http://fonts.gstatic.com/s/berkshireswash/v4/4RZJjVRPjYnC2939hKCAimKfbtsIjCZP_edQljX9gR0.ttf";}}i:223;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:16:"Fontdiner Swanky";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:93:"http://fonts.gstatic.com/s/fontdinerswanky/v6/8_GxIO5ixMtn5P6COsF3TlBjMPLzPAFJwRBn-s1U7kA.ttf";}}i:224;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Coustard";s:8:"category";s:5:"serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"900";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/coustard/v6/iO2Rs5PmqAEAXoU3SkMVBg.ttf";s:3:"900";s:86:"http://fonts.gstatic.com/s/coustard/v6/W02OCWO6OfMUHz6aVyegQ6CWcynf_cDxXwCLxiixG1c.ttf";}}i:225;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Rajdhani";s:8:"category";s:10:"sans-serif";s:8:"variants";a:5:{i:0;s:3:"300";i:1;s:7:"regular";i:2;s:3:"500";i:3;s:3:"600";i:4;s:3:"700";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"devanagari";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":5:{s:3:"300";s:86:"http://fonts.gstatic.com/s/rajdhani/v5/9pItuEhQZVGdq8spnHTku6CWcynf_cDxXwCLxiixG1c.ttf";s:7:"regular";s:65:"http://fonts.gstatic.com/s/rajdhani/v5/Wfy5zp4PGFAFS7-Wetehzw.ttf";s:3:"500";s:86:"http://fonts.gstatic.com/s/rajdhani/v5/nd_5ZpVwm710HcLual0fBqCWcynf_cDxXwCLxiixG1c.ttf";s:3:"600";s:86:"http://fonts.gstatic.com/s/rajdhani/v5/5fnmZahByDeTtgxIiqbJSaCWcynf_cDxXwCLxiixG1c.ttf";s:3:"700";s:86:"http://fonts.gstatic.com/s/rajdhani/v5/UBK6d2Hg7X7wYLlF92aXW6CWcynf_cDxXwCLxiixG1c.ttf";}}i:226;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Aldrich";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/aldrich/v6/kMMW1S56gFx7RP_mW1g-Eg.ttf";}}i:227;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:13:"Gentium Basic";s:8:"category";s:5:"serif";s:8:"variants";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":4:{s:7:"regular";s:90:"http://fonts.gstatic.com/s/gentiumbasic/v7/KCktj43blvLkhOTolFn-MYtBLojGU5Qdl8-5NL4v70w.ttf";s:6:"italic";s:90:"http://fonts.gstatic.com/s/gentiumbasic/v7/qoFz4NSMaYC2UmsMAG3lyTj3mvXnCeAk09uTtmkJGRc.ttf";s:3:"700";s:90:"http://fonts.gstatic.com/s/gentiumbasic/v7/2qL6yulgGf0wwgOp-UqGyLNuTeOOLg3nUymsEEGmdO0.ttf";s:9:"700italic";s:90:"http://fonts.gstatic.com/s/gentiumbasic/v7/8N9-c_aQDJ8LbI1NGVMrwtswO1vWwP9exiF8s0wqW10.ttf";}}i:228;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:17:"Cherry Cream Soda";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:93:"http://fonts.gstatic.com/s/cherrycreamsoda/v6/OrD-AUnFcZeeKa6F_c0_WxOiHiuAPYA9ry3O1RG2XIU.ttf";}}i:229;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Telex";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/telex/v4/24-3xP9ywYeHOcFU3iGk8A.ttf";}}i:230;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:12:"Freckle Face";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:89:"http://fonts.gstatic.com/s/freckleface/v4/7-B8j9BPJgazdHIGqPNv8y3USBnSvpkopQaUR-2r7iU.ttf";}}i:231;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Alex Brush";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:87:"http://fonts.gstatic.com/s/alexbrush/v6/ooh3KJFbKJSUoIRWfiu8o_esZW2xOQ-xsNqO47m55DA.ttf";}}i:232;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Advent Pro";s:8:"category";s:10:"sans-serif";s:8:"variants";a:7:{i:0;s:3:"100";i:1;s:3:"200";i:2;s:3:"300";i:3;s:7:"regular";i:4;s:3:"500";i:5;s:3:"600";i:6;s:3:"700";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:5:"greek";i:2;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":7:{s:3:"100";s:87:"http://fonts.gstatic.com/s/adventpro/v4/87-JOpSUecTG50PBYK4ysi3USBnSvpkopQaUR-2r7iU.ttf";s:3:"200";s:87:"http://fonts.gstatic.com/s/adventpro/v4/URTSSjIp0Wr-GrjxFdFWnGeudeTO44zf-ht3k-KNzwg.ttf";s:3:"300";s:87:"http://fonts.gstatic.com/s/adventpro/v4/sJaBfJYSFgoB80OL1_66m0eOrDcLawS7-ssYqLr2Xp4.ttf";s:7:"regular";s:87:"http://fonts.gstatic.com/s/adventpro/v4/1NxMBeKVcNNH2H46AUR3wfesZW2xOQ-xsNqO47m55DA.ttf";s:3:"500";s:87:"http://fonts.gstatic.com/s/adventpro/v4/7kBth2-rT8tP40RmMMXMLJp-63r6doWhTEbsfBIRJ7A.ttf";s:3:"600";s:87:"http://fonts.gstatic.com/s/adventpro/v4/3Jo-2maCzv2QLzQBzaKHV_pTEJqju4Hz1txDWij77d4.ttf";s:3:"700";s:87:"http://fonts.gstatic.com/s/adventpro/v4/M4I6QiICt-ey_wZTpR2gKwJKKGfqHaYFsRG-T3ceEVo.ttf";}}i:233;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:16:"PT Serif Caption";s:8:"category";s:5:"serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:6:"italic";}s:7:"subsets";a:4:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:12:"cyrillic-ext";i:3;s:8:"cyrillic";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:92:"http://fonts.gstatic.com/s/ptserifcaption/v8/7xkFOeTxxO1GMC1suOUYWVsRioCqs5fohhaYel24W3k.ttf";s:6:"italic";s:92:"http://fonts.gstatic.com/s/ptserifcaption/v8/0kfPsmrmTSgiec7u_Wa0DB1mqvzPHelJwRcF_s_EUM0.ttf";}}i:234;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Ubuntu Mono";s:8:"category";s:9:"monospace";s:8:"variants";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}s:7:"subsets";a:6:{i:0;s:5:"latin";i:1;s:5:"greek";i:2;s:9:"latin-ext";i:3;s:9:"greek-ext";i:4;s:12:"cyrillic-ext";i:5;s:8:"cyrillic";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":4:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/ubuntumono/v6/EgeuS9OtEmA0y_JRo03MQaCWcynf_cDxXwCLxiixG1c.ttf";s:6:"italic";s:88:"http://fonts.gstatic.com/s/ubuntumono/v6/KAKuHXAHZOeECOWAHsRKA0eOrDcLawS7-ssYqLr2Xp4.ttf";s:3:"700";s:88:"http://fonts.gstatic.com/s/ubuntumono/v6/ceqTZGKHipo8pJj4molytne1Pd76Vl7zRpE7NLJQ7XU.ttf";s:9:"700italic";s:88:"http://fonts.gstatic.com/s/ubuntumono/v6/n_d8tv_JOIiYyMXR4eaV9c_zJjSACmk0BRPxQqhnNLU.ttf";}}i:235;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Cutive";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-08-14";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/cutive/v8/G2bW-ImyOCwKxBkLyz39YQ.ttf";}}i:236;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:20:"Fredericka the Great";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:96:"http://fonts.gstatic.com/s/frederickathegreat/v5/7Es8Lxoku-e5eOZWpxw18nrnet6gXN1McwdQxS1dVrI.ttf";}}i:237;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:21:"Goudy Bookletter 1911";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:97:"http://fonts.gstatic.com/s/goudybookletter1911/v6/l5lwlGTN3pEY5Bf-rQEuIIjNDsyURsIKu4GSfvSE4mA.ttf";}}i:238;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Neucha";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:8:"cyrillic";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-08-14";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/neucha/v8/bijdhB-TzQdtpl0ykhGh4Q.ttf";}}i:239;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Duru Sans";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v9";s:12:"lastModified";s:10:"2015-07-30";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/durusans/v9/xn7iYH8xwmSyTvEV_HOxTw.ttf";}}i:240;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Rancho";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/rancho/v6/ekp3-4QykC4--6KaslRgHA.ttf";}}i:241;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Kalam";s:8:"category";s:11:"handwriting";s:8:"variants";a:3:{i:0;s:3:"300";i:1;s:7:"regular";i:2;s:3:"700";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"devanagari";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-08-06";s:5:"files";O:8:"stdClass":3:{s:3:"300";s:62:"http://fonts.gstatic.com/s/kalam/v7/MgQQlk1SgPEHdlkWMNh7Jg.ttf";s:7:"regular";s:62:"http://fonts.gstatic.com/s/kalam/v7/hNEJkp2K-aql7e5WQish4Q.ttf";s:3:"700";s:62:"http://fonts.gstatic.com/s/kalam/v7/95nLItUGyWtNLZjSckluLQ.ttf";}}i:242;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Work Sans";s:8:"category";s:10:"sans-serif";s:8:"variants";a:9:{i:0;s:3:"100";i:1;s:3:"200";i:2;s:3:"300";i:3;s:7:"regular";i:4;s:3:"500";i:5;s:3:"600";i:6;s:3:"700";i:7;s:3:"800";i:8;s:3:"900";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v2";s:12:"lastModified";s:10:"2015-08-26";s:5:"files";O:8:"stdClass":9:{s:3:"100";s:86:"http://fonts.gstatic.com/s/worksans/v2/ZAhtNqLaAViKjGLajtuwWaCWcynf_cDxXwCLxiixG1c.ttf";s:3:"200";s:86:"http://fonts.gstatic.com/s/worksans/v2/u_mYNr_qYP37m7vgvmIYZy3USBnSvpkopQaUR-2r7iU.ttf";s:3:"300";s:86:"http://fonts.gstatic.com/s/worksans/v2/FD_Udbezj8EHXbdsqLUply3USBnSvpkopQaUR-2r7iU.ttf";s:7:"regular";s:65:"http://fonts.gstatic.com/s/worksans/v2/zVvigUiMvx7JVEnrJgc-5Q.ttf";s:3:"500";s:86:"http://fonts.gstatic.com/s/worksans/v2/Nbre-U_bp6Xktt8cpgwaJC3USBnSvpkopQaUR-2r7iU.ttf";s:3:"600";s:86:"http://fonts.gstatic.com/s/worksans/v2/z9rX03Xuz9ZNHTMg1_ghGS3USBnSvpkopQaUR-2r7iU.ttf";s:3:"700";s:86:"http://fonts.gstatic.com/s/worksans/v2/4udXuXg54JlPEP5iKO5AmS3USBnSvpkopQaUR-2r7iU.ttf";s:3:"800";s:86:"http://fonts.gstatic.com/s/worksans/v2/IQh-ap2Uqs7kl1YINeeEGi3USBnSvpkopQaUR-2r7iU.ttf";s:3:"900";s:86:"http://fonts.gstatic.com/s/worksans/v2/Hjn0acvjHfjY_vAK9Uc6gi3USBnSvpkopQaUR-2r7iU.ttf";}}i:243;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Prata";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/prata/v6/3gmx8r842loRRm9iQkCDGg.ttf";}}i:244;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Oranienbaum";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:4:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:12:"cyrillic-ext";i:3;s:8:"cyrillic";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-08-12";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:89:"http://fonts.gstatic.com/s/oranienbaum/v5/M98jYwCSn0PaFhXXgviCoaCWcynf_cDxXwCLxiixG1c.ttf";}}i:245;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Spinnaker";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:66:"http://fonts.gstatic.com/s/spinnaker/v8/MQdIXivKITpjROUdiN6Jgg.ttf";}}i:246;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:16:"Source Serif Pro";s:8:"category";s:5:"serif";s:8:"variants";a:3:{i:0;s:7:"regular";i:1;s:3:"600";i:2;s:3:"700";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":3:{s:7:"regular";s:92:"http://fonts.gstatic.com/s/sourceserifpro/v4/CeUM4np2c42DV49nanp55YGL0S0YDpKs5GpLtZIQ0m4.ttf";s:3:"600";s:92:"http://fonts.gstatic.com/s/sourceserifpro/v4/yd5lDMt8Sva2PE17yiLarGi4cQnvCGV11m1KlXh97aQ.ttf";s:3:"700";s:92:"http://fonts.gstatic.com/s/sourceserifpro/v4/yd5lDMt8Sva2PE17yiLarEkpYHRvxGNSCrR82n_RDNk.ttf";}}i:247;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Rochester";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:66:"http://fonts.gstatic.com/s/rochester/v6/bnj8tmQBiOkdji_G_yvypg.ttf";}}i:248;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Yantramanav";s:8:"category";s:10:"sans-serif";s:8:"variants";a:6:{i:0;s:3:"100";i:1;s:3:"300";i:2;s:7:"regular";i:3;s:3:"500";i:4;s:3:"700";i:5;s:3:"900";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"devanagari";}s:7:"version";s:2:"v1";s:12:"lastModified";s:10:"2015-06-03";s:5:"files";O:8:"stdClass":6:{s:3:"100";s:89:"http://fonts.gstatic.com/s/yantramanav/v1/Rs1I2PF4Z8GAb6qjgvr8wIAWxXGWZ3yJw6KhWS7MxOk.ttf";s:3:"300";s:89:"http://fonts.gstatic.com/s/yantramanav/v1/HSfbC4Z8I8BZ00wiXeA5bC9-WlPSxbfiI49GsXo3q0g.ttf";s:7:"regular";s:89:"http://fonts.gstatic.com/s/yantramanav/v1/FwdziO-qWAO8pZg8e376kaCWcynf_cDxXwCLxiixG1c.ttf";s:3:"500";s:89:"http://fonts.gstatic.com/s/yantramanav/v1/HSfbC4Z8I8BZ00wiXeA5bMCNfqCYlB_eIx7H1TVXe60.ttf";s:3:"700";s:89:"http://fonts.gstatic.com/s/yantramanav/v1/HSfbC4Z8I8BZ00wiXeA5bHe1Pd76Vl7zRpE7NLJQ7XU.ttf";s:3:"900";s:89:"http://fonts.gstatic.com/s/yantramanav/v1/HSfbC4Z8I8BZ00wiXeA5bCenaqEuufTBk9XMKnKmgDA.ttf";}}i:249;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Belleza";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/belleza/v4/wchA3BWJlVqvIcSeNZyXew.ttf";}}i:250;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:14:"Carrois Gothic";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:91:"http://fonts.gstatic.com/s/carroisgothic/v4/GCgb7bssGpwp7V5ynxmWy2x3d0cwUleGuRTmCYfCUaM.ttf";}}i:251;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:12:"Crafty Girls";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:89:"http://fonts.gstatic.com/s/craftygirls/v5/0Sv8UWFFdhQmesHL32H8oy3USBnSvpkopQaUR-2r7iU.ttf";}}i:252;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:21:"Montserrat Alternates";s:8:"category";s:10:"sans-serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:98:"http://fonts.gstatic.com/s/montserratalternates/v4/z2n1Sjxk9souK3HCtdHuklPuEVRGaG9GCQnmM16YWq0.ttf";s:3:"700";s:98:"http://fonts.gstatic.com/s/montserratalternates/v4/YENqOGAVzwIHjYNjmKuAZpeqBKvsAhm-s2I4RVSXFfc.ttf";}}i:253;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Parisienne";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/parisienne/v4/TW74B5QISJNx9moxGlmJfvesZW2xOQ-xsNqO47m55DA.ttf";}}i:254;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Radley";s:8:"category";s:5:"serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:6:"italic";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v9";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/radley/v9/FgE9di09a-mXGzAIyI6Q9Q.ttf";s:6:"italic";s:63:"http://fonts.gstatic.com/s/radley/v9/Z_JcACuPAOO2f9kzQcGRug.ttf";}}i:255;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:12:"Cabin Sketch";s:8:"category";s:7:"display";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:89:"http://fonts.gstatic.com/s/cabinsketch/v8/d9fijO34zQajqQvl3YHRCS3USBnSvpkopQaUR-2r7iU.ttf";s:3:"700";s:89:"http://fonts.gstatic.com/s/cabinsketch/v8/ki3SSN5HMOO0-IOLOj069ED2ttfZwueP-QU272T9-k4.ttf";}}i:256;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Convergence";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:89:"http://fonts.gstatic.com/s/convergence/v5/eykrGz1NN_YpQmkAZjW-qKCWcynf_cDxXwCLxiixG1c.ttf";}}i:257;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Balthazar";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:66:"http://fonts.gstatic.com/s/balthazar/v5/WgbaSIs6dJAGXJ0qbz2xlw.ttf";}}i:258;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Alegreya SC";s:8:"category";s:5:"serif";s:8:"variants";a:6:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";i:4;s:3:"900";i:5;s:9:"900italic";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":6:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/alegreyasc/v6/3ozeFnTbygMK6PfHh8B-iqCWcynf_cDxXwCLxiixG1c.ttf";s:6:"italic";s:88:"http://fonts.gstatic.com/s/alegreyasc/v6/GOqmv3FLsJ2r6ZALMZVBmkeOrDcLawS7-ssYqLr2Xp4.ttf";s:3:"700";s:88:"http://fonts.gstatic.com/s/alegreyasc/v6/M9OIREoxDkvynwTpBAYUq3e1Pd76Vl7zRpE7NLJQ7XU.ttf";s:9:"700italic";s:88:"http://fonts.gstatic.com/s/alegreyasc/v6/5PCoU7IUfCicpKBJtBmP6c_zJjSACmk0BRPxQqhnNLU.ttf";s:3:"900";s:88:"http://fonts.gstatic.com/s/alegreyasc/v6/M9OIREoxDkvynwTpBAYUqyenaqEuufTBk9XMKnKmgDA.ttf";s:9:"900italic";s:88:"http://fonts.gstatic.com/s/alegreyasc/v6/5PCoU7IUfCicpKBJtBmP6U_yTOUGsoC54csJe1b-IRw.ttf";}}i:259;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:14:"Press Start 2P";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:4:{i:0;s:5:"latin";i:1;s:5:"greek";i:2;s:9:"latin-ext";i:3;s:8:"cyrillic";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:90:"http://fonts.gstatic.com/s/pressstart2p/v4/8Lg6LX8-ntOHUQnvQ0E7o1jfl3W46Sz5gOkEVhcFWF4.ttf";}}i:260;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Puritan";s:8:"category";s:10:"sans-serif";s:8:"variants";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-08-12";s:5:"files";O:8:"stdClass":4:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/puritan/v8/wv_RtgVBSCn-or2MC0n4Kg.ttf";s:6:"italic";s:64:"http://fonts.gstatic.com/s/puritan/v8/BqZX8Tp200LeMv1KlzXgLQ.ttf";s:3:"700";s:85:"http://fonts.gstatic.com/s/puritan/v8/pJS2SdwI0SCiVnO0iQSFT_esZW2xOQ-xsNqO47m55DA.ttf";s:9:"700italic";s:85:"http://fonts.gstatic.com/s/puritan/v8/rFG3XkMJL75nUNZwCEIJqC3USBnSvpkopQaUR-2r7iU.ttf";}}i:261;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Allura";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/allura/v4/4hcqgZanyuJ2gMYWffIR6A.ttf";}}i:262;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Grand Hotel";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/grandhotel/v4/C_A8HiFZjXPpnMt38XnK7qCWcynf_cDxXwCLxiixG1c.ttf";}}i:263;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Denk One";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/denkone/v4/TdXOeA4eA_hEx4W8Sh9wPw.ttf";}}i:264;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Trocchi";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/trocchi/v4/uldNPaKrUGVeGCVsmacLwA.ttf";}}i:265;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Aclonica";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/aclonica/v6/M6pHZMPwK3DiBSlo3jwAKQ.ttf";}}i:266;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:16:"Port Lligat Slab";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:92:"http://fonts.gstatic.com/s/portlligatslab/v5/CUEdhRk7oC7up0p6t0g4PxLSPACXvawUYCBEnHsOe30.ttf";}}i:267;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Schoolbell";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/schoolbell/v6/95-3djEuubb3cJx-6E7j4vesZW2xOQ-xsNqO47m55DA.ttf";}}i:268;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Gruppo";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/gruppo/v7/pS_JM0cK_piBZve-lfUq9w.ttf";}}i:269;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Megrim";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/megrim/v7/e-9jVUC9lv1zxaFQARuftw.ttf";}}i:270;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Yellowtail";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/yellowtail/v6/HLrU6lhCTjXfLZ7X60LcB_esZW2xOQ-xsNqO47m55DA.ttf";}}i:271;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:4:"Mako";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:61:"http://fonts.gstatic.com/s/mako/v7/z5zSLmfPlv1uTVAdmJBLXg.ttf";}}i:272;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"PT Mono";s:8:"category";s:9:"monospace";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:4:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:12:"cyrillic-ext";i:3;s:8:"cyrillic";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/ptmono/v4/QUbM8H9yJK5NhpQ0REO6Wg.ttf";}}i:273;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:4:"Alef";s:8:"category";s:10:"sans-serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:6:"hebrew";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-09-09";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:61:"http://fonts.gstatic.com/s/alef/v6/ENvZ_P0HBDQxNZYCQO0lUA.ttf";s:3:"700";s:61:"http://fonts.gstatic.com/s/alef/v6/VDgZJhEwudtOzOFQpZ8MEA.ttf";}}i:274;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Rosario";s:8:"category";s:10:"sans-serif";s:8:"variants";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:3:"v10";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":4:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/rosario/v10/bL-cEh8dXtDupB2WccA2LA.ttf";s:6:"italic";s:65:"http://fonts.gstatic.com/s/rosario/v10/pkflNy18HEuVVx4EOjeb_Q.ttf";s:3:"700";s:86:"http://fonts.gstatic.com/s/rosario/v10/nrS6PJvDWN42RP4TFWccd_esZW2xOQ-xsNqO47m55DA.ttf";s:9:"700italic";s:86:"http://fonts.gstatic.com/s/rosario/v10/EOgFX2Va5VGrkhn_eDpIRS3USBnSvpkopQaUR-2r7iU.ttf";}}i:275;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Ek Mukta";s:8:"category";s:10:"sans-serif";s:8:"variants";a:7:{i:0;s:3:"200";i:1;s:3:"300";i:2;s:7:"regular";i:3;s:3:"500";i:4;s:3:"600";i:5;s:3:"700";i:6;s:3:"800";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"devanagari";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":7:{s:3:"200";s:85:"http://fonts.gstatic.com/s/ekmukta/v7/crtkNHh5JcM3VJKG0E-B36CWcynf_cDxXwCLxiixG1c.ttf";s:3:"300";s:85:"http://fonts.gstatic.com/s/ekmukta/v7/mpaAv7CIyk0VnZlqSneVxKCWcynf_cDxXwCLxiixG1c.ttf";s:7:"regular";s:64:"http://fonts.gstatic.com/s/ekmukta/v7/aFcjXdC5jyJ1p8w54wIIrg.ttf";s:3:"500";s:85:"http://fonts.gstatic.com/s/ekmukta/v7/PZ1y2MstFczWvBlFSgzMyaCWcynf_cDxXwCLxiixG1c.ttf";s:3:"600";s:85:"http://fonts.gstatic.com/s/ekmukta/v7/Z5Mfzeu6M3emakcJO2QeTqCWcynf_cDxXwCLxiixG1c.ttf";s:3:"700";s:85:"http://fonts.gstatic.com/s/ekmukta/v7/4ugcOGR28Jn-oBIn0-qLYaCWcynf_cDxXwCLxiixG1c.ttf";s:3:"800";s:85:"http://fonts.gstatic.com/s/ekmukta/v7/O68TH5OjEhVmn9_gIrcfS6CWcynf_cDxXwCLxiixG1c.ttf";}}i:276;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Hanuman";s:8:"category";s:5:"serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:1:{i:0;s:5:"khmer";}s:7:"version";s:2:"v9";s:12:"lastModified";s:10:"2015-08-26";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/hanuman/v9/hRhwOGGmElJSl6KSPvEnOQ.ttf";s:3:"700";s:85:"http://fonts.gstatic.com/s/hanuman/v9/lzzXZ2l84x88giDrbfq76vesZW2xOQ-xsNqO47m55DA.ttf";}}i:277;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Merienda";s:8:"category";s:11:"handwriting";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/merienda/v4/MYY6Og1qZlOQtPW2G95Y3A.ttf";s:3:"700";s:86:"http://fonts.gstatic.com/s/merienda/v4/GlwcvRLlgiVE2MBFQ4r0sKCWcynf_cDxXwCLxiixG1c.ttf";}}i:278;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Forum";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:4:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:12:"cyrillic-ext";i:3;s:8:"cyrillic";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/forum/v7/MZUpsq1VfLrqv8eSDcbrrQ.ttf";}}i:279;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:12:"Arbutus Slab";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:89:"http://fonts.gstatic.com/s/arbutusslab/v4/6k3Yp6iS9l4jRIpynA8qMy3USBnSvpkopQaUR-2r7iU.ttf";}}i:280;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:19:"Petit Formal Script";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:95:"http://fonts.gstatic.com/s/petitformalscript/v4/OEZwr2-ovBsq2n3ACCKoEvVPl2Gjtxj0D6F7QLy1VQc.ttf";}}i:281;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:14:"Chelsea Market";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:91:"http://fonts.gstatic.com/s/chelseamarket/v4/qSdzwh2A4BbNemy78sJLfAAI1i8fIftCBXsBF2v9UMI.ttf";}}i:282;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Timmana";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:6:"telugu";i:1;s:5:"latin";}s:7:"version";s:2:"v1";s:12:"lastModified";s:10:"2015-04-07";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/timmana/v1/T25SicsJUJkc2s2sbBsDnA.ttf";}}i:283;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:24:"Annie Use Your Telescope";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:99:"http://fonts.gstatic.com/s/annieuseyourtelescope/v6/2cuiO5VmaR09C8SLGEQjGqbp7mtG8sPlcZvOaO8HBak.ttf";}}i:284;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:12:"Average Sans";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:89:"http://fonts.gstatic.com/s/averagesans/v4/dnU3R-5A_43y5bIyLztPsS3USBnSvpkopQaUR-2r7iU.ttf";}}i:285;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:15:"Racing Sans One";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:91:"http://fonts.gstatic.com/s/racingsansone/v4/1r3DpWaCiT7y3PD4KgkNyDjVlsJB_M_Q_LtZxsoxvlw.ttf";}}i:286;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Graduate";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/graduate/v4/JpAmYLHqcIh9_Ff35HHwiA.ttf";}}i:287;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:12:"Finger Paint";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:89:"http://fonts.gstatic.com/s/fingerpaint/v4/m_ZRbiY-aPb13R3DWPBGXy3USBnSvpkopQaUR-2r7iU.ttf";}}i:288;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Unica One";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/unicaone/v4/KbYKlhWMDpatWViqDkNQgA.ttf";}}i:289;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:12:"Merienda One";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:89:"http://fonts.gstatic.com/s/meriendaone/v7/bCA-uDdUx6nTO8SjzCLXvS3USBnSvpkopQaUR-2r7iU.ttf";}}i:290;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:12:"Leckerli One";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:89:"http://fonts.gstatic.com/s/leckerlione/v7/S2Y_iLrItTu8kIJTkS7DrC3USBnSvpkopQaUR-2r7iU.ttf";}}i:291;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Capriola";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/capriola/v4/JxXPlkdzWwF9Cwelbvi9jA.ttf";}}i:292;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Magra";s:8:"category";s:10:"sans-serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/magra/v4/hoZ13bwCXBxuGZqAudgc5A.ttf";s:3:"700";s:62:"http://fonts.gstatic.com/s/magra/v4/6fOM5sq5cIn8D0RjX8Lztw.ttf";}}i:293;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:14:"Londrina Solid";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:91:"http://fonts.gstatic.com/s/londrinasolid/v4/yysorIEiYSBb0ylZjg791MR125CwGqh8XBqkBzea0LA.ttf";}}i:294;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:12:"Marcellus SC";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:89:"http://fonts.gstatic.com/s/marcellussc/v4/_jugwxhkkynrvsfrxVx8gS3USBnSvpkopQaUR-2r7iU.ttf";}}i:295;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Sansita One";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/sansitaone/v6/xWqf68oB50JXqGIRR0h2hqCWcynf_cDxXwCLxiixG1c.ttf";}}i:296;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Khand";s:8:"category";s:10:"sans-serif";s:8:"variants";a:5:{i:0;s:3:"300";i:1;s:7:"regular";i:2;s:3:"500";i:3;s:3:"600";i:4;s:3:"700";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"devanagari";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":5:{s:3:"300";s:62:"http://fonts.gstatic.com/s/khand/v4/072zRl4OU9Pinjjkg174LA.ttf";s:7:"regular";s:62:"http://fonts.gstatic.com/s/khand/v4/HdLdTNFqNIDGJZl1ZEj84w.ttf";s:3:"500";s:62:"http://fonts.gstatic.com/s/khand/v4/46_p-SqtuMe56nxQdteWxg.ttf";s:3:"600";s:62:"http://fonts.gstatic.com/s/khand/v4/zggGWYIiPJyMTgkfxP_kaA.ttf";s:3:"700";s:62:"http://fonts.gstatic.com/s/khand/v4/0I0UWaN-X5QBmfexpXKhqg.ttf";}}i:297;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Marcellus";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:66:"http://fonts.gstatic.com/s/marcellus/v4/UjiLZzumxWC9whJ86UtaYw.ttf";}}i:298;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Slabo 13px";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v3";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:87:"http://fonts.gstatic.com/s/slabo13px/v3/jPGWFTjRXfCSzy0qd1nqdvesZW2xOQ-xsNqO47m55DA.ttf";}}i:299;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Tenor Sans";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:8:"cyrillic";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:87:"http://fonts.gstatic.com/s/tenorsans/v7/dUBulmjNJJInvK5vL7O9yfesZW2xOQ-xsNqO47m55DA.ttf";}}i:300;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Henny Penny";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/hennypenny/v4/XRgo3ogXyi3tpsFfjImRF6CWcynf_cDxXwCLxiixG1c.ttf";}}i:301;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Corben";s:8:"category";s:7:"display";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v9";s:12:"lastModified";s:10:"2015-08-12";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/corben/v9/tTysMZkt-j8Y5yhkgsoajQ.ttf";s:3:"700";s:63:"http://fonts.gstatic.com/s/corben/v9/lirJaFSQWdGQuV--fksg5g.ttf";}}i:302;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Lustria";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/lustria/v4/gXAk0s4ai0X-TAOhYzZd1w.ttf";}}i:303;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Cousine";s:8:"category";s:9:"monospace";s:8:"variants";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}s:7:"subsets";a:8:{i:0;s:5:"latin";i:1;s:5:"greek";i:2;s:9:"latin-ext";i:3;s:9:"greek-ext";i:4;s:10:"vietnamese";i:5;s:12:"cyrillic-ext";i:6;s:8:"cyrillic";i:7;s:6:"hebrew";}s:7:"version";s:3:"v10";s:12:"lastModified";s:10:"2015-04-28";s:5:"files";O:8:"stdClass":4:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/cousine/v10/GYX4bPXObJNJo63QJEUnLg.ttf";s:6:"italic";s:65:"http://fonts.gstatic.com/s/cousine/v10/1WtIuajLoo8vjVwsrZ3eOg.ttf";s:3:"700";s:86:"http://fonts.gstatic.com/s/cousine/v10/FXEOnNUcCzhdtoBxiq-lovesZW2xOQ-xsNqO47m55DA.ttf";s:9:"700italic";s:86:"http://fonts.gstatic.com/s/cousine/v10/y_AZ5Sz-FwL1lux2xLSTZS3USBnSvpkopQaUR-2r7iU.ttf";}}i:304;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Cambay";s:8:"category";s:10:"sans-serif";s:8:"variants";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"devanagari";}s:7:"version";s:2:"v1";s:12:"lastModified";s:10:"2015-04-03";s:5:"files";O:8:"stdClass":4:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/cambay/v1/etU9Bab4VuhzS-OKsb1VXg.ttf";s:6:"italic";s:63:"http://fonts.gstatic.com/s/cambay/v1/ZEz9yNqpEOgejaw1rBhugQ.ttf";s:3:"700";s:63:"http://fonts.gstatic.com/s/cambay/v1/jw9niBxa04eEhnSwTWCEgw.ttf";s:9:"700italic";s:84:"http://fonts.gstatic.com/s/cambay/v1/j-5v_uUr0NXTumWN0siOiaCWcynf_cDxXwCLxiixG1c.ttf";}}i:305;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Metrophobic";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:89:"http://fonts.gstatic.com/s/metrophobic/v6/SaglWZWCrrv_D17u1i4v_aCWcynf_cDxXwCLxiixG1c.ttf";}}i:306;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:17:"Cinzel Decorative";s:8:"category";s:7:"display";s:8:"variants";a:3:{i:0;s:7:"regular";i:1;s:3:"700";i:2;s:3:"900";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":3:{s:7:"regular";s:94:"http://fonts.gstatic.com/s/cinzeldecorative/v4/fmgK7oaJJIXAkhd9798yQgT5USbJx2F82lQbogPy2bY.ttf";s:3:"700";s:94:"http://fonts.gstatic.com/s/cinzeldecorative/v4/pXhIVnhFtL_B9Vb1wq2F95-YYVDmZkJErg0zgx9XuZI.ttf";s:3:"900";s:94:"http://fonts.gstatic.com/s/cinzeldecorative/v4/pXhIVnhFtL_B9Vb1wq2F97Khqbv0zQZa0g-9HOXAalU.ttf";}}i:307;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Delius";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/delius/v6/TQA163qafki2-gV-B6F_ag.ttf";}}i:308;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Rufina";s:8:"category";s:5:"serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/rufina/v4/s9IFr_fIemiohfZS-ZRDbQ.ttf";s:3:"700";s:63:"http://fonts.gstatic.com/s/rufina/v4/D0RUjXFr55y4MVZY2Ww_RA.ttf";}}i:309;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:17:"Averia Sans Libre";s:8:"category";s:7:"display";s:8:"variants";a:6:{i:0;s:3:"300";i:1;s:9:"300italic";i:2;s:7:"regular";i:3;s:6:"italic";i:4;s:3:"700";i:5;s:9:"700italic";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":6:{s:3:"300";s:93:"http://fonts.gstatic.com/s/averiasanslibre/v4/_9-jTfQjaBsWAF_yp5z-V4CP_KG_g80s1KXiBtJHoNc.ttf";s:9:"300italic";s:93:"http://fonts.gstatic.com/s/averiasanslibre/v4/o7BEIK-fG3Ykc5Rzteh88YuyGu4JqttndUh4gRKxic0.ttf";s:7:"regular";s:93:"http://fonts.gstatic.com/s/averiasanslibre/v4/yRJpjT39KxACO9F31mj_LqV8_KRn4epKAjTFK1s1fsg.ttf";s:6:"italic";s:93:"http://fonts.gstatic.com/s/averiasanslibre/v4/COEzR_NPBSUOl3pFwPbPoCZU2HnUZT1xVKaIrHDioao.ttf";s:3:"700";s:93:"http://fonts.gstatic.com/s/averiasanslibre/v4/_9-jTfQjaBsWAF_yp5z-V8QwVOrz1y5GihpZmtKLhlI.ttf";s:9:"700italic";s:93:"http://fonts.gstatic.com/s/averiasanslibre/v4/o7BEIK-fG3Ykc5Rzteh88bXy1DXgmJcVtKjM5UWamMs.ttf";}}i:310;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Baumans";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/baumans/v5/o0bFdPW1H5kd5saqqOcoVg.ttf";}}i:311;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Inder";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/inder/v5/C38TwecLTfKxIHDc_Adcrw.ttf";}}i:312;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Poller One";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:87:"http://fonts.gstatic.com/s/pollerone/v6/dkctmDlTPcZ6boC8662RA_esZW2xOQ-xsNqO47m55DA.ttf";}}i:313;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Yesteryear";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/yesteryear/v5/dv09hP_ZrdjVOfZQXKXuZvesZW2xOQ-xsNqO47m55DA.ttf";}}i:314;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Kelly Slab";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:8:"cyrillic";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:87:"http://fonts.gstatic.com/s/kellyslab/v6/F_2oS1e9XdYx1MAi8XEVefesZW2xOQ-xsNqO47m55DA.ttf";}}i:315;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Lilita One";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:87:"http://fonts.gstatic.com/s/lilitaone/v4/vTxJQjbNV6BCBHx8sGDCVvesZW2xOQ-xsNqO47m55DA.ttf";}}i:316;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Frijole";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/frijole/v5/L2MfZse-2gCascuD-nLhWg.ttf";}}i:317;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:23:"Just Me Again Down Here";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:97:"http://fonts.gstatic.com/s/justmeagaindownhere/v8/sN06iTc9ITubLTgXoG-kc3M9eVLpVTSK6TqZTIgBrWQ.ttf";}}i:318;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:18:"The Girl Next Door";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:93:"http://fonts.gstatic.com/s/thegirlnextdoor/v7/cWRA4JVGeEcHGcPl5hmX7kzo0nFFoM60ux_D9BUymX4.ttf";}}i:319;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:4:"Teko";s:8:"category";s:10:"sans-serif";s:8:"variants";a:5:{i:0;s:3:"300";i:1;s:7:"regular";i:2;s:3:"500";i:3;s:3:"600";i:4;s:3:"700";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"devanagari";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":5:{s:3:"300";s:61:"http://fonts.gstatic.com/s/teko/v5/OobFGE9eo24rcBpN6zXDaQ.ttf";s:7:"regular";s:61:"http://fonts.gstatic.com/s/teko/v5/UtekqODEqZXSN2L-njejpA.ttf";s:3:"500";s:61:"http://fonts.gstatic.com/s/teko/v5/FQ0duU7gWM4cSaImOfAjBA.ttf";s:3:"600";s:61:"http://fonts.gstatic.com/s/teko/v5/QDx_i8H-TZ1IK1JEVrqwEQ.ttf";s:3:"700";s:61:"http://fonts.gstatic.com/s/teko/v5/xKfTxe_SWpH4xU75vmvylA.ttf";}}i:320;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Lateef";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:6:"arabic";i:1;s:5:"latin";}s:7:"version";s:3:"v10";s:12:"lastModified";s:10:"2015-04-07";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/lateef/v10/PAsKCgi1qc7XPwvzo_I-DQ.ttf";}}i:321;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Mallanna";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:6:"telugu";i:1;s:5:"latin";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-07";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/mallanna/v4/krCTa-CfMbtxqF0689CbuQ.ttf";}}i:322;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Unkempt";s:8:"category";s:7:"display";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/unkempt/v7/NLLBeNSspr0RGs71R5LHWA.ttf";s:3:"700";s:85:"http://fonts.gstatic.com/s/unkempt/v7/V7H-GCl9bgwGwqFqTTgDHvesZW2xOQ-xsNqO47m55DA.ttf";}}i:323;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Tauri";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/tauri/v4/XIWeYJDXNqiVNej0zEqtGg.ttf";}}i:324;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Caudex";s:8:"category";s:5:"serif";s:8:"variants";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}s:7:"subsets";a:4:{i:0;s:5:"latin";i:1;s:5:"greek";i:2;s:9:"latin-ext";i:3;s:9:"greek-ext";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":4:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/caudex/v6/PWEexiHLDmQbn2b1OPZWfg.ttf";s:6:"italic";s:63:"http://fonts.gstatic.com/s/caudex/v6/XjMZF6XCisvV3qapD4oJdw.ttf";s:3:"700";s:63:"http://fonts.gstatic.com/s/caudex/v6/PetCI4GyQ5Q3LiOzUu_mMg.ttf";s:9:"700italic";s:84:"http://fonts.gstatic.com/s/caudex/v6/yT8YeHLjaJvQXlUEYOA8gqCWcynf_cDxXwCLxiixG1c.ttf";}}i:325;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Poppins";s:8:"category";s:10:"sans-serif";s:8:"variants";a:5:{i:0;s:3:"300";i:1;s:7:"regular";i:2;s:3:"500";i:3;s:3:"600";i:4;s:3:"700";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"devanagari";}s:7:"version";s:2:"v1";s:12:"lastModified";s:10:"2015-06-03";s:5:"files";O:8:"stdClass":5:{s:3:"300";s:85:"http://fonts.gstatic.com/s/poppins/v1/VIeViZ2fPtYBt3B2fQZplvesZW2xOQ-xsNqO47m55DA.ttf";s:7:"regular";s:64:"http://fonts.gstatic.com/s/poppins/v1/hlvAxH6aIdOjWlLzgm0jqg.ttf";s:3:"500";s:85:"http://fonts.gstatic.com/s/poppins/v1/4WGKlFyjcmCFVl8pRsgZ9vesZW2xOQ-xsNqO47m55DA.ttf";s:3:"600";s:85:"http://fonts.gstatic.com/s/poppins/v1/-zOABrCWORC3lyDh-ajNnPesZW2xOQ-xsNqO47m55DA.ttf";s:3:"700";s:85:"http://fonts.gstatic.com/s/poppins/v1/8JitanEsk5aDh7mDYs-fYfesZW2xOQ-xsNqO47m55DA.ttf";}}i:326;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Anaheim";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/anaheim/v4/t-z8aXHMpgI2gjN_rIflKA.ttf";}}i:327;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Voces";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/voces/v4/QoBH6g6yKgNIgvL8A2aE2Q.ttf";}}i:328;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:14:"Seaweed Script";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:91:"http://fonts.gstatic.com/s/seaweedscript/v4/eorWAPpOvvWrPw5IHwE60BnpV0hQCek3EmWnCPrvGRM.ttf";}}i:329;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Carter One";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:87:"http://fonts.gstatic.com/s/carterone/v8/5X_LFvdbcB7OBG7hBgZ7fPesZW2xOQ-xsNqO47m55DA.ttf";}}i:330;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Crushed";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/crushed/v6/aHwSejs3Kt0Lg95u7j32jA.ttf";}}i:331;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:19:"Sue Ellen Francisco";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:95:"http://fonts.gstatic.com/s/sueellenfrancisco/v7/TwHX4vSxMUnJUdEz1JIgrhzazJzPVbGl8jnf1tisRz4.ttf";}}i:332;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Italianno";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:66:"http://fonts.gstatic.com/s/italianno/v6/HsyHnLpKf8uP7aMpDQHZmg.ttf";}}i:333;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:15:"IM Fell DW Pica";s:8:"category";s:5:"serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:6:"italic";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:90:"http://fonts.gstatic.com/s/imfelldwpica/v6/W81bfaWiUicLSPbJhW-ATsA5qm663gJGVdtpamafG5A.ttf";s:6:"italic";s:90:"http://fonts.gstatic.com/s/imfelldwpica/v6/alQJ8SK5aSOZVaelYoyT4PL2asmh5DlYQYCosKo6yQs.ttf";}}i:334;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Oxygen Mono";s:8:"category";s:9:"monospace";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/oxygenmono/v4/DigTu7k4b7OmM8ubt1Qza6CWcynf_cDxXwCLxiixG1c.ttf";}}i:335;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Slackey";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/slackey/v6/evRIMNhGVCRJvCPv4kteeA.ttf";}}i:336;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Lemon";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/lemon/v5/wed1nNu4LNSu-3RoRVUhUw.ttf";}}i:337;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:17:"Loved by the King";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:92:"http://fonts.gstatic.com/s/lovedbytheking/v6/wg03xD4cWigj4YDufLBSr8io2AFEwwMpu7y5KyiyAJc.ttf";}}i:338;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Wire One";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/wireone/v6/sRLhaQOQpWnvXwIx0CycQw.ttf";}}i:339;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Andika";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:4:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:12:"cyrillic-ext";i:3;s:8:"cyrillic";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/andika/v6/oe-ag1G0lcqZ3IXfeEgaGg.ttf";}}i:340;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Skranji";s:8:"category";s:7:"display";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/skranji/v4/jnOLPS0iZmDL7dfWnW3nIw.ttf";s:3:"700";s:85:"http://fonts.gstatic.com/s/skranji/v4/Lcrhg-fviVkxiEgoadsI1vesZW2xOQ-xsNqO47m55DA.ttf";}}i:341;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Knewave";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/knewave/v5/KGHM4XWr4iKnBMqzZLkPBg.ttf";}}i:342;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Alike";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/alike/v7/Ho8YpRKNk_202fwDiGNIyw.ttf";}}i:343;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Sarala";s:8:"category";s:10:"sans-serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"devanagari";}s:7:"version";s:2:"v1";s:12:"lastModified";s:10:"2015-06-17";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/sarala/v1/ohip9lixCHoBab7hTtgLnw.ttf";s:3:"700";s:63:"http://fonts.gstatic.com/s/sarala/v1/hpc9cz8KYsazwq2In_oJYw.ttf";}}i:344;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Halant";s:8:"category";s:5:"serif";s:8:"variants";a:5:{i:0;s:3:"300";i:1;s:7:"regular";i:2;s:3:"500";i:3;s:3:"600";i:4;s:3:"700";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"devanagari";}s:7:"version";s:2:"v1";s:12:"lastModified";s:10:"2015-04-01";s:5:"files";O:8:"stdClass":5:{s:3:"300";s:63:"http://fonts.gstatic.com/s/halant/v1/dM3ItAOWNNod_Cf3MnLlEg.ttf";s:7:"regular";s:63:"http://fonts.gstatic.com/s/halant/v1/rEs7Jk3SVyt3cTx6DoTu1w.ttf";s:3:"500";s:63:"http://fonts.gstatic.com/s/halant/v1/tlsNj3K-hJKtiirTDtUbkQ.ttf";s:3:"600";s:63:"http://fonts.gstatic.com/s/halant/v1/zNR2WvI_V8o652vIZp3X4Q.ttf";s:3:"700";s:63:"http://fonts.gstatic.com/s/halant/v1/D9FN7OH89AuCmZDLHbPQfA.ttf";}}i:345;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Kotta One";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/kottaone/v4/AB2Q7hVw6niJYDgLvFXu5w.ttf";}}i:346;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Candal";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/candal/v6/x44dDW28zK7GR1gGDBmj9g.ttf";}}i:347;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Montez";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/montez/v6/kx58rLOWQQLGFM4pDHv5Ng.ttf";}}i:348;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:14:"Mr De Haviland";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:90:"http://fonts.gstatic.com/s/mrdehaviland/v5/fD8y4L6PJ4vqDk7z8Y8e27v4lrhng1lzu7-weKO6cw8.ttf";}}i:349;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Imprima";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/imprima/v4/eRjquWLjwLGnTEhLH7u3kA.ttf";}}i:350;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:13:"Gilda Display";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:90:"http://fonts.gstatic.com/s/gildadisplay/v4/8yAVUZLLZ3wb7dSsjix0CADHmap7fRWINAsw8-RaxNg.ttf";}}i:351;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Nova Square";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/novasquare/v8/BcBzXoaDzYX78rquGXVuSqCWcynf_cDxXwCLxiixG1c.ttf";}}i:352;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Allan";s:8:"category";s:7:"display";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/allan/v7/T3lemhgZmLQkQI2Qc2bQHA.ttf";s:3:"700";s:62:"http://fonts.gstatic.com/s/allan/v7/zSxQiwo7wgnr7KkMXhSiag.ttf";}}i:353;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Sarpanch";s:8:"category";s:10:"sans-serif";s:8:"variants";a:6:{i:0;s:7:"regular";i:1;s:3:"500";i:2;s:3:"600";i:3;s:3:"700";i:4;s:3:"800";i:5;s:3:"900";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"devanagari";}s:7:"version";s:2:"v1";s:12:"lastModified";s:10:"2015-04-03";s:5:"files";O:8:"stdClass":6:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/sarpanch/v1/YMBZdT27b6O5a1DADbAGSg.ttf";s:3:"500";s:86:"http://fonts.gstatic.com/s/sarpanch/v1/Ov7BxSrFSZYrfuJxL1LzQaCWcynf_cDxXwCLxiixG1c.ttf";s:3:"600";s:86:"http://fonts.gstatic.com/s/sarpanch/v1/WTnP2wnc0qSbUaaDG-2OQ6CWcynf_cDxXwCLxiixG1c.ttf";s:3:"700";s:86:"http://fonts.gstatic.com/s/sarpanch/v1/57kYsSpovYmFaEt2hsZhv6CWcynf_cDxXwCLxiixG1c.ttf";s:3:"800";s:86:"http://fonts.gstatic.com/s/sarpanch/v1/OKyqPLjdnuVghR-1TV6RzaCWcynf_cDxXwCLxiixG1c.ttf";s:3:"900";s:86:"http://fonts.gstatic.com/s/sarpanch/v1/JhYc2cr6kqWTo_P0vfvJR6CWcynf_cDxXwCLxiixG1c.ttf";}}i:354;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Fenix";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/fenix/v4/Ak8wR3VSlAN7VN_eMeJj7Q.ttf";}}i:355;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Quando";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/quando/v4/03nDiEZuO2-h3xvtG6UmHg.ttf";}}i:356;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:14:"Give You Glory";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:90:"http://fonts.gstatic.com/s/giveyouglory/v6/DFEWZFgGmfseyIdGRJAxuBwwkpSPZdvjnMtysdqprfI.ttf";}}i:357;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:15:"Lily Script One";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:91:"http://fonts.gstatic.com/s/lilyscriptone/v4/uPWsLVW8uiXqIBnE8ZwGPDjVlsJB_M_Q_LtZxsoxvlw.ttf";}}i:358;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Arizonia";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/arizonia/v6/yzJqkHZqryZBTM7RKYV9Wg.ttf";}}i:359;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Prosto One";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:8:"cyrillic";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-08-12";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:87:"http://fonts.gstatic.com/s/prostoone/v5/bsqnAElAqk9kX7eABTRFJPesZW2xOQ-xsNqO47m55DA.ttf";}}i:360;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:18:"UnifrakturMaguntia";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:96:"http://fonts.gstatic.com/s/unifrakturmaguntia/v7/7KWy3ymCVR_xfAvvcIXm3-kdNg30GQauG_DE-tMYtWk.ttf";}}i:361;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Shanti";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-08-12";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/shanti/v8/lc4nG_JG6Q-2FQSOMMhb_w.ttf";}}i:362;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:19:"Averia Gruesa Libre";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:95:"http://fonts.gstatic.com/s/averiagruesalibre/v4/10vbZTOoN6T8D-nvDzwRFyXcKHuZXlCN8VkWHpkUzKM.ttf";}}i:363;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Podkova";s:8:"category";s:5:"serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/podkova/v8/eylljyGVfB8ZUQjYY3WZRQ.ttf";s:3:"700";s:85:"http://fonts.gstatic.com/s/podkova/v8/SqW4aa8m_KVrOgYSydQ33vesZW2xOQ-xsNqO47m55DA.ttf";}}i:364;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Titan One";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/titanone/v4/FbvpRvzfV_oipS0De3iAZg.ttf";}}i:365;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Lekton";s:8:"category";s:10:"sans-serif";s:8:"variants";a:3:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":3:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/lekton/v7/r483JYmxf5PjIm4jVAm8Yg.ttf";s:6:"italic";s:63:"http://fonts.gstatic.com/s/lekton/v7/_UbDIPBA1wDqSbhp-OED7A.ttf";s:3:"700";s:63:"http://fonts.gstatic.com/s/lekton/v7/WZw-uL8WTkx3SBVfTlevXQ.ttf";}}i:366;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:22:"Oleo Script Swash Caps";s:8:"category";s:7:"display";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:97:"http://fonts.gstatic.com/s/oleoscriptswashcaps/v4/vdWhGqsBUAP-FF3NOYTe4iMF4kXAPemmyaDpMXQ31P0.ttf";s:3:"700";s:97:"http://fonts.gstatic.com/s/oleoscriptswashcaps/v4/HMO3ftxA9AU5floml9c755reFYaXZ4zuJXJ8fr8OO1g.ttf";}}i:367;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Strait";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/strait/v4/m4W73ViNmProETY2ybc-Bg.ttf";}}i:368;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:12:"Gravitas One";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:89:"http://fonts.gstatic.com/s/gravitasone/v6/nBHdBv6zVNU8MtP6w9FwTS3USBnSvpkopQaUR-2r7iU.ttf";}}i:369;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"VT323";s:8:"category";s:9:"monospace";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/vt323/v7/ITU2YQfM073o1iYK3nSOmQ.ttf";}}i:370;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"GFS Didot";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"greek";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/gfsdidot/v6/jQKxZy2RU-h9tkPZcRVluA.ttf";}}i:371;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:15:"La Belle Aurore";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-08-12";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:91:"http://fonts.gstatic.com/s/labelleaurore/v7/Irdbc4ASuUoWDjd_Wc3md123K2iuuhwZgaKapkyRTY8.ttf";}}i:372;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Brawler";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/brawler/v6/3gfSw6imxQnQxweVITqUrg.ttf";}}i:373;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Bentham";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/bentham/v6/5-Mo8Fe7yg5tzV0GlQIuzQ.ttf";}}i:374;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:3:"Ovo";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:60:"http://fonts.gstatic.com/s/ovo/v7/mFg27dimu3s9t09qjCwB1g.ttf";}}i:375;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Tienne";s:8:"category";s:5:"serif";s:8:"variants";a:3:{i:0;s:7:"regular";i:1;s:3:"700";i:2;s:3:"900";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":3:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/tienne/v8/-IIfDl701C0z7-fy2kmGvA.ttf";s:3:"700";s:63:"http://fonts.gstatic.com/s/tienne/v8/JvoCDOlyOSEyYGRwCyfs3g.ttf";s:3:"900";s:63:"http://fonts.gstatic.com/s/tienne/v8/FBano5T521OWexj2iRYLMw.ttf";}}i:376;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Norican";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/norican/v4/SHnSqhYAWG5sZTWcPzEHig.ttf";}}i:377;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Ledger";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:8:"cyrillic";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/ledger/v4/G432jp-tahOfWHbCYkI0jw.ttf";}}i:378;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Judson";s:8:"category";s:5:"serif";s:8:"variants";a:3:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"vietnamese";}s:7:"version";s:2:"v9";s:12:"lastModified";s:10:"2015-09-09";s:5:"files";O:8:"stdClass":3:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/judson/v9/znM1AAs0eytUaJzf1CrYZQ.ttf";s:6:"italic";s:63:"http://fonts.gstatic.com/s/judson/v9/GVqQW9P52ygW-ySq-CLwAA.ttf";s:3:"700";s:63:"http://fonts.gstatic.com/s/judson/v9/he4a2LwiPJc7r8x0oKCKiA.ttf";}}i:379;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Belgrano";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/belgrano/v6/iq8DUa2s7g6WRCeMiFrmtQ.ttf";}}i:380;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:13:"Bowlby One SC";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:89:"http://fonts.gstatic.com/s/bowlbyonesc/v8/8ZkeXftTuzKBtmxOYXoRedDkZCMxWJecxjvKm2f8MJw.ttf";}}i:381;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Orienta";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/orienta/v4/_NKSk93mMs0xsqtfjCsB3Q.ttf";}}i:382;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:21:"Love Ya Like A Sister";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:95:"http://fonts.gstatic.com/s/loveyalikeasister/v7/LzkxWS-af0Br2Sk_YgSJY-ad1xEP8DQfgfY8MH9aBUg.ttf";}}i:383;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Short Stack";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/shortstack/v6/v4dXPI0Rm8XN9gk4SDdqlqCWcynf_cDxXwCLxiixG1c.ttf";}}i:384;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:18:"IM Fell English SC";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:93:"http://fonts.gstatic.com/s/imfellenglishsc/v6/h3Tn6yWfw4b5qaLD1RWvz5ATixNthKRRR1XVH3rJNiw.ttf";}}i:385;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:13:"Anonymous Pro";s:8:"category";s:9:"monospace";s:8:"variants";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}s:7:"subsets";a:4:{i:0;s:5:"latin";i:1;s:5:"greek";i:2;s:9:"latin-ext";i:3;s:8:"cyrillic";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":4:{s:7:"regular";s:90:"http://fonts.gstatic.com/s/anonymouspro/v8/Zhfjj_gat3waL4JSju74E-V_5zh5b-_HiooIRUBwn1A.ttf";s:6:"italic";s:90:"http://fonts.gstatic.com/s/anonymouspro/v8/q0u6LFHwttnT_69euiDbWKwIsuKDCXG0NQm7BvAgx-c.ttf";s:3:"700";s:90:"http://fonts.gstatic.com/s/anonymouspro/v8/WDf5lZYgdmmKhO8E1AQud--Cz_5MeePnXDAcLNWyBME.ttf";s:9:"700italic";s:90:"http://fonts.gstatic.com/s/anonymouspro/v8/_fVr_XGln-cetWSUc-JpfA1LL9bfs7wyIp6F8OC9RxA.ttf";}}i:386;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Pompiere";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/pompiere/v6/o_va2p9CD5JfmFohAkGZIA.ttf";}}i:387;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Khmer";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"khmer";}s:7:"version";s:2:"v9";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/khmer/v9/vWaBJIbaQuBNz02ALIKJ3A.ttf";}}i:388;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:15:"Patrick Hand SC";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"vietnamese";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:91:"http://fonts.gstatic.com/s/patrickhandsc/v4/OYFWCgfCR-7uHIovjUZXsbAgSRh1LpJXlLfl8IbsmHg.ttf";}}i:389;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Kranky";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/kranky/v6/C8dxxTS99-fZ84vWk8SDrg.ttf";}}i:390;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:12:"Headland One";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:89:"http://fonts.gstatic.com/s/headlandone/v4/iGmBeOvQGfq9DSbjJ8jDVy3USBnSvpkopQaUR-2r7iU.ttf";}}i:391;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Share Tech";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:87:"http://fonts.gstatic.com/s/sharetech/v4/Dq3DuZ5_0SW3oEfAWFpen_esZW2xOQ-xsNqO47m55DA.ttf";}}i:392;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Cagliostro";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/cagliostro/v5/i85oXbtdSatNEzss99bpj_esZW2xOQ-xsNqO47m55DA.ttf";}}i:393;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:12:"Happy Monkey";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:89:"http://fonts.gstatic.com/s/happymonkey/v5/c2o0ps8nkBmaOYctqBq1rS3USBnSvpkopQaUR-2r7iU.ttf";}}i:394;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Rationale";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:66:"http://fonts.gstatic.com/s/rationale/v7/7M2eN-di0NGLQse7HzJRfg.ttf";}}i:395;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Monoton";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/monoton/v6/aCz8ja_bE4dg-7agSvExdw.ttf";}}i:396;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:17:"Carrois Gothic SC";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:93:"http://fonts.gstatic.com/s/carroisgothicsc/v4/bVp4nhwFIXU-r3LqUR8DSJTdPW1ioadGi2uRiKgJVCY.ttf";}}i:397;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Cambo";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/cambo/v5/PnwpRuTdkYCf8qk4ajmNRA.ttf";}}i:398;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:15:"IM Fell English";s:8:"category";s:5:"serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:6:"italic";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:91:"http://fonts.gstatic.com/s/imfellenglish/v6/xwIisCqGFi8pff-oa9uSVHGNmx1fDm-u2eBJHQkdrmk.ttf";s:6:"italic";s:91:"http://fonts.gstatic.com/s/imfellenglish/v6/Z3cnIAI_L3XTRfz4JuZKbuewladMPCWTthtMv9cPS-c.ttf";}}i:399;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Salsa";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/salsa/v6/BnpUCBmYdvggScEPs5JbpA.ttf";}}i:400;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Bowlby One";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:87:"http://fonts.gstatic.com/s/bowlbyone/v7/eKpHjHfjoxM2bX36YNucefesZW2xOQ-xsNqO47m55DA.ttf";}}i:401;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:12:"Coda Caption";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:3:"800";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v9";s:12:"lastModified";s:10:"2015-08-12";s:5:"files";O:8:"stdClass":1:{s:3:"800";s:89:"http://fonts.gstatic.com/s/codacaption/v9/YDl6urZh-DUFhiMBTgAnz_qsay_1ZmRGmC8pVRdIfAg.ttf";}}i:402;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:15:"Caesar Dressing";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:92:"http://fonts.gstatic.com/s/caesardressing/v5/2T_WzBgE2Xz3FsyJMq34T9gR43u4FvCuJwIfF5Zxl6Y.ttf";}}i:403;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Gafata";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/gafata/v5/aTFqlki_3Dc3geo-FxHTvQ.ttf";}}i:404;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Qwigley";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/qwigley/v6/aDqxws-KubFID85TZHFouw.ttf";}}i:405;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Fjord One";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/fjordone/v5/R_YHK8au2uFPw5tNu5N7zw.ttf";}}i:406;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Engagement";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/engagement/v5/4Uz0Jii7oVPcaFRYmbpU6vesZW2xOQ-xsNqO47m55DA.ttf";}}i:407;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Oregano";s:8:"category";s:7:"display";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:6:"italic";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/oregano/v4/UiLhqNixVv2EpjRoBG6axA.ttf";s:6:"italic";s:64:"http://fonts.gstatic.com/s/oregano/v4/_iwqGEht6XsAuEaCbYG64Q.ttf";}}i:408;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:4:"Unna";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:61:"http://fonts.gstatic.com/s/unna/v8/UAS0AM7AmbdCNY_80xyAZQ.ttf";}}i:409;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Kristi";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/kristi/v7/aRsgBQrkQkMlu4UPSnJyOQ.ttf";}}i:410;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Karma";s:8:"category";s:5:"serif";s:8:"variants";a:5:{i:0;s:3:"300";i:1;s:7:"regular";i:2;s:3:"500";i:3;s:3:"600";i:4;s:3:"700";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"devanagari";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":5:{s:3:"300";s:62:"http://fonts.gstatic.com/s/karma/v5/lH6ijJnguWR2Sz7tEl6MQQ.ttf";s:7:"regular";s:62:"http://fonts.gstatic.com/s/karma/v5/wvqTxAGBUrTqU0urTEoPIw.ttf";s:3:"500";s:62:"http://fonts.gstatic.com/s/karma/v5/9YGjxi6Hcvz2Kh-rzO_cAw.ttf";s:3:"600";s:62:"http://fonts.gstatic.com/s/karma/v5/h_CVzXXtqSxjfS2sIwaejA.ttf";s:3:"700";s:62:"http://fonts.gstatic.com/s/karma/v5/smuSM08oApsQPPVYbHd1CA.ttf";}}i:411;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:13:"Expletus Sans";s:8:"category";s:7:"display";s:8:"variants";a:8:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"500";i:3;s:9:"500italic";i:4;s:3:"600";i:5;s:9:"600italic";i:6;s:3:"700";i:7;s:9:"700italic";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-08-12";s:5:"files";O:8:"stdClass":8:{s:7:"regular";s:90:"http://fonts.gstatic.com/s/expletussans/v8/gegTSDBDs5le3g6uxU1ZsX8f0n03UdmQgF_CLvNR2vg.ttf";s:6:"italic";s:90:"http://fonts.gstatic.com/s/expletussans/v8/Y-erXmY0b6DU_i2Qu0hTJj4G9C9ttb0Oz5Cvf0qOitE.ttf";s:3:"500";s:90:"http://fonts.gstatic.com/s/expletussans/v8/cl6rhMY77Ilk8lB_uYRRwAqQmZ7VjhwksfpNVG0pqGc.ttf";s:9:"500italic";s:90:"http://fonts.gstatic.com/s/expletussans/v8/sRBNtc46w65uJE451UYmW87DCVO6wo6i5LKIyZDzK40.ttf";s:3:"600";s:90:"http://fonts.gstatic.com/s/expletussans/v8/cl6rhMY77Ilk8lB_uYRRwCvj1tU7IJMS3CS9kCx2B3U.ttf";s:9:"600italic";s:90:"http://fonts.gstatic.com/s/expletussans/v8/sRBNtc46w65uJE451UYmW8yKH23ZS6zCKOFHG0e_4JE.ttf";s:3:"700";s:90:"http://fonts.gstatic.com/s/expletussans/v8/cl6rhMY77Ilk8lB_uYRRwFCbmAUID8LN-q3pJpOk3Ys.ttf";s:9:"700italic";s:90:"http://fonts.gstatic.com/s/expletussans/v8/sRBNtc46w65uJE451UYmW5F66r9C4AnxxlBlGd7xY4g.ttf";}}i:412;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:4:"Poly";s:8:"category";s:5:"serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:6:"italic";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:61:"http://fonts.gstatic.com/s/poly/v7/bcMAuiacS2qkd54BcwW6_Q.ttf";s:6:"italic";s:61:"http://fonts.gstatic.com/s/poly/v7/Zkx-eIlZSjKUrPGYhV5PeA.ttf";}}i:413;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Nova Mono";s:8:"category";s:9:"monospace";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:5:"greek";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/novamono/v7/6-SChr5ZIaaasJFBkgrLNw.ttf";}}i:414;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Creepster";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:66:"http://fonts.gstatic.com/s/creepster/v5/0vdr5kWJ6aJlOg5JvxnXzQ.ttf";}}i:415;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:15:"Euphoria Script";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:92:"http://fonts.gstatic.com/s/euphoriascript/v4/c4XB4Iijj_NvSsCF4I0O2MxLhO8OSNnfAp53LK1_iRs.ttf";}}i:416;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Kavoon";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/kavoon/v4/382m-6baKXqJFQjEgobt6Q.ttf";}}i:417;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Monofett";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/monofett/v6/C6K5L799Rgxzg2brgOaqAw.ttf";}}i:418;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:17:"Delius Swash Caps";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:93:"http://fonts.gstatic.com/s/deliusswashcaps/v8/uXyrEUnoWApxIOICunRq7yIrxb5zDVgU2N3VzXm7zq4.ttf";}}i:419;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:20:"Herr Von Muellerhoff";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:96:"http://fonts.gstatic.com/s/herrvonmuellerhoff/v6/mmy24EUmk4tjm4gAEjUd7NLGIYrUsBdh-JWHYgiDiMU.ttf";}}i:420;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Sniglet";s:8:"category";s:7:"display";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"800";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/sniglet/v7/XWhyQLHH4SpCVsHRPRgu9w.ttf";s:3:"800";s:85:"http://fonts.gstatic.com/s/sniglet/v7/NLF91nBmcEfkBgcEWbHFa_esZW2xOQ-xsNqO47m55DA.ttf";}}i:421;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Junge";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/junge/v4/j4IXCXtxrw9qIBheercp3A.ttf";}}i:422;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Cantora One";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/cantoraone/v5/oI-DS62RbHI8ZREjp73ehqCWcynf_cDxXwCLxiixG1c.ttf";}}i:423;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:15:"Stardos Stencil";s:8:"category";s:7:"display";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:92:"http://fonts.gstatic.com/s/stardosstencil/v6/ygEOyTW9a6u4fi4OXEZeTFf2eT4jUldwg_9fgfY_tHc.ttf";s:3:"700";s:92:"http://fonts.gstatic.com/s/stardosstencil/v6/h4ExtgvoXhPtv9Ieqd-XC81wDCbBgmIo8UyjIhmkeSM.ttf";}}i:424;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:13:"Mouse Memoirs";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:90:"http://fonts.gstatic.com/s/mousememoirs/v4/NBFaaJFux_j0AQbAsW3QeH8f0n03UdmQgF_CLvNR2vg.ttf";}}i:425;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:16:"Over the Rainbow";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:92:"http://fonts.gstatic.com/s/overtherainbow/v7/6gp-gkpI2kie2dHQQLM2jQBdxkZd83xOSx-PAQ2QmiI.ttf";}}i:426;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Federo";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/federo/v8/JPhe1S2tujeyaR79gXBLeQ.ttf";}}i:427;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Cutive Mono";s:8:"category";s:9:"monospace";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/cutivemono/v4/ncWQtFVKcSs8OW798v30k6CWcynf_cDxXwCLxiixG1c.ttf";}}i:428;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Esteban";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/esteban/v4/ESyhLgqDDyK5JcFPp2svDw.ttf";}}i:429;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Mr Dafoe";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/mrdafoe/v5/s32Q1S6ZkT7EaX53mUirvQ.ttf";}}i:430;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Englebert";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:66:"http://fonts.gstatic.com/s/englebert/v4/sll38iOvOuarDTYBchlP3Q.ttf";}}i:431;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Life Savers";s:8:"category";s:7:"display";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/lifesavers/v6/g49cUDk4Y1P0G5NMkMAm7qCWcynf_cDxXwCLxiixG1c.ttf";s:3:"700";s:88:"http://fonts.gstatic.com/s/lifesavers/v6/THQKqChyYUm97rNPVFdGGXe1Pd76Vl7zRpE7NLJQ7XU.ttf";}}i:432;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:14:"Clicker Script";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:91:"http://fonts.gstatic.com/s/clickerscript/v4/Zupmk8XwADjufGxWB9KThBnpV0hQCek3EmWnCPrvGRM.ttf";}}i:433;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Sofia";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/sofia/v5/Imnvx0Ag9r6iDBFUY5_RaQ.ttf";}}i:434;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:3:"Geo";s:8:"category";s:10:"sans-serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:6:"italic";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:60:"http://fonts.gstatic.com/s/geo/v8/mJuJYk5Pww84B4uHAQ1XaA.ttf";s:6:"italic";s:60:"http://fonts.gstatic.com/s/geo/v8/8_r1wToF7nPdDuX1qxel6Q.ttf";}}i:435;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Kite One";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/kiteone/v4/8ojWmgUc97m0f_i6sTqLoQ.ttf";}}i:436;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Aladin";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/aladin/v5/PyuJ5cVHkduO0j5fAMKvAA.ttf";}}i:437;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Amethysta";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:66:"http://fonts.gstatic.com/s/amethysta/v4/1jEo9tOFIJDolAUpBnWbnA.ttf";}}i:438;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Codystar";s:8:"category";s:7:"display";s:8:"variants";a:2:{i:0;s:3:"300";i:1;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:3:"300";s:86:"http://fonts.gstatic.com/s/codystar/v4/EVaUzfJkcb8Zqx9kzQLXqqCWcynf_cDxXwCLxiixG1c.ttf";s:7:"regular";s:65:"http://fonts.gstatic.com/s/codystar/v4/EN-CPFKYowSI7SuR7-0cZA.ttf";}}i:439;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Griffy";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/griffy/v4/vWkyYGBSyE5xjnShNtJtzw.ttf";}}i:440;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:3:"Rye";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:60:"http://fonts.gstatic.com/s/rye/v4/VUrJlpPpSZxspl3w_yNOrQ.ttf";}}i:441;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Simonetta";s:8:"category";s:7:"display";s:8:"variants";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"900";i:3;s:9:"900italic";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":4:{s:7:"regular";s:66:"http://fonts.gstatic.com/s/simonetta/v5/fN8puNuahBo4EYMQgp12Yg.ttf";s:6:"italic";s:87:"http://fonts.gstatic.com/s/simonetta/v5/ynxQ3FqfF_Nziwy3T9ZwL6CWcynf_cDxXwCLxiixG1c.ttf";s:3:"900";s:87:"http://fonts.gstatic.com/s/simonetta/v5/22EwvvJ2r1VwVCxit5LcVi3USBnSvpkopQaUR-2r7iU.ttf";s:9:"900italic";s:87:"http://fonts.gstatic.com/s/simonetta/v5/WUXOpCgBZaRPrWtMCpeKoienaqEuufTBk9XMKnKmgDA.ttf";}}i:442;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:4:"Sail";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:61:"http://fonts.gstatic.com/s/sail/v6/iuEoG6kt-bePGvtdpL0GUQ.ttf";}}i:443;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Dekko";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"devanagari";}s:7:"version";s:2:"v2";s:12:"lastModified";s:10:"2015-04-03";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/dekko/v2/AKtgABKC1rUxgIgS-bpojw.ttf";}}i:444;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Yeseva One";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:8:"cyrillic";}s:7:"version";s:2:"v9";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:87:"http://fonts.gstatic.com/s/yesevaone/v9/eenQQxvpzSA80JmisGcgX_esZW2xOQ-xsNqO47m55DA.ttf";}}i:445;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Gabriela";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/gabriela/v4/B-2ZfbAO3HDrxqV6lR5tdA.ttf";}}i:446;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Meddon";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v9";s:12:"lastModified";s:10:"2015-08-12";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/meddon/v9/f8zJO98uu2EtSj9p7ci9RA.ttf";}}i:447;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Concert One";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/concertone/v7/N5IWCIGhUNdPZn_efTxKN6CWcynf_cDxXwCLxiixG1c.ttf";}}i:448;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:20:"IM Fell French Canon";s:8:"category";s:5:"serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:6:"italic";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:95:"http://fonts.gstatic.com/s/imfellfrenchcanon/v6/iKB0WL1BagSpNPz3NLMdsJ3V2FNpBrlLSvqUnERhBP8.ttf";s:6:"italic";s:95:"http://fonts.gstatic.com/s/imfellfrenchcanon/v6/owCuNQkLLFW7TBBPJbMnhRa-QL94KdW80H29tcyld2A.ttf";}}i:449;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:12:"Metamorphous";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:90:"http://fonts.gstatic.com/s/metamorphous/v6/wGqUKXRinIYggz-BTRU9ei3USBnSvpkopQaUR-2r7iU.ttf";}}i:450;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Tulpen One";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:87:"http://fonts.gstatic.com/s/tulpenone/v6/lwcTfVIEVxpZLZlWzR5baPesZW2xOQ-xsNqO47m55DA.ttf";}}i:451;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Italiana";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/italiana/v4/dt95fkCSTOF-c6QNjwSycA.ttf";}}i:452;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:13:"Mystery Quest";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:90:"http://fonts.gstatic.com/s/mysteryquest/v4/467jJvg0c7HgucvBB9PLDyeUSrabuTpOsMEiRLtKwk0.ttf";}}i:453;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Mate SC";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/matesc/v5/-YkIT2TZoPZF6pawKzDpWw.ttf";}}i:454;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:14:"Ruslan Display";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:8:"cyrillic";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:91:"http://fonts.gstatic.com/s/ruslandisplay/v7/SREdhlyLNUfU1VssRBfs3rgH88D3l9N4auRNHrNS708.ttf";}}i:455;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Stalemate";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:66:"http://fonts.gstatic.com/s/stalemate/v4/wQLCnG0qB6mOu2Wit2dt_w.ttf";}}i:456;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:14:"Uncial Antiqua";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:91:"http://fonts.gstatic.com/s/uncialantiqua/v4/F-leefDiFwQXsyd6eaSllqrFJ4O13IHVxZbM6yoslpo.ttf";}}i:457;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:15:"Holtwood One SC";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:91:"http://fonts.gstatic.com/s/holtwoodonesc/v7/sToOq3cIxbfnhbEkgYNuBbAgSRh1LpJXlLfl8IbsmHg.ttf";}}i:458;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:3:"NTR";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:6:"telugu";i:1;s:5:"latin";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-07";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:60:"http://fonts.gstatic.com/s/ntr/v4/e7H4ZLtGfVOYyOupo6T12g.ttf";}}i:459;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Medula One";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:87:"http://fonts.gstatic.com/s/medulaone/v6/AasPgDQak81dsTGQHc5zUPesZW2xOQ-xsNqO47m55DA.ttf";}}i:460;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:20:"Dawning of a New Day";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:94:"http://fonts.gstatic.com/s/dawningofanewday/v7/JiDsRhiKZt8uz3NJ5xA06gXLnohmOYWQZqo_sW8GLTk.ttf";}}i:461;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:12:"Caveat Brush";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v1";s:12:"lastModified";s:10:"2015-10-05";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:89:"http://fonts.gstatic.com/s/caveatbrush/v1/_d7bgsk3hfC4DXnUEeYKsy3USBnSvpkopQaUR-2r7iU.ttf";}}i:462;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Vast Shadow";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/vastshadow/v6/io4hqKX3ibiqQQjYfW0-h6CWcynf_cDxXwCLxiixG1c.ttf";}}i:463;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Dorsa";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/dorsa/v7/wCc3cUe6XrmG2LQE6GlIrw.ttf";}}i:464;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:13:"Maiden Orange";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:90:"http://fonts.gstatic.com/s/maidenorange/v6/ZhKIA2SPisEwdhW7g0RUWojjx0o0jr6fNXxPgYh_a8Q.ttf";}}i:465;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:12:"Raleway Dots";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:89:"http://fonts.gstatic.com/s/ralewaydots/v4/lhLgmWCRcyz-QXo8LCzTfC3USBnSvpkopQaUR-2r7iU.ttf";}}i:466;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Buenard";s:8:"category";s:5:"serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-08-12";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/buenard/v7/NSpMPGKAUgrLrlstYVvIXQ.ttf";s:3:"700";s:85:"http://fonts.gstatic.com/s/buenard/v7/yUlGE115dGr7O9w9FlP3UvesZW2xOQ-xsNqO47m55DA.ttf";}}i:467;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:18:"Chau Philomene One";s:8:"category";s:10:"sans-serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:6:"italic";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:94:"http://fonts.gstatic.com/s/chauphilomeneone/v4/KKc5egCL-a2fFVoOA2x6tBFi5dxgSTdxqnMJgWkBJcg.ttf";s:6:"italic";s:94:"http://fonts.gstatic.com/s/chauphilomeneone/v4/eJj1PY_iN4KiIuyOvtMHJP6uyLkxyiC4WcYA74sfquE.ttf";}}i:468;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:12:"Cherry Swash";s:8:"category";s:7:"display";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:89:"http://fonts.gstatic.com/s/cherryswash/v4/HqOk7C7J1TZ5i3L-ejF0vi3USBnSvpkopQaUR-2r7iU.ttf";s:3:"700";s:89:"http://fonts.gstatic.com/s/cherryswash/v4/-CfyMyQqfucZPQNB0nvYyED2ttfZwueP-QU272T9-k4.ttf";}}i:469;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Numans";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/numans/v6/g5snI2p6OEjjTNmTHyBdiQ.ttf";}}i:470;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:4:"Mate";s:8:"category";s:5:"serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:6:"italic";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:61:"http://fonts.gstatic.com/s/mate/v5/ooFviPcJ6hZP5bAE71Cawg.ttf";s:6:"italic";s:61:"http://fonts.gstatic.com/s/mate/v5/5XwW6_cbisGvCX5qmNiqfA.ttf";}}i:471;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:13:"Hind Vadodara";s:8:"category";s:10:"sans-serif";s:8:"variants";a:5:{i:0;s:3:"300";i:1;s:7:"regular";i:2;s:3:"500";i:3;s:3:"600";i:4;s:3:"700";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:8:"gujarati";i:2;s:9:"latin-ext";}s:7:"version";s:2:"v1";s:12:"lastModified";s:10:"2015-09-09";s:5:"files";O:8:"stdClass":5:{s:3:"300";s:90:"http://fonts.gstatic.com/s/hindvadodara/v1/KrZ6f_YevRawHvh0qDBkTbDwfZ__Dotj_J8NiWv76DQ.ttf";s:7:"regular";s:90:"http://fonts.gstatic.com/s/hindvadodara/v1/9c6KKeibr6NtFqknnNxZB-Dcg5akpSnIcsPhLOFv7l8.ttf";s:3:"500";s:90:"http://fonts.gstatic.com/s/hindvadodara/v1/KrZ6f_YevRawHvh0qDBkTZzEKvFIU9WyojfbAkhDb6c.ttf";s:3:"600";s:90:"http://fonts.gstatic.com/s/hindvadodara/v1/KrZ6f_YevRawHvh0qDBkTfgXs2VXrZsRiQ1c96pXZKI.ttf";s:3:"700";s:90:"http://fonts.gstatic.com/s/hindvadodara/v1/KrZ6f_YevRawHvh0qDBkTYGjoH95IEFGA7BjhXnx_eg.ttf";}}i:472;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Shojumaru";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:66:"http://fonts.gstatic.com/s/shojumaru/v4/WP8cxonzQQVAoI3RJQ2wug.ttf";}}i:473;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Ruthie";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/ruthie/v6/vJ2LorukHSbWYoEs5juivg.ttf";}}i:474;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:16:"Bilbo Swash Caps";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:92:"http://fonts.gstatic.com/s/bilboswashcaps/v7/UB_-crLvhx-PwGKW1oosDmYeFSdnSpRYv5h9gpdlD1g.ttf";}}i:475;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:18:"Cedarville Cursive";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-08-12";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:95:"http://fonts.gstatic.com/s/cedarvillecursive/v7/cuCe6HrkcqrWTWTUE7dw-41zwq9-z_Lf44CzRAA0d0Y.ttf";}}i:476;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Zeyada";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/zeyada/v6/hmonmGYYFwqTZQfG2nRswQ.ttf";}}i:477;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Krona One";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/kronaone/v4/zcQj4ljqTo166AdourlF9w.ttf";}}i:478;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Oldenburg";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:66:"http://fonts.gstatic.com/s/oldenburg/v4/dqA_M_uoCVXZbCO-oKBTnQ.ttf";}}i:479;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:18:"Averia Serif Libre";s:8:"category";s:7:"display";s:8:"variants";a:6:{i:0;s:3:"300";i:1;s:9:"300italic";i:2;s:7:"regular";i:3;s:6:"italic";i:4;s:3:"700";i:5;s:9:"700italic";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":6:{s:3:"300";s:94:"http://fonts.gstatic.com/s/averiaseriflibre/v5/yvITAdr5D1nlsdFswJAb8SmC4gFJ2PHmfdVKEd_5S9M.ttf";s:9:"300italic";s:94:"http://fonts.gstatic.com/s/averiaseriflibre/v5/YOLFXyye4sZt6AZk1QybCG2okl0bU63CauowU4iApig.ttf";s:7:"regular";s:94:"http://fonts.gstatic.com/s/averiaseriflibre/v5/fdtF30xa_Erw0zAzOoG4BZqY66i8AUyI16fGqw0iAew.ttf";s:6:"italic";s:94:"http://fonts.gstatic.com/s/averiaseriflibre/v5/o9qhvK9iT5iDWfyhQUe-6Ru_b0bTq5iipbJ9hhgHJ6U.ttf";s:3:"700";s:94:"http://fonts.gstatic.com/s/averiaseriflibre/v5/yvITAdr5D1nlsdFswJAb8Q50KV5TaOVolur4zV2iZsg.ttf";s:9:"700italic";s:94:"http://fonts.gstatic.com/s/averiaseriflibre/v5/YOLFXyye4sZt6AZk1QybCNxohRXP4tNDqG3X4Hqn21k.ttf";}}i:480;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Sumana";s:8:"category";s:5:"serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"devanagari";}s:7:"version";s:2:"v1";s:12:"lastModified";s:10:"2015-05-04";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/sumana/v1/wgdl__wAK7pzliiWs0Nlog.ttf";s:3:"700";s:63:"http://fonts.gstatic.com/s/sumana/v1/8AcM-KAproitONSBBHj3sQ.ttf";}}i:481;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Rubik One";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:8:"cyrillic";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-07-22";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/rubikone/v4/Zs6TtctNRSIR8T5PO018rQ.ttf";}}i:482;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Flamenco";s:8:"category";s:7:"display";s:8:"variants";a:2:{i:0;s:3:"300";i:1;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:3:"300";s:86:"http://fonts.gstatic.com/s/flamenco/v6/x9iI5CogvuZVCGoRHwXuo6CWcynf_cDxXwCLxiixG1c.ttf";s:7:"regular";s:65:"http://fonts.gstatic.com/s/flamenco/v6/HC0ugfLLgt26I5_BWD1PZA.ttf";}}i:483;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:12:"Rouge Script";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:89:"http://fonts.gstatic.com/s/rougescript/v5/AgXDSqZJmy12qS0ixjs6Vy3USBnSvpkopQaUR-2r7iU.ttf";}}i:484;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:4:"Itim";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:4:{i:0;s:5:"latin";i:1;s:4:"thai";i:2;s:9:"latin-ext";i:3;s:10:"vietnamese";}s:7:"version";s:2:"v1";s:12:"lastModified";s:10:"2015-08-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:61:"http://fonts.gstatic.com/s/itim/v1/HHV9WK2x5lUkc5bxMXG8Tw.ttf";}}i:485;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Iceland";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/iceland/v5/kq3uTMGgvzWGNi39B_WxGA.ttf";}}i:486;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Biryani";s:8:"category";s:10:"sans-serif";s:8:"variants";a:7:{i:0;s:3:"200";i:1;s:3:"300";i:2;s:7:"regular";i:3;s:3:"600";i:4;s:3:"700";i:5;s:3:"800";i:6;s:3:"900";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"devanagari";}s:7:"version";s:2:"v1";s:12:"lastModified";s:10:"2015-04-22";s:5:"files";O:8:"stdClass":7:{s:3:"200";s:85:"http://fonts.gstatic.com/s/biryani/v1/Xx38YzyTFF8n6mRS1Yd88vesZW2xOQ-xsNqO47m55DA.ttf";s:3:"300";s:85:"http://fonts.gstatic.com/s/biryani/v1/u-bneRbizmFMd0VQp5Ze6vesZW2xOQ-xsNqO47m55DA.ttf";s:7:"regular";s:64:"http://fonts.gstatic.com/s/biryani/v1/W7bfR8-IY76Xz0QoB8L2xw.ttf";s:3:"600";s:85:"http://fonts.gstatic.com/s/biryani/v1/1EdcPCVxBR2txgjrza6_YPesZW2xOQ-xsNqO47m55DA.ttf";s:3:"700";s:85:"http://fonts.gstatic.com/s/biryani/v1/qN2MTZ0j1sKSCtfXLB2dR_esZW2xOQ-xsNqO47m55DA.ttf";s:3:"800";s:85:"http://fonts.gstatic.com/s/biryani/v1/DJyziS7FEy441v22InYdevesZW2xOQ-xsNqO47m55DA.ttf";s:3:"900";s:85:"http://fonts.gstatic.com/s/biryani/v1/trcLkrIut0lM_PPSyQfAMPesZW2xOQ-xsNqO47m55DA.ttf";}}i:487;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:15:"Share Tech Mono";s:8:"category";s:9:"monospace";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-07-22";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:91:"http://fonts.gstatic.com/s/sharetechmono/v5/RQxK-3RA0Lnf3gnnnNrAscwD6PD0c3_abh9zHKQtbGU.ttf";}}i:488;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:14:"Quintessential";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:92:"http://fonts.gstatic.com/s/quintessential/v4/mmk6ioesnTrEky_Zb92E5s02lXbtMOtZWfuxKeMZO8Q.ttf";}}i:489;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:15:"Aguafina Script";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:92:"http://fonts.gstatic.com/s/aguafinascript/v5/65g7cgMtMGnNlNyq_Z6CvMxLhO8OSNnfAp53LK1_iRs.ttf";}}i:490;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Condiment";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:66:"http://fonts.gstatic.com/s/condiment/v4/CstmdiPpgFSV0FUNL5LrJA.ttf";}}i:491;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:18:"Swanky and Moo Moo";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:93:"http://fonts.gstatic.com/s/swankyandmoomoo/v6/orVNZ9kDeE3lWp3U3YELu9DVLKqNC3_XMNHhr8S94FU.ttf";}}i:492;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Rosarivo";s:8:"category";s:5:"serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:6:"italic";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/rosarivo/v4/EmPiINK0qyqc7KSsNjJamA.ttf";s:6:"italic";s:86:"http://fonts.gstatic.com/s/rosarivo/v4/u3VuWsWQlX1pDqsbz4paNPesZW2xOQ-xsNqO47m55DA.ttf";}}i:493;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Amarante";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/amarante/v4/2dQHjIBWSpydit5zkJZnOw.ttf";}}i:494;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Martel";s:8:"category";s:5:"serif";s:8:"variants";a:7:{i:0;s:3:"200";i:1;s:3:"300";i:2;s:7:"regular";i:3;s:3:"600";i:4;s:3:"700";i:5;s:3:"800";i:6;s:3:"900";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"devanagari";}s:7:"version";s:2:"v1";s:12:"lastModified";s:10:"2015-04-22";s:5:"files";O:8:"stdClass":7:{s:3:"200";s:63:"http://fonts.gstatic.com/s/martel/v1/_wfGdswZbat7P4tupHLA1w.ttf";s:3:"300";s:63:"http://fonts.gstatic.com/s/martel/v1/SghoV2F2VPdVU3P0a4fa9w.ttf";s:7:"regular";s:63:"http://fonts.gstatic.com/s/martel/v1/9ALu5czkaaf5zsYk6GJEnQ.ttf";s:3:"600";s:63:"http://fonts.gstatic.com/s/martel/v1/Kt9uPhH1PvUwuZ5Y6zuAMQ.ttf";s:3:"700";s:63:"http://fonts.gstatic.com/s/martel/v1/4OzIiKB5wE36xXL2U0vzWQ.ttf";s:3:"800";s:63:"http://fonts.gstatic.com/s/martel/v1/RVF8drcQoRkRL7l_ZkpTlQ.ttf";s:3:"900";s:63:"http://fonts.gstatic.com/s/martel/v1/iS0YUpFJoiLRlnyl40rpEA.ttf";}}i:495;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Fascinate";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-03";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:66:"http://fonts.gstatic.com/s/fascinate/v5/ZE0637WWkBPKt1AmFaqD3Q.ttf";}}i:496;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Dynalight";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:66:"http://fonts.gstatic.com/s/dynalight/v5/-CWsIe8OUDWTIHjSAh41kA.ttf";}}i:497;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Fondamento";s:8:"category";s:11:"handwriting";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:6:"italic";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/fondamento/v5/6LWXcjT1B7bnWluAOSNfMPesZW2xOQ-xsNqO47m55DA.ttf";s:6:"italic";s:88:"http://fonts.gstatic.com/s/fondamento/v5/y6TmwhSbZ8rYq7OTFyo7OS3USBnSvpkopQaUR-2r7iU.ttf";}}i:498;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:16:"Port Lligat Sans";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:92:"http://fonts.gstatic.com/s/portlligatsans/v5/CUEdhRk7oC7up0p6t0g4P6mASEpx5X0ZpsuJOuvfOGA.ttf";}}i:499;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:14:"UnifrakturCook";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:3:"700";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:3:"700";s:92:"http://fonts.gstatic.com/s/unifrakturcook/v8/ASwh69ykD8iaoYijVEU6RrWZkcsCTHKV51zmcUsafQ0.ttf";}}i:500;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Inika";s:8:"category";s:5:"serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/inika/v4/eZCrULQGaIxkrRoGz_DjhQ.ttf";s:3:"700";s:62:"http://fonts.gstatic.com/s/inika/v4/bl3ZoTyrWsFun2zYbsgJrA.ttf";}}i:501;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Sonsie One";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:87:"http://fonts.gstatic.com/s/sonsieone/v5/KSP7xT1OSy0q2ob6RQOTWPesZW2xOQ-xsNqO47m55DA.ttf";}}i:502;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Gurajada";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:6:"telugu";i:1;s:5:"latin";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-07";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/gurajada/v4/6Adfkl4PCRyq6XTENACEyA.ttf";}}i:503;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Fresca";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/fresca/v5/2q7Qm9sCo1tWvVgSDVWNIw.ttf";}}i:504;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:14:"Delius Unicase";s:8:"category";s:11:"handwriting";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v9";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:91:"http://fonts.gstatic.com/s/deliusunicase/v9/b2sKujV3Q48RV2PQ0k1vqu6rPKfVZo7L2bERcf0BDns.ttf";s:3:"700";s:91:"http://fonts.gstatic.com/s/deliusunicase/v9/7FTMTITcb4dxUp99FAdTqNy5weKXdcrx-wE0cgECMq8.ttf";}}i:505;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Artifika";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/artifika/v6/Ekfp4H4QG7D-WsABDOyj8g.ttf";}}i:506;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Angkor";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"khmer";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/angkor/v8/DLpLgIS-8F10ecwKqCm95Q.ttf";}}i:507;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:21:"Stint Ultra Condensed";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:97:"http://fonts.gstatic.com/s/stintultracondensed/v5/8DqLK6-YSClFZt3u3EgOUYelbRYnLTTQA1Z5cVLnsI4.ttf";}}i:508;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Trade Winds";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/tradewinds/v5/sDOCVgAxw6PEUi2xdMsoDaCWcynf_cDxXwCLxiixG1c.ttf";}}i:509;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Redressed";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:66:"http://fonts.gstatic.com/s/redressed/v6/3aZ5sTBppH3oSm5SabegtA.ttf";}}i:510;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Sunshiney";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:66:"http://fonts.gstatic.com/s/sunshiney/v6/kaWOb4pGbwNijM7CkxK1sQ.ttf";}}i:511;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:15:"GFS Neohellenic";s:8:"category";s:10:"sans-serif";s:8:"variants";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}s:7:"subsets";a:1:{i:0;s:5:"greek";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":4:{s:7:"regular";s:92:"http://fonts.gstatic.com/s/gfsneohellenic/v7/B4xRqbn-tANVqVgamMsSDiayCZa0z7CpFzlkqoCHztc.ttf";s:6:"italic";s:92:"http://fonts.gstatic.com/s/gfsneohellenic/v7/KnaWrO4awITAqigQIIYXKkCTdomiyJpIzPbEbIES3rU.ttf";s:3:"700";s:92:"http://fonts.gstatic.com/s/gfsneohellenic/v7/7HwjPQa7qNiOsnUce2h4448_BwCLZY3eDSV6kppAwI8.ttf";s:9:"700italic";s:92:"http://fonts.gstatic.com/s/gfsneohellenic/v7/FwWjoX6XqT-szJFyqsu_GYFF0fM4h-krcpQk7emtCpE.ttf";}}i:512;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Paprika";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/paprika/v4/b-VpyoRSieBdB5BPJVF8HQ.ttf";}}i:513;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Wallpoet";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-08-12";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/wallpoet/v8/hmum4WuBN4A0Z_7367NDIg.ttf";}}i:514;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Donegal One";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/donegalone/v4/6kN4-fDxz7T9s5U61HwfF6CWcynf_cDxXwCLxiixG1c.ttf";}}i:515;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:4:"Buda";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:3:"300";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:3:"300";s:61:"http://fonts.gstatic.com/s/buda/v6/hLtAmNUmEMJH2yx7NGUjnA.ttf";}}i:516;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Overlock SC";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/overlocksc/v5/8D7HYDsvS_g1GhBnlHzgzaCWcynf_cDxXwCLxiixG1c.ttf";}}i:517;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:19:"IM Fell Double Pica";s:8:"category";s:5:"serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:6:"italic";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:94:"http://fonts.gstatic.com/s/imfelldoublepica/v6/yN1wY_01BkQnO0LYAhXdUol14jEdVOhEmvtCMCVwYak.ttf";s:6:"italic";s:94:"http://fonts.gstatic.com/s/imfelldoublepica/v6/64odUh2hAw8D9dkFKTlWYq0AWwkgdQfsRHec8TYi4mI.ttf";}}i:518;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Stoke";s:8:"category";s:5:"serif";s:8:"variants";a:2:{i:0;s:3:"300";i:1;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:3:"300";s:62:"http://fonts.gstatic.com/s/stoke/v6/Sell9475FOS8jUqQsfFsUQ.ttf";s:7:"regular";s:62:"http://fonts.gstatic.com/s/stoke/v6/A7qJNoqOm2d6o1E6e0yUFg.ttf";}}i:519;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:13:"Snowburst One";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:90:"http://fonts.gstatic.com/s/snowburstone/v4/zSQzKOPukXRux2oTqfYJjIjjx0o0jr6fNXxPgYh_a8Q.ttf";}}i:520;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:20:"IM Fell Great Primer";s:8:"category";s:5:"serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:6:"italic";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:95:"http://fonts.gstatic.com/s/imfellgreatprimer/v6/AL8ALGNthei20f9Cu3e93rgeX3ROgtTz44CitKAxzKI.ttf";s:6:"italic";s:95:"http://fonts.gstatic.com/s/imfellgreatprimer/v6/1a-artkXMVg682r7TTxVY1_YG2SFv8Ma7CxRl1S3o7g.ttf";}}i:521;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:13:"Della Respira";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:90:"http://fonts.gstatic.com/s/dellarespira/v4/F4E6Lo_IZ6L9AJCcbqtDVeDcg5akpSnIcsPhLOFv7l8.ttf";}}i:522;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:18:"IM Fell DW Pica SC";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:92:"http://fonts.gstatic.com/s/imfelldwpicasc/v6/xBKKJV4z2KsrtQnmjGO17JZ9RBdEL0H9o5qzT1Rtof4.ttf";}}i:523;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Palanquin";s:8:"category";s:10:"sans-serif";s:8:"variants";a:7:{i:0;s:3:"100";i:1;s:3:"200";i:2;s:3:"300";i:3;s:7:"regular";i:4;s:3:"500";i:5;s:3:"600";i:6;s:3:"700";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"devanagari";}s:7:"version";s:2:"v1";s:12:"lastModified";s:10:"2015-04-22";s:5:"files";O:8:"stdClass":7:{s:3:"100";s:87:"http://fonts.gstatic.com/s/palanquin/v1/Hu0eGDVGK_g4saUFu6AK3KCWcynf_cDxXwCLxiixG1c.ttf";s:3:"200";s:87:"http://fonts.gstatic.com/s/palanquin/v1/pqXYXD7-VI5ezTjeqQOcyC3USBnSvpkopQaUR-2r7iU.ttf";s:3:"300";s:87:"http://fonts.gstatic.com/s/palanquin/v1/c0-J5OCAagpFCKkKraz-Ey3USBnSvpkopQaUR-2r7iU.ttf";s:7:"regular";s:66:"http://fonts.gstatic.com/s/palanquin/v1/xCwBUoAEV0kzCDwerAZ0Aw.ttf";s:3:"500";s:87:"http://fonts.gstatic.com/s/palanquin/v1/wLvvkEcZMKy95afLWh2EfC3USBnSvpkopQaUR-2r7iU.ttf";s:3:"600";s:87:"http://fonts.gstatic.com/s/palanquin/v1/405UIAv95_yZkCECrH6y-i3USBnSvpkopQaUR-2r7iU.ttf";s:3:"700";s:87:"http://fonts.gstatic.com/s/palanquin/v1/-UtkePo3NFvxEN3rGCtTvi3USBnSvpkopQaUR-2r7iU.ttf";}}i:524;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:12:"Scheherazade";s:8:"category";s:5:"serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:2:{i:0;s:6:"arabic";i:1;s:5:"latin";}s:7:"version";s:3:"v11";s:12:"lastModified";s:10:"2015-08-26";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:91:"http://fonts.gstatic.com/s/scheherazade/v11/AuKlqGWzUC-8XqMOmsqXiy3USBnSvpkopQaUR-2r7iU.ttf";s:3:"700";s:91:"http://fonts.gstatic.com/s/scheherazade/v11/C1wtT46acJkQxc6mPHwvHED2ttfZwueP-QU272T9-k4.ttf";}}i:525;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"McLaren";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/mclaren/v4/OprvTGxaiINBKW_1_U0eoQ.ttf";}}i:526;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:16:"Jacques Francois";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:93:"http://fonts.gstatic.com/s/jacquesfrancois/v4/_-0XWPQIW6tOzTHg4KaJ_M13D_4KM32Q4UmTSjpuNGQ.ttf";}}i:527;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Sancreek";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/sancreek/v7/8ZacBMraWMvHly4IJI3esw.ttf";}}i:528;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Prociono";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/prociono/v6/43ZYDHWogdFeNBWTl6ksmw.ttf";}}i:529;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Spirax";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/spirax/v5/IOKqhk-Ccl7y31yDsePPkw.ttf";}}i:530;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Ruluko";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/ruluko/v4/lv4cMwJtrx_dzmlK5SDc1g.ttf";}}i:531;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:23:"IM Fell French Canon SC";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:97:"http://fonts.gstatic.com/s/imfellfrenchcanonsc/v6/kA3bS19-tQbeT_iG32EZmaiyyzHwYrAbmNulTz423iM.ttf";}}i:532;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Text Me One";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:87:"http://fonts.gstatic.com/s/textmeone/v4/9em_3ckd_P5PQkP4aDyDLqCWcynf_cDxXwCLxiixG1c.ttf";}}i:533;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Suwannaphum";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"khmer";}s:7:"version";s:2:"v9";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:89:"http://fonts.gstatic.com/s/suwannaphum/v9/1jIPOyXied3T79GCnSlCN6CWcynf_cDxXwCLxiixG1c.ttf";}}i:534;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:20:"Stint Ultra Expanded";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:96:"http://fonts.gstatic.com/s/stintultraexpanded/v4/FeigX-wDDgHMCKuhekhedQ7dxr0N5HY0cZKknTIL6n4.ttf";}}i:535;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Linden Hill";s:8:"category";s:5:"serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:6:"italic";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/lindenhill/v6/UgsC0txqd-E1yjvjutwm_KCWcynf_cDxXwCLxiixG1c.ttf";s:6:"italic";s:88:"http://fonts.gstatic.com/s/lindenhill/v6/OcS3bZcu8vJvIDH8Zic83keOrDcLawS7-ssYqLr2Xp4.ttf";}}i:536;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:13:"Alike Angular";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:90:"http://fonts.gstatic.com/s/alikeangular/v6/OpeCu4xxI3qO1C7CZcJtPT3XH2uEnVI__ynTBvNyki8.ttf";}}i:537;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Sarina";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/sarina/v5/XYtRfaSknHIU3NHdfTdXoQ.ttf";}}i:538;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:23:"IM Fell Great Primer SC";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:97:"http://fonts.gstatic.com/s/imfellgreatprimersc/v6/A313vRj97hMMGFjt6rgSJtRg-ciw1Y27JeXb2Zv4lZQ.ttf";}}i:539;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Milonga";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/milonga/v4/dzNdIUSTGFmy2ahovDRcWg.ttf";}}i:540;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Nosifer";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/nosifer/v5/7eJGoIuHRrtcG00j6CptSA.ttf";}}i:541;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Vibur";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/vibur/v7/xB9aKsUbJo68XP0bAg2iLw.ttf";}}i:542;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:12:"Rammetto One";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:89:"http://fonts.gstatic.com/s/rammettoone/v5/mh0uQ1tV8QgSx9v_KyEYPC3USBnSvpkopQaUR-2r7iU.ttf";}}i:543;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:4:"Asul";s:8:"category";s:10:"sans-serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:61:"http://fonts.gstatic.com/s/asul/v5/9qpsNR_OOwyOYyo2N0IbBw.ttf";s:3:"700";s:61:"http://fonts.gstatic.com/s/asul/v5/uO8uNmxaq87-DdPmkEg5Gg.ttf";}}i:544;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Keania One";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:87:"http://fonts.gstatic.com/s/keaniaone/v4/PACrDKZWngXzgo-ucl6buvesZW2xOQ-xsNqO47m55DA.ttf";}}i:545;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Snippet";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/snippet/v6/eUcYMLq2GtHZovLlQH_9kA.ttf";}}i:546;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Nova Round";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:87:"http://fonts.gstatic.com/s/novaround/v8/7-cK3Ari_8XYYFgVMxVhDvesZW2xOQ-xsNqO47m55DA.ttf";}}i:547;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:22:"IM Fell Double Pica SC";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:96:"http://fonts.gstatic.com/s/imfelldoublepicasc/v6/jkrUtrLFpMw4ZazhfkKsGwc4LoC4OJUqLw9omnT3VOU.ttf";}}i:548;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Wellfleet";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:66:"http://fonts.gstatic.com/s/wellfleet/v4/J5tOx72iFRPgHYpbK9J4XQ.ttf";}}i:549;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Offside";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/offside/v4/v0C913SB8wqQUvcu1faUqw.ttf";}}i:550;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Smythe";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/smythe/v7/yACD1gy_MpbB9Ft42fUvYw.ttf";}}i:551;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:12:"Germania One";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:89:"http://fonts.gstatic.com/s/germaniaone/v4/3_6AyUql_-FbDi1e68jHdC3USBnSvpkopQaUR-2r7iU.ttf";}}i:552;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Wendy One";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/wendyone/v4/R8CJT2oDXdMk_ZtuHTxoxw.ttf";}}i:553;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Catamaran";s:8:"category";s:10:"sans-serif";s:8:"variants";a:9:{i:0;s:3:"100";i:1;s:3:"200";i:2;s:3:"300";i:3;s:7:"regular";i:4;s:3:"500";i:5;s:3:"600";i:6;s:3:"700";i:7;s:3:"800";i:8;s:3:"900";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:5:"tamil";}s:7:"version";s:2:"v1";s:12:"lastModified";s:10:"2015-08-06";s:5:"files";O:8:"stdClass":9:{s:3:"100";s:87:"http://fonts.gstatic.com/s/catamaran/v1/ilWHBiy0krUPdlmYxDuqC6CWcynf_cDxXwCLxiixG1c.ttf";s:3:"200";s:87:"http://fonts.gstatic.com/s/catamaran/v1/hFc-HKSsGk6M-psujei1MC3USBnSvpkopQaUR-2r7iU.ttf";s:3:"300";s:87:"http://fonts.gstatic.com/s/catamaran/v1/Aaag4ccR7Oh_4eai-jbrYC3USBnSvpkopQaUR-2r7iU.ttf";s:7:"regular";s:66:"http://fonts.gstatic.com/s/catamaran/v1/MdNkM-DU8f6R-25Nxpr_XA.ttf";s:3:"500";s:87:"http://fonts.gstatic.com/s/catamaran/v1/83WSX3F86qsvj1Z4EI0tQi3USBnSvpkopQaUR-2r7iU.ttf";s:3:"600";s:87:"http://fonts.gstatic.com/s/catamaran/v1/a9PlHHnuBWiGGk0TwuFKTi3USBnSvpkopQaUR-2r7iU.ttf";s:3:"700";s:87:"http://fonts.gstatic.com/s/catamaran/v1/PpgVtUHUdnBZYNpnzGbScy3USBnSvpkopQaUR-2r7iU.ttf";s:3:"800";s:87:"http://fonts.gstatic.com/s/catamaran/v1/6VjB_uSfn3DZ93IQv58CmC3USBnSvpkopQaUR-2r7iU.ttf";s:3:"900";s:87:"http://fonts.gstatic.com/s/catamaran/v1/5ys9TqpQc9Q6gHqbSox6py3USBnSvpkopQaUR-2r7iU.ttf";}}i:554;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Butcherman";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/butcherman/v7/bxiJmD567sPBVpJsT0XR0vesZW2xOQ-xsNqO47m55DA.ttf";}}i:555;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Galdeano";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/galdeano/v6/ZKFMQI6HxEG1jOT0UGSZUg.ttf";}}i:556;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Pirata One";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:87:"http://fonts.gstatic.com/s/pirataone/v4/WnbD86B4vB2ckYcL7oxuhvesZW2xOQ-xsNqO47m55DA.ttf";}}i:557;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:12:"Averia Libre";s:8:"category";s:7:"display";s:8:"variants";a:6:{i:0;s:3:"300";i:1;s:9:"300italic";i:2;s:7:"regular";i:3;s:6:"italic";i:4;s:3:"700";i:5;s:9:"700italic";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":6:{s:3:"300";s:89:"http://fonts.gstatic.com/s/averialibre/v4/r6hGL8sSLm4dTzOPXgx5XacQoVhARpoaILP7amxE_8g.ttf";s:9:"300italic";s:89:"http://fonts.gstatic.com/s/averialibre/v4/I6wAYuAvOgT7el2ePj2nkina0FLWfcB-J_SAYmcAXaI.ttf";s:7:"regular";s:89:"http://fonts.gstatic.com/s/averialibre/v4/rYVgHZZQICWnhjguGsBspC3USBnSvpkopQaUR-2r7iU.ttf";s:6:"italic";s:89:"http://fonts.gstatic.com/s/averialibre/v4/1etzuoNxVHR8F533EkD1WfMZXuCXbOrAvx5R0IT5Oyo.ttf";s:3:"700";s:89:"http://fonts.gstatic.com/s/averialibre/v4/r6hGL8sSLm4dTzOPXgx5XUD2ttfZwueP-QU272T9-k4.ttf";s:9:"700italic";s:89:"http://fonts.gstatic.com/s/averialibre/v4/I6wAYuAvOgT7el2ePj2nkvAs9-1nE9qOqhChW0m4nDE.ttf";}}i:558;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Iceberg";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/iceberg/v4/p2XVm4M-N0AOEEOymFKC5w.ttf";}}i:559;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Galindo";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/galindo/v4/2lafAS_ZEfB33OJryhXDUg.ttf";}}i:560;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Jaldi";s:8:"category";s:10:"sans-serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"devanagari";}s:7:"version";s:2:"v2";s:12:"lastModified";s:10:"2015-06-10";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/jaldi/v2/x1vR-bPW9a1EB-BUVqttCw.ttf";s:3:"700";s:62:"http://fonts.gstatic.com/s/jaldi/v2/OIbtgjjEp3aVWtjF6WY8mA.ttf";}}i:561;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"New Rocker";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-03";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:87:"http://fonts.gstatic.com/s/newrocker/v5/EFUWzHJedEkpW399zYOHofesZW2xOQ-xsNqO47m55DA.ttf";}}i:562;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Autour One";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:87:"http://fonts.gstatic.com/s/autourone/v4/2xmQBcg7FN72jaQRFZPIDvesZW2xOQ-xsNqO47m55DA.ttf";}}i:563;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Lakki Reddy";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:6:"telugu";i:1;s:5:"latin";}s:7:"version";s:2:"v3";s:12:"lastModified";s:10:"2015-04-03";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/lakkireddy/v3/Q5EpFa91FjW37t0FCnedaKCWcynf_cDxXwCLxiixG1c.ttf";}}i:564;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:13:"MedievalSharp";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:91:"http://fonts.gstatic.com/s/medievalsharp/v8/85X_PjV6tftJ0-rX7KYQkOe45sJkivqprK7VkUlzfg0.ttf";}}i:565;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Habibi";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/habibi/v5/YYyqXF6pWpL7kmKgS_2iUA.ttf";}}i:566;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Mandali";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:6:"telugu";i:1;s:5:"latin";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-07";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/mandali/v4/0lF8yJ7fkyjXuqtSi5bWbQ.ttf";}}i:567;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Fira Mono";s:8:"category";s:9:"monospace";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:5:{i:0;s:5:"latin";i:1;s:5:"greek";i:2;s:9:"latin-ext";i:3;s:12:"cyrillic-ext";i:4;s:8:"cyrillic";}s:7:"version";s:2:"v3";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/firamono/v3/WQOm1D4RO-yvA9q9trJc8g.ttf";s:3:"700";s:86:"http://fonts.gstatic.com/s/firamono/v3/l24Wph3FsyKAbJ8dfExTZy3USBnSvpkopQaUR-2r7iU.ttf";}}i:568;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Ramabhadra";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:6:"telugu";i:1;s:5:"latin";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-07";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/ramabhadra/v5/JyhxLXRVQChLDGADS_c5MPesZW2xOQ-xsNqO47m55DA.ttf";}}i:569;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Nova Flat";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/novaflat/v8/pK7a0CoGzI684qe_XSHBqQ.ttf";}}i:570;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Ribeye";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/ribeye/v5/e5w3VE8HnWBln4Ll6lUj3Q.ttf";}}i:571;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:14:"Lovers Quarrel";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:91:"http://fonts.gstatic.com/s/loversquarrel/v4/gipdZ8b7pKb89MzQLAtJHLHLxci2ElvNEmOB303HLk0.ttf";}}i:572;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:13:"League Script";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:90:"http://fonts.gstatic.com/s/leaguescript/v7/wnRFLvfabWK_DauqppD6vSeUSrabuTpOsMEiRLtKwk0.ttf";}}i:573;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:20:"Montserrat Subrayada";s:8:"category";s:10:"sans-serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:97:"http://fonts.gstatic.com/s/montserratsubrayada/v4/nzoCWCz0e9c7Mr2Gl8bbgrJymm6ilkk9f0nDA_sC_qk.ttf";s:3:"700";s:97:"http://fonts.gstatic.com/s/montserratsubrayada/v4/wf-IKpsHcfm0C9uaz9IeGJvEcF1LWArDbGWgKZSH9go.ttf";}}i:574;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Nova Slim";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/novaslim/v8/rPYXC81_VL2EW-4CzBX65g.ttf";}}i:575;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:12:"Antic Didone";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:89:"http://fonts.gstatic.com/s/anticdidone/v4/r3nJcTDuOluOL6LGDV1vRy3USBnSvpkopQaUR-2r7iU.ttf";}}i:576;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Nokora";s:8:"category";s:5:"serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:1:{i:0;s:5:"khmer";}s:7:"version";s:2:"v9";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/nokora/v9/dRyz1JfnyKPNaRcBNX9F9A.ttf";s:3:"700";s:63:"http://fonts.gstatic.com/s/nokora/v9/QMqqa4QEOhQpiig3cAPmbQ.ttf";}}i:577;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Atomic Age";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:87:"http://fonts.gstatic.com/s/atomicage/v6/WvBMe4FxANIKpo6Oi0mVJ_esZW2xOQ-xsNqO47m55DA.ttf";}}i:578;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:13:"Glass Antiqua";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:90:"http://fonts.gstatic.com/s/glassantiqua/v4/0yLrXKplgdUDIMz5TnCHNODcg5akpSnIcsPhLOFv7l8.ttf";}}i:579;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Julee";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/julee/v6/CAib-jsUsSO8SvVRnE9fHA.ttf";}}i:580;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Trykker";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/trykker/v5/YiVrVJpBFN7I1l_CWk6yYQ.ttf";}}i:581;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Martel Sans";s:8:"category";s:10:"sans-serif";s:8:"variants";a:7:{i:0;s:3:"200";i:1;s:3:"300";i:2;s:7:"regular";i:3;s:3:"600";i:4;s:3:"700";i:5;s:3:"800";i:6;s:3:"900";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"devanagari";}s:7:"version";s:2:"v1";s:12:"lastModified";s:10:"2015-04-07";s:5:"files";O:8:"stdClass":7:{s:3:"200";s:88:"http://fonts.gstatic.com/s/martelsans/v1/7ajme85aKKx_SCWF59ImQEnzyIngrzGjGh22wPb6cGM.ttf";s:3:"300";s:88:"http://fonts.gstatic.com/s/martelsans/v1/7ajme85aKKx_SCWF59ImQC9-WlPSxbfiI49GsXo3q0g.ttf";s:7:"regular";s:88:"http://fonts.gstatic.com/s/martelsans/v1/91c8DPDZncMc0RFfhmc2RqCWcynf_cDxXwCLxiixG1c.ttf";s:3:"600";s:88:"http://fonts.gstatic.com/s/martelsans/v1/7ajme85aKKx_SCWF59ImQJZ7xm-Bj30Bj2KNdXDzSZg.ttf";s:3:"700";s:88:"http://fonts.gstatic.com/s/martelsans/v1/7ajme85aKKx_SCWF59ImQHe1Pd76Vl7zRpE7NLJQ7XU.ttf";s:3:"800";s:88:"http://fonts.gstatic.com/s/martelsans/v1/7ajme85aKKx_SCWF59ImQA89PwPrYLaRFJ-HNCU9NbA.ttf";s:3:"900";s:88:"http://fonts.gstatic.com/s/martelsans/v1/7ajme85aKKx_SCWF59ImQCenaqEuufTBk9XMKnKmgDA.ttf";}}i:582;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Elsie";s:8:"category";s:7:"display";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"900";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/elsie/v5/gwspePauE45BJu6Ok1QrfQ.ttf";s:3:"900";s:62:"http://fonts.gstatic.com/s/elsie/v5/1t-9f0N2NFYwAgN7oaISqg.ttf";}}i:583;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Trochut";s:8:"category";s:7:"display";s:8:"variants";a:3:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":3:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/trochut/v4/6Y65B0x-2JsnYt16OH5omw.ttf";s:6:"italic";s:64:"http://fonts.gstatic.com/s/trochut/v4/pczUwr4ZFvC79TgNO5cZng.ttf";s:3:"700";s:85:"http://fonts.gstatic.com/s/trochut/v4/lWqNOv6ISR8ehNzGLFLnJ_esZW2xOQ-xsNqO47m55DA.ttf";}}i:584;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Bilbo";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/bilbo/v6/-ty-lPs5H7OIucWbnpFrkA.ttf";}}i:585;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Miniver";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/miniver/v5/4yTQohOH_cWKRS5laRFhYg.ttf";}}i:586;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Bigshot One";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/bigshotone/v6/wSyZjBNTWDQHnvWE2jt6j6CWcynf_cDxXwCLxiixG1c.ttf";}}i:587;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:12:"Jolly Lodger";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:89:"http://fonts.gstatic.com/s/jollylodger/v4/RX8HnkBgaEKQSHQyP9itiS3USBnSvpkopQaUR-2r7iU.ttf";}}i:588;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Battambang";s:8:"category";s:7:"display";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:1:{i:0;s:5:"khmer";}s:7:"version";s:2:"v9";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/battambang/v9/MzrUfQLefYum5vVGM3EZVPesZW2xOQ-xsNqO47m55DA.ttf";s:3:"700";s:88:"http://fonts.gstatic.com/s/battambang/v9/dezbRtMzfzAA99DmrCYRMgJKKGfqHaYFsRG-T3ceEVo.ttf";}}i:589;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:16:"Londrina Outline";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:93:"http://fonts.gstatic.com/s/londrinaoutline/v5/lls08GOa1eT74p072l1AWJmp8DTZ6iHear7UV05iykg.ttf";}}i:590;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Akronim";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/akronim/v5/qA0L2CSArk3tuOWE1AR1DA.ttf";}}i:591;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Dr Sugiyama";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-03";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/drsugiyama/v5/S5Yx3MIckgoyHhhS4C9Tv6CWcynf_cDxXwCLxiixG1c.ttf";}}i:592;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Peralta";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/peralta/v4/cTJX5KEuc0GKRU9NXSm-8Q.ttf";}}i:593;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Piedra";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/piedra/v5/owf-AvEEyAj9LJ2tVZ_3Mw.ttf";}}i:594;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Caveat";s:8:"category";s:11:"handwriting";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v1";s:12:"lastModified";s:10:"2015-10-05";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/caveat/v1/8I23b6N-6rRVbh-C_Vx3yA.ttf";s:3:"700";s:63:"http://fonts.gstatic.com/s/caveat/v1/LkaFtQENGJry2eUMwGRTeA.ttf";}}i:595;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:13:"Hind Siliguri";s:8:"category";s:10:"sans-serif";s:8:"variants";a:5:{i:0;s:3:"300";i:1;s:7:"regular";i:2;s:3:"500";i:3;s:3:"600";i:4;s:3:"700";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:7:"bengali";i:2;s:9:"latin-ext";}s:7:"version";s:2:"v1";s:12:"lastModified";s:10:"2015-09-09";s:5:"files";O:8:"stdClass":5:{s:3:"300";s:90:"http://fonts.gstatic.com/s/hindsiliguri/v1/fBpmjMpv5Rh6S25yVfWJnzoJ52uD-1fmXmi8u0n_zsc.ttf";s:7:"regular";s:90:"http://fonts.gstatic.com/s/hindsiliguri/v1/f2eEi2pbIa8eBfNwpUl0Am_MnNA9OgK8I1F23mNWOpE.ttf";s:3:"500";s:90:"http://fonts.gstatic.com/s/hindsiliguri/v1/fBpmjMpv5Rh6S25yVfWJn__2zpxNHQ3utWt_82o9dAo.ttf";s:3:"600";s:90:"http://fonts.gstatic.com/s/hindsiliguri/v1/fBpmjMpv5Rh6S25yVfWJn-x91FDzFvnud68bXrNkpDA.ttf";s:3:"700";s:90:"http://fonts.gstatic.com/s/hindsiliguri/v1/fBpmjMpv5Rh6S25yVfWJn6iiXuG_rGcOxkuidirlnJE.ttf";}}i:596;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Kenia";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/kenia/v8/OLM9-XfITK9PsTLKbGBrwg.ttf";}}i:597;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Passero One";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/passeroone/v8/Yc-7nH5deCCv9Ed0MMnAQqCWcynf_cDxXwCLxiixG1c.ttf";}}i:598;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Almendra";s:8:"category";s:5:"serif";s:8:"variants";a:4:{i:0;s:7:"regular";i:1;s:6:"italic";i:2;s:3:"700";i:3;s:9:"700italic";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":4:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/almendra/v8/PDpbB-ZF7deXAAEYPkQOeg.ttf";s:6:"italic";s:86:"http://fonts.gstatic.com/s/almendra/v8/CNWLyiDucqVKVgr4EMidi_esZW2xOQ-xsNqO47m55DA.ttf";s:3:"700";s:86:"http://fonts.gstatic.com/s/almendra/v8/ZpLdQMj7Q2AFio4nNO6A76CWcynf_cDxXwCLxiixG1c.ttf";s:9:"700italic";s:86:"http://fonts.gstatic.com/s/almendra/v8/-tXHKMcnn6FqrhJV3l1e3QJKKGfqHaYFsRG-T3ceEVo.ttf";}}i:599;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Montaga";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/montaga/v4/PwTwUboiD-M4-mFjZfJs2A.ttf";}}i:600;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Devonshire";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/devonshire/v5/I3ct_2t12SYizP8ZC-KFi_esZW2xOQ-xsNqO47m55DA.ttf";}}i:601;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:16:"Miltonian Tattoo";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v9";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:93:"http://fonts.gstatic.com/s/miltoniantattoo/v9/1oU_8OGYwW46eh02YHydn2uk0YtI6thZkz1Hmh-odwg.ttf";}}i:602;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:12:"Emilys Candy";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:89:"http://fonts.gstatic.com/s/emilyscandy/v4/PofLVm6v1SwZGOzC8s-I3S3USBnSvpkopQaUR-2r7iU.ttf";}}i:603;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Joti One";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/jotione/v4/P3r_Th0ESHJdzunsvWgUfQ.ttf";}}i:604;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Chango";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/chango/v5/3W3AeMMtRTH08t5qLOjBmg.ttf";}}i:605;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Astloch";s:8:"category";s:7:"display";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/astloch/v6/fmbitVmHYLQP7MGPuFgpag.ttf";s:3:"700";s:85:"http://fonts.gstatic.com/s/astloch/v6/aPkhM2tL-tz1jX6aX2rvo_esZW2xOQ-xsNqO47m55DA.ttf";}}i:606;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:14:"Palanquin Dark";s:8:"category";s:10:"sans-serif";s:8:"variants";a:4:{i:0;s:7:"regular";i:1;s:3:"500";i:2;s:3:"600";i:3;s:3:"700";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"devanagari";}s:7:"version";s:2:"v1";s:12:"lastModified";s:10:"2015-04-22";s:5:"files";O:8:"stdClass":4:{s:7:"regular";s:91:"http://fonts.gstatic.com/s/palanquindark/v1/PamTqrrgbBh_M3702w39rOfChn3JSg5yz_Q_xmrKQN0.ttf";s:3:"500";s:91:"http://fonts.gstatic.com/s/palanquindark/v1/iXyBGf5UbFUu6BG8hOY-maMZTo-EwKMRQt3RWHocLi0.ttf";s:3:"600";s:91:"http://fonts.gstatic.com/s/palanquindark/v1/iXyBGf5UbFUu6BG8hOY-mVNxaunw8i4Gywrk2SigRnk.ttf";s:3:"700";s:91:"http://fonts.gstatic.com/s/palanquindark/v1/iXyBGf5UbFUu6BG8hOY-mWToair6W0TEE44XrlfKbiM.ttf";}}i:607;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Kurale";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:4:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"devanagari";i:3;s:8:"cyrillic";}s:7:"version";s:2:"v1";s:12:"lastModified";s:10:"2015-05-14";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/kurale/v1/rxeyIcvQlT4XAWwNbXFCfw.ttf";}}i:608;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:13:"Ribeye Marrow";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:90:"http://fonts.gstatic.com/s/ribeyemarrow/v6/q7cBSA-4ErAXBCDFPrhlY0cTNmV93fYG7UKgsLQNQWs.ttf";}}i:609;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Plaster";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/plaster/v7/O4QG9Z5116CXyfJdR9zxLw.ttf";}}i:610;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:19:"Mrs Saint Delafield";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:95:"http://fonts.gstatic.com/s/mrssaintdelafield/v4/vuWagfFT7bj9lFtZOFBwmjHMBelqWf3tJeGyts2SmKU.ttf";}}i:611;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Metal Mania";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-03";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/metalmania/v6/isriV_rAUgj6bPWPN6l9QKCWcynf_cDxXwCLxiixG1c.ttf";}}i:612;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Bubbler One";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/bubblerone/v4/e8S0qevkZAFaBybtt_SU4qCWcynf_cDxXwCLxiixG1c.ttf";}}i:613;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:14:"Modern Antiqua";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:91:"http://fonts.gstatic.com/s/modernantiqua/v6/8qX_tr6Xzy4t9fvZDXPkh6rFJ4O13IHVxZbM6yoslpo.ttf";}}i:614;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Faster One";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-09-24";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:87:"http://fonts.gstatic.com/s/fasterone/v6/YxTOW2sf56uxD1T7byP5K_esZW2xOQ-xsNqO47m55DA.ttf";}}i:615;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Combo";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/combo/v5/Nab98KjR3JZSSPGtzLyXNw.ttf";}}i:616;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Sofadi One";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:87:"http://fonts.gstatic.com/s/sofadione/v4/nirf4G12IcJ6KI8Eoj119fesZW2xOQ-xsNqO47m55DA.ttf";}}i:617;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Gorditas";s:8:"category";s:7:"display";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/gorditas/v4/uMgZhXUyH6qNGF3QsjQT5Q.ttf";s:3:"700";s:86:"http://fonts.gstatic.com/s/gorditas/v4/6-XCeknmxaon8AUqVkMnHaCWcynf_cDxXwCLxiixG1c.ttf";}}i:618;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:13:"Sirin Stencil";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-03";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:90:"http://fonts.gstatic.com/s/sirinstencil/v5/pRpLdo0SawzO7MoBpvowsImg74kgS1F7KeR8rWhYwkU.ttf";}}i:619;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Ranchers";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/ranchers/v4/9ya8CZYhqT66VERfjQ7eLA.ttf";}}i:620;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Meie Script";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-03";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/meiescript/v4/oTIWE5MmPye-rCyVp_6KEqCWcynf_cDxXwCLxiixG1c.ttf";}}i:621;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:16:"Elsie Swash Caps";s:8:"category";s:7:"display";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"900";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:92:"http://fonts.gstatic.com/s/elsieswashcaps/v4/9L3hIJMPCf6sxCltnxd6X2YeFSdnSpRYv5h9gpdlD1g.ttf";s:3:"900";s:92:"http://fonts.gstatic.com/s/elsieswashcaps/v4/iZnus9qif0tR5pGaDv5zdKoKBWBozTtxi30NfZDOXXU.ttf";}}i:622;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:12:"Irish Grover";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:89:"http://fonts.gstatic.com/s/irishgrover/v6/kUp7uUPooL-KsLGzeVJbBC3USBnSvpkopQaUR-2r7iU.ttf";}}i:623;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Lancelot";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-08-12";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/lancelot/v6/XMT7T_oo_MQUGAnU2v-sdA.ttf";}}i:624;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Risque";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/risque/v4/92RnElGnl8yHP97-KV3Fyg.ttf";}}i:625;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:14:"Butterfly Kids";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:91:"http://fonts.gstatic.com/s/butterflykids/v4/J4NTF5M25htqeTffYImtlUZaDk62iwTBnbnvwSjZciA.ttf";}}i:626;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:13:"Croissant One";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:90:"http://fonts.gstatic.com/s/croissantone/v4/mPjsOObnC77fp1cvZlOfIYjjx0o0jr6fNXxPgYh_a8Q.ttf";}}i:627;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:23:"Jacques Francois Shadow";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:99:"http://fonts.gstatic.com/s/jacquesfrancoisshadow/v4/V14y0H3vq56fY9SV4OL_FASt0D_oLVawA8L8b9iKjbs.ttf";}}i:628;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Content";s:8:"category";s:7:"display";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:1:{i:0;s:5:"khmer";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/content/v8/l8qaLjygvOkDEU2G6-cjfQ.ttf";s:3:"700";s:85:"http://fonts.gstatic.com/s/content/v8/7PivP8Zvs2qn6F6aNbSQe_esZW2xOQ-xsNqO47m55DA.ttf";}}i:629;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:20:"Monsieur La Doulaise";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:96:"http://fonts.gstatic.com/s/monsieurladoulaise/v5/IMAdMj6Eq9jZ46CPctFtMKP61oAqTJXlx5ZVOBmcPdM.ttf";}}i:630;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Aubrey";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/aubrey/v8/zo9w8klO8bmOQIMajQ2aTA.ttf";}}i:631;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Spicy Rice";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:87:"http://fonts.gstatic.com/s/spicyrice/v5/WGCtz7cLoggXARPi9OGD6_esZW2xOQ-xsNqO47m55DA.ttf";}}i:632;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Petrona";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/petrona/v5/nnQwxlP6dhrGovYEFtemTg.ttf";}}i:633;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Underdog";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:8:"cyrillic";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-03";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/underdog/v5/gBv9yjez_-5PnTprHWq0ig.ttf";}}i:634;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Eagle Lake";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:87:"http://fonts.gstatic.com/s/eaglelake/v4/ZKlYin7caemhx9eSg6RvPfesZW2xOQ-xsNqO47m55DA.ttf";}}i:635;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Bokor";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"khmer";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/bokor/v8/uAKdo0A85WW23Gs6mcbw7A.ttf";}}i:636;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Warnes";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-03";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/warnes/v6/MXG7_Phj4YpzAXxKGItuBw.ttf";}}i:637;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:12:"Diplomata SC";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-03";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:89:"http://fonts.gstatic.com/s/diplomatasc/v5/JdVwAwfE1a_pahXjk5qpNi3USBnSvpkopQaUR-2r7iU.ttf";}}i:638;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Diplomata";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-03-20";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:66:"http://fonts.gstatic.com/s/diplomata/v6/u-ByBiKgN6rTMA36H3kcKg.ttf";}}i:639;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Rum Raisin";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:87:"http://fonts.gstatic.com/s/rumraisin/v4/kDiL-ntDOEq26B7kYM7cx_esZW2xOQ-xsNqO47m55DA.ttf";}}i:640;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Ewert";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/ewert/v4/Em8hrzuzSbfHcTVqMjbAQg.ttf";}}i:641;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:15:"Original Surfer";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:92:"http://fonts.gstatic.com/s/originalsurfer/v5/gdHw6HpSIN4D6Xt7pi1-qIkEz33TDwAZczo_6fY7eg0.ttf";}}i:642;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Ramaraja";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:6:"telugu";i:1;s:5:"latin";}s:7:"version";s:2:"v1";s:12:"lastModified";s:10:"2015-04-03";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/ramaraja/v1/XIqzxFapVczstBedHdQTiw.ttf";}}i:643;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Ranga";s:8:"category";s:7:"display";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"devanagari";}s:7:"version";s:2:"v1";s:12:"lastModified";s:10:"2015-04-03";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/ranga/v1/xpW6zFTNzY1JykoBIqE1Zg.ttf";s:3:"700";s:62:"http://fonts.gstatic.com/s/ranga/v1/h8G_gEUH7vHKH-NkjAs34A.ttf";}}i:644;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:12:"Geostar Fill";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:89:"http://fonts.gstatic.com/s/geostarfill/v6/Y5ovXPPOHYTfQzK2aM-hui3USBnSvpkopQaUR-2r7iU.ttf";}}i:645;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Romanesco";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:66:"http://fonts.gstatic.com/s/romanesco/v5/2udIjUrpK_CPzYSxRVzD4Q.ttf";}}i:646;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Chicle";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/chicle/v5/xg4q57Ut9ZmyFwLp51JLgg.ttf";}}i:647;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Miltonian";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:66:"http://fonts.gstatic.com/s/miltonian/v8/Z4HrYZyqm0BnNNzcCUfzoQ.ttf";}}i:648;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Goblin One";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:87:"http://fonts.gstatic.com/s/goblinone/v6/331XtzoXgpVEvNTVcBJ_C_esZW2xOQ-xsNqO47m55DA.ttf";}}i:649;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Dangrek";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"khmer";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/dangrek/v8/LOaFhBT-EHNxZjV8DAW_ew.ttf";}}i:650;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Vampiro One";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-09-24";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/vampiroone/v7/OVDs4gY4WpS5u3Qd1gXRW6CWcynf_cDxXwCLxiixG1c.ttf";}}i:651;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:13:"Mrs Sheppards";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:90:"http://fonts.gstatic.com/s/mrssheppards/v5/2WFsWMV3VUeCz6UVH7UjCn8f0n03UdmQgF_CLvNR2vg.ttf";}}i:652;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Smokum";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/smokum/v6/8YP4BuAcy97X8WfdKfxVRw.ttf";}}i:653;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Asset";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/asset/v6/hfPmqY-JzuR1lULlQf9iTg.ttf";}}i:654;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Eater";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/eater/v5/gm6f3OmYEdbs3lPQtUfBkA.ttf";}}i:655;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:15:"Londrina Shadow";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:92:"http://fonts.gstatic.com/s/londrinashadow/v4/dNYuzPS_7eYgXFJBzMoKdbw6Z3rVA5KDSi7aQxS92Nk.ttf";}}i:656;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Laila";s:8:"category";s:5:"serif";s:8:"variants";a:5:{i:0;s:3:"300";i:1;s:7:"regular";i:2;s:3:"500";i:3;s:3:"600";i:4;s:3:"700";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"devanagari";}s:7:"version";s:2:"v1";s:12:"lastModified";s:10:"2015-04-01";s:5:"files";O:8:"stdClass":5:{s:3:"300";s:62:"http://fonts.gstatic.com/s/laila/v1/bLbIVEZF3IWSZ-in72GJvA.ttf";s:7:"regular";s:62:"http://fonts.gstatic.com/s/laila/v1/6iYor3edprH7360qtBGoag.ttf";s:3:"500";s:62:"http://fonts.gstatic.com/s/laila/v1/tkf8VtFvW9g3VsxQCA6WOQ.ttf";s:3:"600";s:62:"http://fonts.gstatic.com/s/laila/v1/3EMP2L6JRQ4GaHIxCldCeA.ttf";s:3:"700";s:62:"http://fonts.gstatic.com/s/laila/v1/R7P4z1xjcjecmjZ9GyhqHQ.ttf";}}i:657;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Margarine";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:66:"http://fonts.gstatic.com/s/margarine/v5/DJnJwIrcO_cGkjSzY3MERw.ttf";}}i:658;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Molle";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:6:"italic";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:6:"italic";s:62:"http://fonts.gstatic.com/s/molle/v4/9XTdCsjPXifLqo5et-YoGA.ttf";}}i:659;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:12:"Purple Purse";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:89:"http://fonts.gstatic.com/s/purplepurse/v5/Q5heFUrdmei9axbMITxxxS3USBnSvpkopQaUR-2r7iU.ttf";}}i:660;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Nova Cut";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/novacut/v8/6q12jWcBvj0KO2cMRP97tA.ttf";}}i:661;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Nova Script";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/novascript/v8/dEvxQDLgx1M1TKY-NmBWYaCWcynf_cDxXwCLxiixG1c.ttf";}}i:662;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Suranna";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:6:"telugu";i:1;s:5:"latin";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-03";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/suranna/v4/PYmfr6TQeTqZ-r8HnPM-kA.ttf";}}i:663;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Nova Oval";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/novaoval/v8/VuukVpKP8BwUf8o9W5LYQQ.ttf";}}i:664;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Geostar";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/geostar/v6/A8WQbhQbpYx3GWWaShJ9GA.ttf";}}i:665;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:14:"Rubik Mono One";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:8:"cyrillic";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-08-12";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:90:"http://fonts.gstatic.com/s/rubikmonoone/v5/e_cupPtD4BrZzotubJD7UbAREgn5xbW23GEXXnhMQ5Y.ttf";}}i:666;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Revalia";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/revalia/v4/1TKw66fF5_poiL0Ktgo4_A.ttf";}}i:667;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:20:"Sree Krushnadevaraya";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:6:"telugu";i:1;s:5:"latin";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-03";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:97:"http://fonts.gstatic.com/s/sreekrushnadevaraya/v4/CdsXmnHyEqVl1ahzOh5qnzjDZVem5Eb4d0dXjXa0F_Q.ttf";}}i:668;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Felipa";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/felipa/v4/SeyfyFZY7abAQXGrOIYnYg.ttf";}}i:669;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Federant";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/federant/v7/tddZFSiGvxICNOGra0i5aA.ttf";}}i:670;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:18:"Macondo Swash Caps";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-03";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:94:"http://fonts.gstatic.com/s/macondoswashcaps/v4/SsSR706z-MlvEH7_LS6JAPkkgYRHs6GSG949m-K6x2k.ttf";}}i:671;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:15:"Londrina Sketch";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:92:"http://fonts.gstatic.com/s/londrinasketch/v4/p7Ai06aT1Ycp_D2fyE3z69d6z_uhFGnpCOifUY1fJQo.ttf";}}i:672;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:13:"Bigelow Rules";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-03";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:90:"http://fonts.gstatic.com/s/bigelowrules/v4/FEJCPLwo07FS-6SK6Al50X8f0n03UdmQgF_CLvNR2vg.ttf";}}i:673;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Marko One";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/markoone/v6/hpP7j861sOAco43iDc4n4w.ttf";}}i:674;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Ruge Boogie";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-03";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/rugeboogie/v7/U-TTmltL8aENLVIqYbI5QaCWcynf_cDxXwCLxiixG1c.ttf";}}i:675;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Koulen";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"khmer";}s:7:"version";s:3:"v10";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/koulen/v10/AAYOK8RSRO7FTskTzFuzNw.ttf";}}i:676;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Siemreap";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"khmer";}s:7:"version";s:2:"v9";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/siemreap/v9/JSK-mOIsXwxo-zE9XDDl_g.ttf";}}i:677;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Seymour One";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:8:"cyrillic";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/seymourone/v4/HrdG2AEG_870Xb7xBVv6C6CWcynf_cDxXwCLxiixG1c.ttf";}}i:678;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:12:"Vesper Libre";s:8:"category";s:5:"serif";s:8:"variants";a:4:{i:0;s:7:"regular";i:1;s:3:"500";i:2;s:3:"700";i:3;s:3:"900";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"devanagari";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-06-03";s:5:"files";O:8:"stdClass":4:{s:7:"regular";s:89:"http://fonts.gstatic.com/s/vesperlibre/v7/Cg-TeZFsqV8BaOcoVwzu2C3USBnSvpkopQaUR-2r7iU.ttf";s:3:"500";s:89:"http://fonts.gstatic.com/s/vesperlibre/v7/0liLgNkygqH6EOtsVjZDsZMQuUSAwdHsY8ov_6tk1oA.ttf";s:3:"700";s:89:"http://fonts.gstatic.com/s/vesperlibre/v7/0liLgNkygqH6EOtsVjZDsUD2ttfZwueP-QU272T9-k4.ttf";s:3:"900";s:89:"http://fonts.gstatic.com/s/vesperlibre/v7/0liLgNkygqH6EOtsVjZDsaObDOjC3UL77puoeHsE3fw.ttf";}}i:679;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:16:"Supermercado One";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:93:"http://fonts.gstatic.com/s/supermercadoone/v6/kMGPVTNFiFEp1U274uBMb4mm5hmSKNFf3C5YoMa-lrM.ttf";}}i:680;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:14:"Princess Sofia";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:91:"http://fonts.gstatic.com/s/princesssofia/v4/8g5l8r9BM0t1QsXLTajDe-wjmA7ie-lFcByzHGRhCIg.ttf";}}i:681;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Kdam Thmor";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"khmer";}s:7:"version";s:2:"v3";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:87:"http://fonts.gstatic.com/s/kdamthmor/v3/otCdP6UU-VBIrBfVDWBQJ_esZW2xOQ-xsNqO47m55DA.ttf";}}i:682;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Erica One";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-03";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/ericaone/v6/cIBnH2VAqQMIGYAcE4ufvQ.ttf";}}i:683;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Freehand";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"khmer";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/freehand/v8/uEBQxvA0lnn_BrD6krlxMw.ttf";}}i:684;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:14:"Odor Mean Chey";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"khmer";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-04-03";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:90:"http://fonts.gstatic.com/s/odormeanchey/v8/GK3E7EjPoBkeZhYshGFo0eVKG8sq4NyGgdteJLvqLDs.ttf";}}i:685;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Kantumruy";s:8:"category";s:10:"sans-serif";s:8:"variants";a:3:{i:0;s:3:"300";i:1;s:7:"regular";i:2;s:3:"700";}s:7:"subsets";a:1:{i:0;s:5:"khmer";}s:7:"version";s:2:"v3";s:12:"lastModified";s:10:"2015-04-03";s:5:"files";O:8:"stdClass":3:{s:3:"300";s:87:"http://fonts.gstatic.com/s/kantumruy/v3/ERRwQE0WG5uanaZWmOFXNi3USBnSvpkopQaUR-2r7iU.ttf";s:7:"regular";s:66:"http://fonts.gstatic.com/s/kantumruy/v3/kQfXNYElQxr5dS8FyjD39Q.ttf";s:3:"700";s:87:"http://fonts.gstatic.com/s/kantumruy/v3/gie_zErpGf_rNzs920C2Ji3USBnSvpkopQaUR-2r7iU.ttf";}}i:686;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Sevillana";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-03";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:66:"http://fonts.gstatic.com/s/sevillana/v4/6m1Nh35oP7YEt00U80Smiw.ttf";}}i:687;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:10:"Mr Bedfort";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-03";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:87:"http://fonts.gstatic.com/s/mrbedfort/v5/81bGgHTRikLs_puEGshl7_esZW2xOQ-xsNqO47m55DA.ttf";}}i:688;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:14:"Miss Fajardose";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-03";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:91:"http://fonts.gstatic.com/s/missfajardose/v6/WcXjlQPKn6nBfr8LY3ktNu6rPKfVZo7L2bERcf0BDns.ttf";}}i:689;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:4:"Moul";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"khmer";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-04-03";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:61:"http://fonts.gstatic.com/s/moul/v8/Kb0ALQnfyXawP1a_P_gpTQ.ttf";}}i:690;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Rozha One";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"devanagari";}s:7:"version";s:2:"v2";s:12:"lastModified";s:10:"2015-04-03";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/rozhaone/v2/PyrMHQ6lucEIxwKmhqsX8A.ttf";}}i:691;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:16:"Almendra Display";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-03";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:93:"http://fonts.gstatic.com/s/almendradisplay/v6/2Zuu97WJ_ez-87yz5Ai8fF6uyC_qD11hrFQ6EGgTJWI.ttf";}}i:692;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Moulpali";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"khmer";}s:7:"version";s:2:"v9";s:12:"lastModified";s:10:"2015-04-03";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/moulpali/v9/diD74BprGhmVkJoerKmrKA.ttf";}}i:693;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Bonbon";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-08-12";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/bonbon/v7/IW3u1yzG1knyW5oz0s9_6Q.ttf";}}i:694;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Amita";s:8:"category";s:11:"handwriting";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"devanagari";}s:7:"version";s:2:"v1";s:12:"lastModified";s:10:"2015-06-03";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/amita/v1/RhdhGBXSJqkHo6g7miTEcQ.ttf";s:3:"700";s:62:"http://fonts.gstatic.com/s/amita/v1/cIYA2Lzp7l2pcGsqpUidBg.ttf";}}i:695;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:4:"Arya";s:8:"category";s:10:"sans-serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"devanagari";}s:7:"version";s:2:"v1";s:12:"lastModified";s:10:"2015-05-21";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:61:"http://fonts.gstatic.com/s/arya/v1/xEVqtU3v8QLospHKpDaYEw.ttf";s:3:"700";s:61:"http://fonts.gstatic.com/s/arya/v1/N13tgOvG7VTXawiI-fJiQA.ttf";}}i:696;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Almendra SC";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-03";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/almendrasc/v6/IuiLd8Fm9I6raSalxMoWeaCWcynf_cDxXwCLxiixG1c.ttf";}}i:697;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Flavors";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-03";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/flavors/v5/SPJi5QclATvon8ExcKGRvQ.ttf";}}i:698;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:14:"Jim Nightshade";s:8:"category";s:11:"handwriting";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-03";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:91:"http://fonts.gstatic.com/s/jimnightshade/v4/_n43lYHXVWNgXegdYRIK9CF1W_bo0EdycfH0kHciIic.ttf";}}i:699;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Dhurjati";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:6:"telugu";i:1;s:5:"latin";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-07";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/dhurjati/v4/uV6jO5e2iFMbGB0z79Cy5g.ttf";}}i:700;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Arbutus";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-03";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/arbutus/v5/Go_hurxoUsn5MnqNVQgodQ.ttf";}}i:701;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:16:"Fascinate Inline";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-03";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:93:"http://fonts.gstatic.com/s/fascinateinline/v6/lRguYfMfWArflkm5aOQ5QJmp8DTZ6iHear7UV05iykg.ttf";}}i:702;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:13:"Stalinist One";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:8:"cyrillic";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-07-23";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:74:"http://fonts.gstatic.com/s/stalinistone/v7/MQpS-WezM9W4Dd7D3B7I-UT7eZ8.ttf";}}i:703;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Chela One";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/chelaone/v4/h5O0dEnpnIq6jQnWxZybrA.ttf";}}i:704;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Taprom";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"khmer";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-04-03";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/taprom/v8/-KByU3BaUsyIvQs79qFObg.ttf";}}i:705;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Bayon";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"khmer";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-04-03";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/bayon/v8/yTubusjTnpNRZwA4_50iVw.ttf";}}i:706;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Macondo";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-03";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/macondo/v5/G6yPNUscRPQ8ufBXs_8yRQ.ttf";}}i:707;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Emblema One";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:88:"http://fonts.gstatic.com/s/emblemaone/v5/7IlBUjBWPIiw7cr_O2IfSaCWcynf_cDxXwCLxiixG1c.ttf";}}i:708;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:11:"Preahvihear";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"khmer";}s:7:"version";s:2:"v8";s:12:"lastModified";s:10:"2015-04-03";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:89:"http://fonts.gstatic.com/s/preahvihear/v8/82tDI-xTc53CxxOzEG4hDaCWcynf_cDxXwCLxiixG1c.ttf";}}i:709;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Gidugu";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:6:"telugu";i:1;s:5:"latin";}s:7:"version";s:2:"v3";s:12:"lastModified";s:10:"2015-04-07";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/gidugu/v3/Ey6Eq3hrT6MM58iFItFcgw.ttf";}}i:710;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:14:"Pragati Narrow";s:8:"category";s:10:"sans-serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"devanagari";}s:7:"version";s:2:"v2";s:12:"lastModified";s:10:"2015-06-10";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:91:"http://fonts.gstatic.com/s/pragatinarrow/v2/HzG2TfC862qPNsZsV_djPpTvAuddT2xDMbdz0mdLyZY.ttf";s:3:"700";s:91:"http://fonts.gstatic.com/s/pragatinarrow/v2/DnSI1zRkc0CY-hI5SC3q3MLtdzs3iyjn_YuT226ZsLU.ttf";}}i:711;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Kadwa";s:8:"category";s:5:"serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:10:"devanagari";}s:7:"version";s:2:"v1";s:12:"lastModified";s:10:"2015-06-17";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/kadwa/v1/VwEN8oKGqaa0ug9kRpvSSg.ttf";s:3:"700";s:62:"http://fonts.gstatic.com/s/kadwa/v1/NFPZaBfekj_Io-7vUMz4Ww.ttf";}}i:712;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Chenla";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"khmer";}s:7:"version";s:2:"v9";s:12:"lastModified";s:10:"2015-04-03";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/chenla/v9/aLNpdAUDq2MZbWz2U1a16g.ttf";}}i:713;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Metal";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"khmer";}s:7:"version";s:2:"v9";s:12:"lastModified";s:10:"2015-04-03";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/metal/v9/zA3UOP13ooQcxjv04BZX5g.ttf";}}i:714;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:18:"Tenali Ramakrishna";s:8:"category";s:10:"sans-serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:6:"telugu";i:1;s:5:"latin";}s:7:"version";s:2:"v3";s:12:"lastModified";s:10:"2015-04-03";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:95:"http://fonts.gstatic.com/s/tenaliramakrishna/v3/M0nTmDqv2M7AGoGh-c946BZak5pSBHqWX6uyVMiMFoA.ttf";}}i:715;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Hanalei";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-03";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/hanalei/v6/Sx8vVMBnXSQyK6Cn0CBJ3A.ttf";}}i:716;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Tillana";s:8:"category";s:11:"handwriting";s:8:"variants";a:5:{i:0;s:7:"regular";i:1;s:3:"500";i:2;s:3:"600";i:3;s:3:"700";i:4;s:3:"800";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"devanagari";}s:7:"version";s:2:"v1";s:12:"lastModified";s:10:"2015-06-03";s:5:"files";O:8:"stdClass":5:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/tillana/v1/zN0D-jDPsr1HzU3VRFLY5g.ttf";s:3:"500";s:85:"http://fonts.gstatic.com/s/tillana/v1/gqdUngSIcY9tSla5eCZky_esZW2xOQ-xsNqO47m55DA.ttf";s:3:"600";s:85:"http://fonts.gstatic.com/s/tillana/v1/fqon6-r15hy8M1cyiYfQBvesZW2xOQ-xsNqO47m55DA.ttf";s:3:"700";s:85:"http://fonts.gstatic.com/s/tillana/v1/jGARMTxLrMerzTCpGBpMffesZW2xOQ-xsNqO47m55DA.ttf";s:3:"800";s:85:"http://fonts.gstatic.com/s/tillana/v1/pmTtNH_Ibktj5Cyc1XrP6vesZW2xOQ-xsNqO47m55DA.ttf";}}i:717;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:13:"Rhodium Libre";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"devanagari";}s:7:"version";s:2:"v1";s:12:"lastModified";s:10:"2015-06-03";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:90:"http://fonts.gstatic.com/s/rhodiumlibre/v1/Vxr7A4-xE2zsBDDI8BcseIjjx0o0jr6fNXxPgYh_a8Q.ttf";}}i:718;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Chonburi";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:4:{i:0;s:5:"latin";i:1;s:4:"thai";i:2;s:9:"latin-ext";i:3;s:10:"vietnamese";}s:7:"version";s:2:"v1";s:12:"lastModified";s:10:"2015-08-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/chonburi/v1/jd9PfbW0x_8Myt_XeUxvSQ.ttf";}}i:719;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Fruktur";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-09-24";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/fruktur/v7/PnQvfEi1LssAvhJsCwH__w.ttf";}}i:720;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:9:"Suravaram";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:6:"telugu";i:1;s:5:"latin";}s:7:"version";s:2:"v3";s:12:"lastModified";s:10:"2015-04-03";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:66:"http://fonts.gstatic.com/s/suravaram/v3/G4dPee4pel_w2HqzavW4MA.ttf";}}i:721;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Eczar";s:8:"category";s:5:"serif";s:8:"variants";a:5:{i:0;s:7:"regular";i:1;s:3:"500";i:2;s:3:"600";i:3;s:3:"700";i:4;s:3:"800";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"devanagari";}s:7:"version";s:2:"v2";s:12:"lastModified";s:10:"2015-08-12";s:5:"files";O:8:"stdClass":5:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/eczar/v2/uKZcAQ5JBBs1UbeXFRbBRg.ttf";s:3:"500";s:62:"http://fonts.gstatic.com/s/eczar/v2/Ooe4KaPp2594tF8TbMfdlQ.ttf";s:3:"600";s:62:"http://fonts.gstatic.com/s/eczar/v2/IjQsWW0bmgkZ6lnN72cnTQ.ttf";s:3:"700";s:62:"http://fonts.gstatic.com/s/eczar/v2/ELC8RVXfBMb3VuuHtMwBOA.ttf";s:3:"800";s:62:"http://fonts.gstatic.com/s/eczar/v2/9Uyt6nTZLx_Qj5_WRah-iQ.ttf";}}i:722;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Sahitya";s:8:"category";s:5:"serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:10:"devanagari";}s:7:"version";s:2:"v1";s:12:"lastModified";s:10:"2015-06-17";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/sahitya/v1/wQWULcDbZqljdTfjOUtDvw.ttf";s:3:"700";s:85:"http://fonts.gstatic.com/s/sahitya/v1/Zm5hNvMwUyN3tC4GMkH1l_esZW2xOQ-xsNqO47m55DA.ttf";}}i:723;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:6:"Unlock";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"latin";}s:7:"version";s:2:"v6";s:12:"lastModified";s:10:"2015-04-06";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:63:"http://fonts.gstatic.com/s/unlock/v6/rXEQzK7uIAlhoyoAEiMy1w.ttf";}}i:724;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:12:"Hanalei Fill";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:5:"latin";i:1;s:9:"latin-ext";}s:7:"version";s:2:"v5";s:12:"lastModified";s:10:"2015-04-03";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:89:"http://fonts.gstatic.com/s/hanaleifill/v5/5uPeWLnaDdtm4UBG26Ds6C3USBnSvpkopQaUR-2r7iU.ttf";}}i:725;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:8:"Fasthand";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:1:{i:0;s:5:"khmer";}s:7:"version";s:2:"v7";s:12:"lastModified";s:10:"2015-04-03";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:65:"http://fonts.gstatic.com/s/fasthand/v7/6XAagHH_KmpZL67wTvsETQ.ttf";}}i:726;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:14:"Inknut Antiqua";s:8:"category";s:5:"serif";s:8:"variants";a:7:{i:0;s:3:"300";i:1;s:7:"regular";i:2;s:3:"500";i:3;s:3:"600";i:4;s:3:"700";i:5;s:3:"800";i:6;s:3:"900";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"devanagari";}s:7:"version";s:2:"v1";s:12:"lastModified";s:10:"2015-06-11";s:5:"files";O:8:"stdClass":7:{s:3:"300";s:91:"http://fonts.gstatic.com/s/inknutantiqua/v1/CagoW52rBcslcXzHh6tVIg6hmPNSXwHGnJQCeQHKUMo.ttf";s:7:"regular";s:91:"http://fonts.gstatic.com/s/inknutantiqua/v1/VlmmTfOrxr3HfcnhMueX9arFJ4O13IHVxZbM6yoslpo.ttf";s:3:"500";s:91:"http://fonts.gstatic.com/s/inknutantiqua/v1/CagoW52rBcslcXzHh6tVIiYCDvi1XFzRnTV7qUFsNgk.ttf";s:3:"600";s:91:"http://fonts.gstatic.com/s/inknutantiqua/v1/CagoW52rBcslcXzHh6tVIjLEgY6PI0GrY6L00mykcEQ.ttf";s:3:"700";s:91:"http://fonts.gstatic.com/s/inknutantiqua/v1/CagoW52rBcslcXzHh6tVIlRhfXn9P4_QueZ7VkUHUNc.ttf";s:3:"800";s:91:"http://fonts.gstatic.com/s/inknutantiqua/v1/CagoW52rBcslcXzHh6tVInARjXVu2t2krcNTHiCb1qY.ttf";s:3:"900";s:91:"http://fonts.gstatic.com/s/inknutantiqua/v1/CagoW52rBcslcXzHh6tVIrTsNy1JrFNT1qKy8j7W3CU.ttf";}}i:727;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:4:"Asar";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"devanagari";}s:7:"version";s:2:"v1";s:12:"lastModified";s:10:"2015-06-17";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:61:"http://fonts.gstatic.com/s/asar/v1/mSmn3H5CcMA84CZ586X7WQ.ttf";}}i:728;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:4:"Sura";s:8:"category";s:5:"serif";s:8:"variants";a:2:{i:0;s:7:"regular";i:1;s:3:"700";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"devanagari";}s:7:"version";s:2:"v1";s:12:"lastModified";s:10:"2015-06-17";s:5:"files";O:8:"stdClass":2:{s:7:"regular";s:61:"http://fonts.gstatic.com/s/sura/v1/jznKrhTH5NezYxb0-Q5zzA.ttf";s:3:"700";s:61:"http://fonts.gstatic.com/s/sura/v1/Z5bXQaFGmoWicN1WlcncxA.ttf";}}i:729;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:7:"Peddana";s:8:"category";s:5:"serif";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:6:"telugu";i:1;s:5:"latin";}s:7:"version";s:2:"v4";s:12:"lastModified";s:10:"2015-04-03";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:64:"http://fonts.gstatic.com/s/peddana/v4/zaSZuj_GhmC8AOTugOROnA.ttf";}}i:730;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:12:"Ravi Prakash";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:2:{i:0;s:6:"telugu";i:1;s:5:"latin";}s:7:"version";s:2:"v3";s:12:"lastModified";s:10:"2015-04-03";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:89:"http://fonts.gstatic.com/s/raviprakash/v3/8EzbM7Rymjk25jWeHxbO6C3USBnSvpkopQaUR-2r7iU.ttf";}}i:731;O:8:"stdClass":8:{s:4:"kind";s:16:"webfonts#webfont";s:6:"family";s:5:"Modak";s:8:"category";s:7:"display";s:8:"variants";a:1:{i:0;s:7:"regular";}s:7:"subsets";a:3:{i:0;s:5:"latin";i:1;s:9:"latin-ext";i:2;s:10:"devanagari";}s:7:"version";s:2:"v1";s:12:"lastModified";s:10:"2015-04-03";s:5:"files";O:8:"stdClass":1:{s:7:"regular";s:62:"http://fonts.gstatic.com/s/modak/v1/lMsN0QIKid-pCPvL0hH4nw.ttf";}}}}';
        if (get_transient('hasten_lite_webfonts')) {
            $content = get_transient('hasten_lite_webfonts');
        }
        else{
            $googleApi = 'https://www.googleapis.com/webfonts/v1/webfonts?sort=popularity&key=AIzaSyAZqkOkO-wK30tV1X_-bs4RxlGbcqb0wFQ';
            if(empty($googleApi)){
                $fontContent = wp_remote_get( $googleApi, array('sslverify'   => false) );

                $content = json_decode($fontContent['body']);
            }
            else{
                $content = unserialize($font_serialized);
            }

            set_transient( 'hasten_lite_webfonts', $content, WEEK_IN_SECONDS );
        }
        if($amount == 'all') {
            return $content->items;
        } else {
            return array_slice($content->items, 0, $amount);
        }
    }
}